<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories = array();  
		$of_categories_obj = get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp = array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages = array();
		$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp = array_unshift($of_pages, "Select a page:");       
	
		//Font Array
		$typography_mixed_fonts = array_merge( options_typography_get_os_fonts() , options_typography_get_google_fonts() );
		asort($typography_mixed_fonts);

		//Testing 
		$of_options_select = array("one","two","three","four","five"); 
		$of_options_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" => "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = STYLESHEETPATH. '/framework/images/body/'; // change this to where you store your bg images
		$bg_images_url = get_bloginfo('template_url').'/framework/images/body/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		                $bg_images[$bg_images_url . $bg_images_file] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		//Footer Layour Images Reader
		$footer_images_path = get_template_directory(). '/admin/assets/images/footer/'; // change this to where you store your bg images
		$footer_images_url = get_template_directory_uri().'/admin/assets/images/footer/'; // change this to where you store your bg images
		$footer_images = array();
		
		if ( is_dir($footer_images_path) ) {
		    if ($footer_images_dir = opendir($footer_images_path) ) { 
		        while ( ($footer_images_file = readdir($footer_images_dir)) !== false ) {
		            if(stristr($footer_images_file, ".png") !== false || stristr($footer_images_file, ".jpg") !== false) {
		                $footer_images[$footer_images_file] = $footer_images_url . $footer_images_file;
		            }
		        }    
		    }
		}

		// Layout Images Reader
		$layout_images_path = get_template_directory(). '/admin/assets/images/layout/'; // change this to where you store your bg images
		$layout_images_url = get_template_directory_uri().'/admin/assets/images/layout/'; // change this to where you store your bg images
		$layout_images = array();
		
		if ( is_dir($layout_images_path) ) {
		    if ($layout_images_dir = opendir($layout_images_path) ) { 
		        while ( ($layout_images_file = readdir($layout_images_dir)) !== false ) {
		            if(stristr($layout_images_file, ".png") !== false || stristr($layout_images_file, ".jpg") !== false) {
		                $layout_images[$layout_images_file] = $layout_images_url . $layout_images_file;
		            }
		        }    
		    }
		}
		
		// Category list
		$category_list = array();
		$category_list[] = __("None","hbthemes");
		$categories = get_categories();
		if ( !empty ( $categories ) ) {
			foreach ( $categories as $cat ) {
				$category_list[ $cat->slug ] = $cat->name;
			}
		}

		$sidebar_list = array();
		$reg_sidebars = $GLOBALS['wp_registered_sidebars'];
		if ( !empty ( $reg_sidebars ) ) {
			foreach ( $reg_sidebars as $name => $side ) {
				if ( $side['name'] != __("Footer 1","hbthemes") && $side['name'] != __("Footer 2","hbthemes") && $side['name'] != __("Footer 3","hbthemes") && $side['name'] != __("Footer 4","hbthemes") )
					$sidebar_list[$name] = $side['name'];
			}
		}


		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr = wp_upload_dir();
		$all_uploads_path = $uploads_arr['path'];
		$all_uploads = get_option('of_uploads');
		$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 


		$social_links = array("digg", "dribbble", "facebook", "flickr", "forrst", "googleplus", "html5", "icloud", "lastfm", "linkedin", "myspace", "paypal", "picasa", "pinterest", "reddit", "rss", "soundcloud", "skype", "stumbleupon", "tumblr", "twitter", "vimeo", "wordpress", "yahoo", "youtube", "github", "behance", "yelp", "mail", "instagram", "foursquare", "zerply");

/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;

// Useful variables
// Useful variables
$current_user = wp_get_current_user();
$nameofuser = $current_user->user_login;
$wordpressversion = get_bloginfo('version');
$my_theme = wp_get_theme();
$my_theme_version = $my_theme->Version;

$of_options = array();

$of_options[] = array( "name" => __( 'Dashboard' , 'hbthemes' ), 
					"type" => "heading");
					
$of_options[] = array( "name" => __( 'Dashboard Info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_home_info",
					"std" => __( 'Hey there <strong>' , 'hbthemes' ) . $nameofuser . __('.</strong><br/><br/>Welcome to <strong>BulletPress Dashboard.</strong><br/><br/>* BullePress Theme version <strong>','hbthemes') . $my_theme_version . __('</strong> *<br/>* WordPress version <strong>','hbthemes') . $wordpressversion . __('</strong> *<br/><br/>This is your theme dashboard. You can do some quick actions here, like setting your front page, menus or widgets, reading the documentation or contacting the authors.<br/><br/>Use <strong>Options Reset</strong> button to <strong>restore</strong> all options to default and <strong>Save All Changes</strong> to <strong>save</strong> the options that you have entered in each section<br/><br/><strong>TIP :</strong> Watch out for blue notifications like this one, at the top of the options pages, it can really help you understanding the settings.' , 'hbthemes' ),
					"icon" => true,
					"type" => "info");

$of_options[] = array ( "name" => __( 'Quick Actions ', 'hbthemes'),
					"text" => __( 'Set Front Page', 'hbthemes' ),
					"link" => "options-reading.php",
					"type" => "button",
					"id" => "hb_front_page"
					);

$of_options[] = array ( "name" => "",
					"text" => __( 'Create / Edit Menus' , 'hbthemes'),
					"link" => "nav-menus.php",
					"type" => "button",
					"id" => "hb_createedit_menu"
					);
$of_options[] = array ( "name" => "",
					"text" => __( 'Sidebars & Widgets' , 'hbthemes'),
					"link" => "widgets.php",
					"type" => "button",
					"id" => "hb_sidebar_widgets"
					);
$of_options[] = array ( "name" => "",
					"text" => __( 'Documentation' , 'hbthemes'),
					"link" => "http://documentation.hb-themes.com/bulletpress",
					"type" => "button",
					"id" => "hb_read_documentation"
					);
$of_options[] = array ( "name" => "",
					"text" => __( 'Get Support' , 'hbthemes'),
					"link" => "http://support.hb-themes.com",
					"type" => "button",
					"id" => "hb_ticket_author"
					);
$of_options[] = array ( "name" => "",
					"text" => __( 'More Awesome Themes' , 'hbthemes'),
					"link" => "http://mojo-themes.com/user/BrankoCee",
					"type" => "button",
					"id" => "hb_contact_author"
					);
$of_options[] = array ( "name" => "",
					"text" => __( 'Follow us on Twitter' , 'hbthemes'),
					"link" => "http://twitter.net/HB-Themes",
					"type" => "button",
					"id" => "hb_twitter_author"
					);	

$of_options[] = array( "name" => __("General Settings","hbthemes"),
					"type" => "heading");
							
$of_options[] = array( "name" => __( 'General Settings Info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_general_info",
					"std" => __( 'This is the <strong>General Settings</strong> section.<br/><br/>In this section you will find the most general settings which include enabling responsiveness, zooming on mobile devices, a cookie-based message that will appear on your website. This section also contains a textarea in which you can enter any Custom CSS Code.' , 'hbthemes' ),
					"icon" => true,
					"type" => "info"
					);

$of_options[] = array (
					"name" => __( 'Enable / Disable Responsive Style' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable responsiveness on your website.' , 'hbthemes' ),
					"id" => "hb_enable_responsive",
					"std" => true,
					"type" => "checkbox"
				);	

$of_options[] = array (
					"name" => __( 'Enable / Disable Zoom on mobile devices' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to disable zoom on mobile devices.' , 'hbthemes' ),
					"id" => "hb_disable_mobile_zoom",
					"std" => true,
					"type" => "checkbox"
				);	

$of_options[] = array (
					"name" => __( 'Enable / Disable Scroll To Top' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable a scroll top arrow.' , 'hbthemes' ),
					"id" => "hb_enable_to_top",
					"std" => true,
					"type" => "checkbox"
				);					

$of_options[] = array (
					"name" => __( 'Enable / Disable RSS Feed Link in Titles.' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable RSS Feed next to the post/page titles.' , 'hbthemes' ),
					"id" => "hb_enable_rss",
					"std" => true,
					"type" => "checkbox"
				);		
				
$of_options[] = array (
					"name" => __('Enter Top Message Text' , 'hbthemes'),
					"desc" => __( 'Fill in the content of the top message. <br/><strong>If left empty, message will not be shown.</strong>' , 'hbthemes' ),
					"id" => "hb_top_message",
					"std" => "",
					"type" => "text"
				);

$of_options[] = array (
					"name" => __( 'Enable / Disable Closing the Top Message' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to allow visitors to disable the top message. Cookies will be used to remember their decision.' , 'hbthemes' ),
					"id" => "hb_allow_top_closing",
					"std" => true,
					"type" => "checkbox"
				);			

$of_options[] = array (
					"name" => __( 'Enable / Disable Read more link after post excerpt.' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to show a read more link which leads to the single post page.' , 'hbthemes' ),
					"id" => "hb_show_link_after_excerpt",
					"std" => false,
					"type" => "checkbox"
				);				

$of_options[] = array( "name" => __( 'Web Tracking Code', 'hbthemes' ),
					"desc" => __( 'Enter web tracking code, Google Analytics for example.' , 'hbthemes'),
					"id" => "hb_analytics_code",
					"std" => '',
					"type" => "textarea"
);

					
$of_options[] = array( "name" => __( 'Custom CSS', 'hbthemes' ),
					"desc" => __( 'Enter your custom CSS code here.<br/>Use <em>!important</em> if your styles are not changing.' , 'hbthemes'),
					"id" => "hb_custom_css_field",
					"std" => '',
					"type" => "textarea"
);		



$of_options[] = array( "name" => __("Header Settings","hbthemes"),
					"type" => "heading");
					
$of_options[] = array( "name" => __("Header Settings",'hbthemes'),
					"desc" => "",
					"id" => "introduction",
					"std" => 'This is the <strong>Header Settings</strong> section.<br/><br/>These setting will affect various element on the header area. <br/>You have options to display search form, a random article, date etc. <br/>These settings will affect <strong>each page</strong>.',
					"icon" => true,
					"type" => "info");
					
$of_options[] = array (
					"name" => __( 'Enable / Disable WPML Language Menu' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable WPML language selector in header. WPML plugin has to be installed first.' , 'hbthemes' ),
					"id" => "hb_enable_wpml",
					"std" => true,
					"type" => "checkbox"
				);	

$of_options[] = array (
					"name" => __( 'Enable / Disable Date in Header' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable current date on the top right side of your header area.' , 'hbthemes' ),
					"id" => "hb_enable_header_date",
					"std" => true,
					"type" => "checkbox"
				);			

$of_options[] = array (
					"name" => __( 'Enable / Disable Search in Header' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable search form on the top right side of your header area.' , 'hbthemes' ),
					"id" => "hb_header_search",
					"std" => true,
					"type" => "checkbox"
				);			

$of_options[] = array (
					"name" => __( 'Enable / Disable Breadcrumbs' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable breadcrumbs on pages.<br/>This feature can be disabled on individual pages in the meta box settings.' , 'hbthemes' ),
					"id" => "hb_enable_breadcrumbs",
					"std" => false,
					"type" => "checkbox"
				);			

$of_options[] = array (
					"name" => __( 'Enable / Disable Random Article in Navigation' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable an icon in the main navigation which generates a random post.' , 'hbthemes' ),
					"id" => "hb_enable_random_article",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Exclude Category from Random Article' , 'hbthemes' ),
					"desc" => __( 'Select a category which will be excluded as a possibility for the random article. ' , 'hbthemes' ),
					"id" => "hb_random_article_cat",
					"std" => "",
					"type" => "hb_select",
					"options" => $category_list
				);


$of_options[] = array (
					"name" => __( 'Enable / Disable Sticky Main Navigation' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to have your main navigation sticky.' , 'hbthemes' ),
					"id" => "hb_enable_header_sticky",
					"std" => true,
					"type" => "checkbox"
				);		

$of_options[] = array( "name" => __("Logo Settings","hbthemes"),
					"type" => "heading");
					
$of_options[] = array( "name" => __("Logo Settings",'hbthemes'),
					"desc" => "",
					"id" => "introduction",
					"std" => 'This is the <strong>Logo Settings</strong> section.<br/><br/>In this section, you have a possibility to upload your website logo image, width and height. <br/>You can manually enter a top margin which will position the logo from the top of your website.<br/><br/>Upload your own custom logo which will be displayed on your WP Login Page.',
					"icon" => true,
					"type" => "info");

$of_options[] = array (
					"name" => __( 'Upload Website Logo', 'hbthemes' ),
					"desc" => __( 'Upload logo for your site.' , 'hbthemes' ),
					"id" => "hb_image_logo",
					"std" => "",
					"type" => "media"
				);

$of_options[] = array (
					"name" => 'Write Logo in HTML',
					"desc" => __( 'Write your site logo in a text line.<br/><small><strong>Always use single instead of double quotes</strong></small>.' , 'hbthemes' ),
					"id" => "hb_text_logo",
					"std" => "",
					"type" => "text"
				);
				
$of_options[] = array (
					"name" => 'Logo Width',
					"desc" => __( '<strong>Logo Width</strong>.<br/>If you do not enter any value, logo image will not be resized.' , 'hbthemes' ),
					"id" => "hb_logo_width",
					"std" => "",
					"type" => "text"
				);


$of_options[] = array (
					"name" => 'Logo Height',
					"desc" => __( '<strong>Logo Height</strong>.<br/>If you do not enter any value, logo image will not be resized.' , 'hbthemes' ),
					"id" => "hb_logo_height",
					"std" => "",
					"type" => "text"
				);

$of_options[] = array (
					"name" => 'Logo Margin Top',
					"desc" => __( '<strong>Logo Margin Top</strong>.<br/>Logo distance from top in px. No need to write px.' , 'hbthemes' ),
					"id" => "hb_logo_margin",
					"std" => "0",
					"type" => "text"
				);

$of_options[] = array (
					"name" => __( 'Enable / Disable Tagline Below Logo' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable Tagline bellow logo.' , 'hbthemes' ),
					"id" => "hb_enable_tagline",
					"std" => false,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __('Enter Tagline Text','hbthemes'),
					"desc" => __( 'Specify the tagline. If this field is left empty, the default WordPress blog description will be used.' , 'hbthemes' ),
					"id" => "hb_customized_tagline",
					"std" => "",
					"type" => "text"
				);

$of_options[] = array (
					"name" => __( 'Upload Favicon', 'hbthemes' ),
					"desc" => __( '<strong>Favicon : </strong> Upload a <a href="http://en.wikipedia.org/wiki/Favicon" target="_blank">Favicon</a> image.' , 'hbthemes' ),
					"id" => "hb_media_favicon",
					"std" => "",
					"type" => "media"
				);

$of_options[] = array (
					"name" => __( 'Upload Custom Login Logo', 'hbthemes' ),
					"desc" => __( 'Upload a custom logo for your WordPress login page. Your logo should fit best if 274x63 px.' , 'hbthemes' ),
					"id" => "hb_custom_login_logo",
					"std" => "",
					"type" => "media"
				);


$of_options[] = array( "name" => __("Layout Settings","hbthemes"),
					"type" => "heading");
							
$of_options[] = array( "name" => __( 'Layout Settings Info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_general_info",
					"std" => __( 'This is the <strong>Layout Settings</strong> section.<br/><br/>In this section you can choose the layout of your website. <br/>Choose between <strong>Boxed, Boxed attached to the top and Stretched</strong>. <br/><br/>You can also specify default sidebar layout (position and size) for each new post/page and for pages such as archives, search etc. Choose the default sidebars for the selected sidebar layout. <br/>These settings can be changed for individual posts/pages in the meta boxes below the Editor.' , 'hbthemes' ),
					"icon" => true,
					"type" => "info"
					);

$of_options[] = array (
					"name" => __( 'Choose Layout' , 'hbthemes' ),
					"desc" => __( 'Select a layout for your website.' , 'hbthemes' ),
					"id" => "hb_boxed_layout",
					"std" => "boxed",
					"type" => "hb_select",
					"options" => array( "boxed" => "Boxed", "boxed_a" => "Boxed Top Attached", "stretched" => "Stretched")
				);


$of_options[] = array (
					"name" => __( 'Enable / Disable Layout Shadow' , 'hbthemes' ),
					"desc" => __( 'Enable the shadow around the content when Boxed Layout is active.' , 'hbthemes' ),
					"id" => "hb_boxed_shadow_layout",
					"std" => true,
					"type" => "checkbox"
				);	

$of_options[] = array( "name" => __( 'Choose Sidebars Layout', 'hbthemes' ),
					"desc" => __('This is will be set as default layout for new posts/pages. Layout can be changed in the custom metabox settings.<br/><br/> This is also the layout of pages which do not have custom layout settings, like the archive pages.' , 'hbthemes'),
					"id" => "hb_layout_style",
					"std" => 'layout-style-01.png',
					"options" => $layout_images,
					"type" => "tiles"
					);					


$of_options[] = array (
					"name" => __( 'Sidebar A (Main Sidebar)' , 'hbthemes' ),
					"desc" => __( 'Default sidebar in the A position. If the layout has only one sidebar, this one will be used. ' , 'hbthemes' ),
					"id" => "hb_sidebar_a",
					"std" => __("Default Sidebar A" , "hbthemes"),
					"type" => "select",
					"options" => $sidebar_list
				);			
				
$of_options[] = array (
					"name" => __( 'Sidebar B' , 'hbthemes' ),
					"desc" => __( 'Default sidebar in the B position. ' , 'hbthemes' ),
					"id" => "hb_sidebar_b",
					"std" => __("Default Sidebar B", "hbthemes"),
					"type" => "select",
					"options" => $sidebar_list
				);

$of_options[] = array( "name" => __( 'Footer Settings' , 'hbthemes' ), 
					"type" => "heading");
															
$of_options[] = array( "name" => __( 'Footer Settings Info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_footer_info",
					"std" => __( 'This is the <strong>Footer Settings</strong> section.<br/><br/>Here you can choose from a predefined list of 11 <strong>footer layouts</strong>. <br/>There is an option which allows you to disable displaying Footer Widgets and the Copyright Line in the Footer area.' , 'hbthemes' ),
					"icon" => true,
					"type" => "info"
					);

$of_options[] = array (
					"name" => __( 'Disable Footer Widgets' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to disable footer widgets completely.' , 'hbthemes' ),
					"id" => "hb_disable_footer_widgets",
					"std" => false,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Disable Copyright Line' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to disable copyright line.' , 'hbthemes' ),
					"id" => "hb_disable_copyright_line",
					"std" => false,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Enable / Disable Footer Background Image' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to disable footer background image.' , 'hbthemes' ),
					"id" => "hb_disable_footer_bg",
					"std" => false,
					"type" => "checkbox"
				);
					
$of_options[] = array( "name" => __( 'Select Footer Layout', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_footer_layout",
					"std" => 'footer-style-01.png',
					"options" => $footer_images,
					"type" => "tiles"
				);	

$of_options[] = array (
					"name" => __( 'Copyright Line' , 'hbthemes' ),
					"desc" => __( 'Enter a line of text that goes on the footer bottom.' , 'hbthemes' ),
					"id" => "hb_copyright_text",
					"std" => "Copyright 2012 &middot; Aegaeus. Proudly powered by <a href='#'>WordPress.</a>",
					"type" => "text"
				);

$of_options[] = array( "name" => __( 'Sidebar Settings' , 'hbthemes' ), 
					"type" => "heading");


$of_options[] = array( "name" => __( 'Sidebar Settings info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_seo_info",
					"std" => __( 'This is the <strong>Sidebar Settings</strong> section.<br/><br/>This section allows you to create unlimited number of sidebars simply by clicking the button <strong>Add New Sidebar</strong>.<br/><br/>You can open details on each sidebar by clicking the arrow at the top right corner of each sidebar title. Details allows you to rename each sidebar or to remove it. You can reorder sidebars by draging the titles.<br/><br/> Once you have created the desired number of sidebars, go to <strong>Appearance > Widgets</strong> to populate them with Widget items.' , 'hbthemes' ),
					"icon" => true,
					"type" => "info"
					);

$of_options[] = array (
					"name" => __( 'Sidebars', 'hbthemes' ),
					"desc" => '',
					"id" => "hb_sidebar",
					"std" => array(),
					"type" => "sidebar"
				);
				


$of_options[] = array( "name" => __("Single Post Settings","hbthemes"),
					"type" => "heading");

$of_options[] = array( "name" => __( 'Single Post Settings Info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_styles_info",
					"std" => __( 'This is the <strong>Single Post Settings</strong> section.<br/><br/>This section allows you to control which post details will be displayed. <br/>Check if you want to display: <strong>date, author, comments, categories, views, tags, post navigation and more</strong>. <br/><br/> Allow sharing on multiple social networks such as Twitter, Facebook, Google Plus and more.' , 'hbthemes' ),
					"icon" => true,
					"type" => "info");

$of_options[] = array (
					"name" => __( 'Display Date' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to display the post date on single post.' , 'hbthemes' ),
					"id" => "hb_post_meta_date",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Display "Posted by"' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to display the posted by author info on single post.' , 'hbthemes' ),
					"id" => "hb_post_meta_posted_by",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Display Categories' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to display the post categories on single post.' , 'hbthemes' ),
					"id" => "hb_post_meta_categories",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Display Comments Number' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to display the post comments info on single post.' , 'hbthemes' ),
					"id" => "hb_post_meta_comments_num",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Display Views' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to display the post view count on single post.' , 'hbthemes' ),
					"id" => "hb_post_meta_views",
					"std" => true,
					"type" => "checkbox"
				);


$of_options[] = array (
					"name" => __( 'Twitter Share' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable Twitter sharing.' , 'hbthemes' ),
					"id" => "hb_post_twitter_share",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Facebok Share' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable Facebook sharing.' , 'hbthemes' ),
					"id" => "hb_post_facebook_share",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Google Plus Share' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable Google Plus sharing.' , 'hbthemes' ),
					"id" => "hb_post_gplus_share",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'StumbleUpon Share' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable StumbleUpon sharing.' , 'hbthemes' ),
					"id" => "hb_post_stumbleupon_share",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'LinkedIn Share' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable LinkedIn sharing.' , 'hbthemes' ),
					"id" => "hb_post_linkedin_share",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Pinterest Share' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable Pinterest sharing.' , 'hbthemes' ),
					"id" => "hb_post_pinterest_share",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Display Tags' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to display the post tags on single post.' , 'hbthemes' ),
					"id" => "hb_post_meta_tags",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Post Navigation' , 'hbthemes' ),
					"desc" => __( 'Enable Next/Previous Post navigation on single post.' , 'hbthemes' ),
					"id" => "hb_post_prev_next",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Author Box' , 'hbthemes' ),
					"desc" => __( 'Enable about author info box on single post.' , 'hbthemes' ),
					"id" => "hb_post_author_box",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Related Posts' , 'hbthemes' ),
					"desc" => __( 'Enable related posts on single post.' , 'hbthemes' ),
					"id" => "hb_post_related",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Related Posts Count' , 'hbthemes' ),
					"desc" => __( 'Select how many related posts in a row.' , 'hbthemes' ),
					"id" => "hb_post_related_count",
					"std" => "3",
					"type" => "select",
					"options" => array( "3" => "3", "4" => "4")
				);

$of_options[] = array( "name" => __( 'Comments Settings' , 'hbthemes' ), 
					"type" => "heading");
					
$of_options[] = array( "name" => __( 'Comment Settings Info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_styles_info",
					"std" => __( 'This is the <strong>Comment Settings</strong> section.<br/><br/>This section allows you to manipulate the comment section on <strong>all pages and posts at once</strong>. <br/>Choose if WordPress or Facebook Comments will appear, or both.' , 'hbthemes' ),
					"icon" => true,
					"type" => "info");

$of_options[] = array (
					"name" => __( 'Enable / Disable WordPress Comments on Pages' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to disable comments on all pages.' , 'hbthemes' ),
					"id" => "hb_disable_pages_comments",
					"std" => true,
					"type" => "checkbox"
				);	

$of_options[] = array (
					"name" => __( 'Enable / Disable Facebok Comments on Pages' , 'hbthemes' ),
					"desc" => __( 'Check this box to enable facebook comments on pages.' , 'hbthemes' ),
					"id" => "hb_page_facebook_comments",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Enable / Disable Facebok Comments on Posts' , 'hbthemes' ),
					"desc" => __( 'Check this box to enable facebook comments on posts.' , 'hbthemes' ),
					"id" => "hb_post_facebook_comments",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Enter Facebook Comments Title' , 'hbthemes' ),
					"desc" => __( 'Enter a line of text that goes above the facebook comments if activated.' , 'hbthemes' ),
					"id" => "hb_post_facebook_comments_title",
					"std" => "",
					"type" => "text"
				);

$of_options[] = array( "name" => __( 'Social Links' , 'hbthemes' ), 
					"type" => "heading");
		
					
$of_options[] = array( "name" => __( 'Social Links Settings Info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_social_links_info",
					"std" => __( 'This is the <strong>Social Links</strong> section.<br/><br/>Here you can enter the links to your social networks. <br/>They will be displayed on the <strong>right side of the top dark line</strong> containing the top navigation.<br/> Leave fields empty if you don\'t want to show that social network icon.<br/><br/><strong>TIP :</strong> There\'s a RSS field at the bottom of this section. Have a look at <a href="http://codex.wordpress.org/WordPress_Feeds" target="_blank">Codex</a> for more info about RSS feeds.' , 'hbthemes' ),
					"icon" => true,
					"type" => "info"
					);


$of_options[] = array (
					"name" => __( 'Open Links in New Tab' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to open up each social link in new tab.' , 'hbthemes' ),
					"id" => "hb_open_socials_new_tab",
					"std" => true,
					"type" => "checkbox"
				);	

foreach ( $social_links as $soc_link ) {

$of_options[] = array (
					"name" => ucfirst($soc_link),
					"desc" => __( 'Link to your ' , 'hbthemes' ) . ucfirst($soc_link) . __(' profile', 'hbthemes'),
					"id" => "hb_" . $soc_link,
					"std" => "",
					"type" => "text"
				);
		}


$of_options[] = array( "name" => __( 'Ticker Settings' , 'hbthemes' ), 
					"type" => "heading");
		
$of_options[] = array( "name" => __( 'Ticker Settings Info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_ticker_info",
					"std" => __( 'This is the <strong>Ticker Settings</strong> section.<br/><br/>This section allows you to <strong>enable the news ticker on your website</strong>.<br/>Besides enabling the ticker, you can tweak every aspect of the way it looks and the posts it shows.<br/><br/>Each post, page and category have an option to disable the ticker for it\'s page. You can find those settings in the meta fields while editing the post, page or category.' , 'hbthemes' ),
					"icon" => true,
					"type" => "info"
					);

$of_options[] = array (
					"name" => __( 'Enable / Disable Ticker' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable ticker with latest posts.' , 'hbthemes' ),
					"id" => "hb_enable_ticker",
					"std" => false,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Enable / Disable Ticker Time Information' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable info on each posts about the time it was posted.' , 'hbthemes' ),
					"id" => "hb_ticker_time",
					"std" => false,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Ticker Posts Category' , 'hbthemes' ),
					"desc" => __( 'Specify a category from which the posts will show. You can leave empty if you want all of your categories to show in the ticker.' , 'hbthemes' ),
					"id" => "hb_ticker_category",
					"std" => "",
					"type" => "text"
				);

$of_options[] = array (
					"name" => __( 'Ticker Title' , 'hbthemes' ),
					"desc" => __( 'Specify a title for the ticker. <br/>If this is left empty a translatable "Breaking News" text will appear.' , 'hbthemes' ),
					"id" => "hb_ticker_title",
					"std" => "",
					"type" => "text"
				);

$of_options[] = array (
					"name" => __( 'Number of posts' , 'hbthemes' ),
					"desc" => __( 'Specify how many posts will appear. Leave empty for all.' , 'hbthemes' ),
					"id" => "hb_ticker_posts_count",
					"std" => "",
					"type" => "text"
				);

$of_options[] = array (
					"name" => __( 'Ticker Settings' , 'hbthemes' ),
					"desc" => __( 'Choose style of animation.' , 'hbthemes' ),
					"id" => "hb_ticker_animation_style",
					"std" => "Reveal",
					"type" => "hb_select",
					"options" => array ("fade" => "Fade", "scroll" => "Scroll" , "reveal" => "Reveal")
				);

$of_options[] = array (
					"name" => __( 'Enable / Disable Ticker Autostart' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to autostart on ticker.' , 'hbthemes' ),
					"id" => "hb_ticker_autostart",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Enable / Disable Ticker Controls' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to show Controls.' , 'hbthemes' ),
					"id" => "hb_enable_ticker_controls",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Enable / Disable Ticker Pause on Hover' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to pause the Ticker on hover.' , 'hbthemes' ),
					"id" => "hb_enable_ticker_pause_hover",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Letter Reveal Speed' , 'hbthemes' ),
					"desc" => __( 'Speed in milliseconds at which each letter is revealed.' , 'hbthemes' ),
					"id" => "hb_ticker_letter_speed",
					"std" => "",
					"type" => "text"
				);

			
$of_options[] = array (
					"name" => __( 'Scroll Speed' , 'hbthemes' ),
					"desc" => __( 'Speed in milliseconds at which the scrolling action occurs.' , 'hbthemes' ),
					"id" => "hb_ticker_transition_speed",
					"std" => "",
					"type" => "text"
				);
								
$of_options[] = array (
					"name" => __( 'Duration' , 'hbthemes' ),
					"desc" => __( 'Length of time in milliseconds a news item appears before the next one shows.' , 'hbthemes' ),
					"id" => "hb_ticker_transition_speed",
					"std" => "",
					"type" => "text"
				);

$of_options[] = array( "name" => __("Post Slider","hbthemes"),
					"type" => "heading");
							
$of_options[] = array( "name" => __( 'Post Slider Settings Info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_post_slider_info",
					"std" => __( 'This is the <strong>Post Slider Settings</strong> section.<br/><br/>This is the slider which is shown on the category pages. It displays the most recent posts from the particular category. Each category has it\'s own settings for enabling or disabling this slider.</br><br/>This section allows you to specify which post details the post slider shows.' , 'hbthemes' ),
					"icon" => true,
					"type" => "info"
					);


$of_options[] = array (
					"name" => __( 'Show post excerpt' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to show the post excerpt.' , 'hbthemes' ),
					"id" => "hb_slider_show_excerpt",
					"std" => true,
					"type" => "checkbox"
				);	

$of_options[] = array (
					"name" => __( 'Show Review rating stars' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to show rating stars of the post.' , 'hbthemes' ),
					"id" => "hb_slider_show_reviews",
					"std" => true,
					"type" => "checkbox"
				);	
$of_options[] = array (
					"name" => __( 'Show post date' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to show the date the post was published.' , 'hbthemes' ),
					"id" => "hb_slider_show_date",
					"std" => true,
					"type" => "checkbox"
				);	

$of_options[] = array (
					"name" => __( 'Show post author' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to show the author of the post.' , 'hbthemes' ),
					"id" => "hb_slider_show_author",
					"std" => true,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Show categories' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to show category list of the post.' , 'hbthemes' ),
					"id" => "hb_slider_show_categories",
					"std" => true,
					"type" => "checkbox"
				);	

$of_options[] = array (
					"name" => __( 'Show comments' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to show the comments number and comments link.' , 'hbthemes' ),
					"id" => "hb_slider_show_comments",
					"std" => true,
					"type" => "checkbox"
				);	
$of_options[] = array (
					"name" => __( 'Show post views' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to show post view count.' , 'hbthemes' ),
					"id" => "hb_slider_show_views",
					"std" => true,
					"type" => "checkbox"
				);	

$of_options[] = array (
					"name" => __( 'Delimiter' , 'hbthemes' ),
					"desc" => __( 'Enter a custom delimiter.' , 'hbthemes' ),
					"id" => "hb_slider_delimiter",
					"std" => "",
					"type" => "text"
				);	

$of_options[] = array( "name" => __("Advert Manager","hbthemes"),
					"type" => "heading");
							
$of_options[] = array( "name" => __( 'Advert Manager Info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_advert_info",
					"std" => __( 'This is the <strong>Advert Manager</strong> section.<br/><br/>This section allows you to upload your advert images and write your own ads in HTML. Choose between <strong>5 different positions</strong> for the ads. When uploaded, ads are randomly chosen for each section and then displayed.<br/><br/>You can create a shortcode which exctracts ads from a given section so you can insert them in the content as well. ' , 'hbthemes' ),
					"icon" => true,
					"type" => "info"
					);


$of_options[] = array (
					"name" => __( 'Leaderboard ads' , 'hbthemes' ),
					"desc" => __( 'Create ads which will be displayed on the right side of the logo in random order.' ),
					"id" => "hb_leaderboard_ads",
					"type" => "admanager",
					"std" => null,
				);

$of_options[] = array (
					"name" => __( 'Before Main Content ads' , 'hbthemes' ),
					"desc" => __( 'Create ads which will be displayed above the main content and sidebar, below the main navigation. ' ),
					"id" => "hb_before_main_content_ads",
					"type" => "admanager",
					"std" => null,
				);

$of_options[] = array (
					"name" => __( 'Inside Content - After Title ads' , 'hbthemes' ),
					"desc" => __( 'Create ads which will be displayed inside the main content and below the page/post title. ' ),
					"id" => "hb_top_main_content_ads",
					"type" => "admanager",
					"std" => null,
				);

$of_options[] = array (
					"name" => __( 'Inside Content - Before Comments ads' , 'hbthemes' ),
					"desc" => __( 'Create ads which will be displayed inside the main content and above the comments. ' ),
					"id" => "hb_comments_content_ads",
					"type" => "admanager",
					"std" => null,
				);

$of_options[] = array (
					"name" => __( 'After Main Content ads' , 'hbthemes' ),
					"desc" => __( 'Create ads which will be displayed after the main content and sidebar. ' ),
					"id" => "hb_after_content_ads",
					"type" => "admanager",
					"std" => null,
				);


$of_options[] = array( "name" => __( 'Twitter Settings' , 'hbthemes' ), 
					"type" => "heading");
					
$of_options[] = array( "name" => __( 'Twitter Settings', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_twitter_info",
					"std" => __( 'This is the <strong>Twitter Settings</strong> section.<br/><br/>In this section you will find an option to display a Twitter feed line right above the Footer Area and below the Content.<br/><br/>In order for the Twitter Feed to work, you need to enter Consumer, Consumer Secret Key and Access Token and Access Token Secret. You can enter those in the <a href="' . admin_url() . 'options-general.php?page=tdf_settings">Settings > Twitter Feed Auth</a>.' , 'hbthemes' ),
					"icon" => true,
					"type" => "info");
				

$of_options[] = array (
					"name" => __( 'Enable / Disable Twitter Line' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable a twiiter line on the bottom of each page.' , 'hbthemes' ),
					"id" => "hb_twitter_line",
					"std" => false,
					"type" => "checkbox"
				);					

$of_options[] = array (
					"name" => __('Twitter Username' , 'hbthemes'),
					"desc" => __( 'Enter Twitter username for the Twitter Line.' , 'hbthemes' ),
					"id" => "hb_twitter_username",
					"std" => "HBThemes",
					"type" => "text"
				);



$of_options[] = array( "name" => __( 'Style Manager' , 'hbthemes' ), 
					"type" => "heading");
					
$of_options[] = array( "name" => __( 'Style Manager Info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_styles_info",
					"std" => __( 'This is the <strong>Style Manage</strong> section.<br/><br/>In this section you can change the theme colors, top border and default background. Choose between a plain color, image or texture background! You can choose from our predefined images, but you can always upload your own if you prefer.<br/><br/><strong>Backgrounds</strong> can be changed individually in each <strong>post, page or category</strong> in the meta settings.<br/><strong>Primary Color</strong> can be changed for each <strong>category</strong> in the Category meta settings.<br/>On pages such as archives, search, 404 etc. these Theme Option settings will be used.' , 'hbthemes' ),
					"icon" => true,
					"type" => "info");
				

$of_options[] = array (
					"name" => __( 'Enable / Disable Body Border on top' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to disable the top border.' , 'hbthemes' ),
					"id" => "hb_disable_border",
					"std" => false,
					"type" => "checkbox"
				);

$of_options[] = array (
					"name" => __( 'Change Primary Color' , 'hbthemes' ),
					"desc" => __( 'Primary website color. ' , 'hbthemes' ),
					"id" => "hb_default_color",
					"std" => "#498ab8",
					"type" => "color",
				);

$of_options[] = array (
					"name" => __( 'Change Secondary Color' , 'hbthemes' ),
					"desc" => __( 'Secondary website color. ' , 'hbthemes' ),
					"id" => "hb_secondary_color",
					"std" => "#363d40",
					"type" => "color",
				);

$of_options[] = array (
					"name" => __( 'Select Background Type' , 'hbthemes' ),
					"desc" => __( 'Choose between a fullscreen image, a texture and plain color. ' , 'hbthemes' ),
					"id" => "hb_background_type",
					"std" => "",
					"type" => "hb_select",
					"options" => array ( 'plain'=> __('Plain Color','hbthemes'), 'texture'=>__('Texture','hbthemes'), 'image'=>__('Fullscreen Image','hbthemes'))
				);

$of_options[] = array (
					"name" => __( 'Plain Background Color' , 'hbthemes' ),
					"desc" => __( 'Choose plain background color. Only visible if boxed layout is used. ' , 'hbthemes' ),
					"id" => "hb_plain_bg_color",
					"std" => "#cccccc",
					"type" => "color",
				);

$of_options[] = array (
					"name" => __( 'Upload Background Image' , 'hbthemes' ),
					"desc" => __( 'Select background image for your website. Only visible if boxed layout is used.' , 'hbthemes' ),
					"id" => "hb_background_image",
					"std" => "",
					"type" => "media",
				);

$of_options[] = array( "name" => __( 'Choose Background Texture', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_background_tiles_images",
					"std" => $bg_images_url . 'dots1.png',
					"options" => $bg_images,
					"type" => "tiles"
					);				
				
$of_options[] = array (
					"name" => __( 'Upload Background Texture' , 'hbthemes' ),
					"desc" => __( 'Select background texture for your website. Only visible if boxed layout is used.' , 'hbthemes' ),
					"id" => "hb_background_texture",
					"std" => "",
					"type" => "media",
				);


$of_options[] = array( "name" => __( 'Typography Settings' , 'hbthemes' ), 
					"type" => "heading");

$of_options[] = array( "name" => __( 'Typography Info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_typography_info",
					"std" => __( 'This is the <strong>Typography Settings</strong> section.<br/></br>Here you can customize some of the main font settings. For more customizations use Custom CSS box.<br/><br/><strong>TIP : </strong>If you want to use this section, you need to enable it by checking the box bellow.' ),
					"icon" => true,
					"type" => "info"
					);
					
$of_options[] = array (
					"name" => __( 'Enable Custom Typography Settings' , 'hbthemes' ),
					"desc" => __( 'Check this box if you want to enable custom font settings listed below.' , 'hbthemes' ),
					"id" => "hb_enable_custom_typo",
					"std" => false,
					"type" => "checkbox"
				);

$of_options[] = array( 'name' => __('Default Font Settings' , 'hbthemes'),
				    'desc' => __('Settings for the default body font.','hbthemes'),
				    'id' => 'hb_default_body_font',
				    'std' => array( 'size' => '13px', 'face' => 'PT Sans', 'height'=> '20px' , 'color' => '#434343', 'style'=>'normal', 'transform'=>'none'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );

$of_options[] = array( 'name' => __('Main Navigation' , 'hbthemes'),
				    'desc' => __('Settings for the links font.','hbthemes'),
				    'id' => 'hb_main_nav_font',
				    'std' => array( 'size' => '13px', 'face' => 'PT Sans', 'style'=>'bold', 'transform'=>'uppercase'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );

$of_options[] = array( 'name' => __('H1 Font' , 'hbthemes'),
				    'desc' => __('Settings for the H1 font.','hbthemes'),
				    'id' => 'hb_h1_font',
				  	'std' => array( 'size' => '24px', 'face' => 'PT Sans', 'height'=> '40px' , 'color' => '#434343', 'style'=>'normal', 'transform'=>'none'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );
					
$of_options[] = array( 'name' => __('H2 Font' , 'hbthemes'),
				    'desc' => __('Settings for the H2 font.','hbthemes'),
				    'id' => 'hb_h2_font',
				    'std' => array( 'size' => '22px', 'face' => 'PT Sans', 'height'=> '40px' , 'color' => '#434343', 'style'=>'normal', 'transform'=>'none'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );
					
$of_options[] = array( 'name' => __('H3 Font' , 'hbthemes'),
				    'desc' => __('Settings for the H3 font.','hbthemes'),
				    'id' => 'hb_h3_font',
				    'std' => array( 'size' => '20px', 'face' => 'PT Sans', 'height'=> '40px' , 'color' => '#434343', 'style'=>'normal', 'transform'=>'none'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );
					
$of_options[] = array( 'name' => __('H4 Font' , 'hbthemes'),
				    'desc' => __('Settings for the H4 font.','hbthemes'),
				    'id' => 'hb_h4_font',
				    'std' => array( 'size' => '16px', 'face' => 'PT Sans', 'height'=> '22px' , 'color' => '#434343', 'style'=>'normal', 'transform'=>'none'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );
					
$of_options[] = array( 'name' => __('H5 Font' , 'hbthemes'),
				    'desc' => __('Settings for the H5 font.','hbthemes'),
				    'id' => 'hb_h5_font',
				   	'std' => array( 'size' => '16px', 'face' => 'PT Sans', 'height'=> '22px' , 'color' => '#434343', 'style'=>'normal', 'transform'=>'none'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );
					
$of_options[] = array( 'name' => __('H6 Font' , 'hbthemes'),
				    'desc' => __('Settings for the H6 font.','hbthemes'),
				    'id' => 'hb_h6_font',
				    'std' => array( 'size' => '14px', 'face' => 'PT Sans', 'height'=> '22px' , 'color' => '#434343', 'style'=>'normal', 'transform'=>'none'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );

$of_options[] = array( 'name' => __('Logo Text' , 'hbthemes'),
				    'desc' => __('Settings for the logo text font.','hbthemes'),
				    'id' => 'hb_logo_text_font',
				    'std' => array( 'size' => '36px', 'face' => 'PT Sans', 'height'=> '40px' , 'color' => '#363D40', 'style'=>'bold', 'transform'=>'none'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );

$of_options[] = array( 'name' => __('Logo Tagline' , 'hbthemes'),
				    'desc' => __('Settings for the logo tagline font.','hbthemes'),
				    'id' => 'hb_logo_tagline_font',
				    'std' => array( 'size' => '15px', 'face' => 'PT Sans', 'height'=> '20px' , 'color' => '#777777', 'style'=>'normal', 'transform'=>'none'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );

$of_options[] = array( 'name' => __('Page Title' , 'hbthemes'),
				    'desc' => __('Settings for the page title font.','hbthemes'),
				    'id' => 'hb_page_title_font',
				    'std' => array( 'size' => '26px', 'face' => 'PT Sans', 'height'=> '38px' , 'color' => '#434343', 'style'=>'bold', 'transform'=>'none'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );

$of_options[] = array( 'name' => __('Page Subtitle' , 'hbthemes'),
				    'desc' => __('Settings for the page subtitle font.','hbthemes'),
				    'id' => 'hb_page_subtitle_font',
				    'std' => array( 'size' => '18px', 'face' => 'PT Sans', 'height'=> '28px' , 'color' => '#aaaaaa', 'style'=>'normal', 'transform'=>'uppercase'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );

$of_options[] = array( 'name' => __('Sidebar Title' , 'hbthemes'),
				    'desc' => __('Settings for the sidebar title font.','hbthemes'),
				    'id' => 'hb_sidebar_title_font',
				    'std' => array( 'size' => '16px', 'face' => 'PT Sans', 'height'=> '26px' , 'color' => '#777777', 'style'=>'normal', 'transform'=>'uppercase'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );

$of_options[] = array( 'name' => __('Footer Widget Title' , 'hbthemes'),
				    'desc' => __('Settings for the footer widget title font.','hbthemes'),
				    'id' => 'hb_footer_widget_title_font',
				    'std' => array( 'size' => '18px', 'face' => 'PT Sans', 'height'=> '24px' , 'color' => '#cccccc', 'style'=>'normal', 'transform'=>'uppercase'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );

$of_options[] = array( 'name' => __('Footer Text' , 'hbthemes'),
				    'desc' => __('Settings for the footer text font.','hbthemes'),
				    'id' => 'hb_footer_text_font',
				    'std' => array( 'size' => '13px', 'face' => 'PT Sans', 'height'=> '20px' , 'color' => '#999999', 'style'=>'normal', 'transform'=>'none'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );

$of_options[] = array( 'name' => __('Button' , 'hbthemes'),
				    'desc' => __('Settings for the buttons font.','hbthemes'),
				    'id' => 'hb_buttons_font',
				    'std' => array( 'size' => '13px', 'face' => 'PT Sans', 'height'=> '20px' , 'color' => '#bbbbbb', 'style'=>'normal', 'transform'=>'none'),
				    'type' => 'typography',
				    'options' => $typography_mixed_fonts
				    );


$of_options[] = array( "name" => __( 'Backup Options' , 'hbthemes' ), 
					"type" => "heading");


$of_options[] = array( "name" => __( 'Backup Settings Info', 'hbthemes' ),
					"desc" => "",
					"id" => "hb_backup_setting_info",
					"std" => __( 'This is the <strong>Backup Options</strong> section.<br/><br/>Here you can backup or restore your theme options.<br/><br/>Click <strong>Backup Options</strong> to backup your current theme options values.<br/>Click <strong>Restore Options</strong> to restore theme options from your latest backup.' , 'hbthemes' ),
					"icon" => true,
					"type" => "info"
					);

$of_options[] = array( "name" => __( 'Backup Theme Options Values', 'hbthemes' ),
					"id" => "hb_backup_options",
					"type" => "backup"
					);	
$of_options[] = array( "name" => "Transfer Theme Options Data",
                    "id" => "hb_transfer",
                    "std" => "",
                    "type" => "transfer",
					"desc" => 'You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options".
						',
					);	

	}
}
?>
