<?php
/**
 * @package WordPress
 * @subpackage Notable
 */
 
global $data;

?>

<?php
	if ( !is_user_logged_in() && get_post_meta( get_the_ID() , 'hb_post_login_required' , true ) ) return;
	if ( get_current_template(get_the_ID()) == 'page-login.php' ) return; 
	if ( post_password_required() ) return;
	if ( function_exists('is_bbpress') && is_bbpress()) return;
	if ( !comments_open() && !is_single() ) return;
?>

<?php if ( !comments_open() && is_single()) { ?>
	<?php if ( !$data['hb_post_facebook_comments'] || ( $data['hb_post_facebook_comments'] && get_post_meta ( get_the_ID() , 'hb_individ_disable_fbcomm' , true ) ) || $data['hb_disable_pages_comments']) { ?>
		<div class="page-title-box clearfix">
			<h2 class="page-title">
				<?php _e('Comments are <strong>disabled</strong> for this post' , 'hbthemes'); ?>
			</h2>
		</div>
	<?php } ?>
<?php } else { ?>

<div class="page-title-box clearfix comment-num-title">
	<h2 class="page-title">
	<?php
		$num_comments = get_comments_number();
		comments_number( __('There are no comments so far', 'hbthemes'), __('There is <strong>1 comment</strong> so far', 'hbthemes'), __('There are <strong>% comments</strong> so far', 'hbthemes') );
	?>
	</h2>
</div>

<div class="comments-wrapper clearfix" id="comments">
	<div id="comments-list" class="comments">
	
	<?php if ($num_comments != 0) { ?>
	<ol>
		<?php wp_list_comments( 'callback=hb_format_comment' ); ?>				
	</ol>
	<?php } ?>

	<div class="blog-comment-pagination clearfix">	
	<?php paginate_comments_links(array('prev_text' => '<span>&larr;&nbsp;</span> Previous', 'next_text' => 'Next <span> &nbsp; &rarr;</span>')); ?>
	</div>
	<div class="clear"></div>
	
	<?php if ( $num_comments > 0 ) { ?>
	<div class="spacer"></div>
	<?php } ?>

	<!-- BEGIN #respond -->
	<div id="respond">
					
		<div class="page-title-box clearfix comment-num-title">
			<h2 class="page-title"><?php comment_form_title( __('Leave a Comment', 'framework'), __('Leave a Comment to %s', 'framework') ); ?></h2>
		</div>		

	</div>
	<!-- END #respond -->

		
	<!-- Respond Script -->
	<script>
		jQuery(document).ready(function(){
			jQuery("#commentform").validate();
		});
	</script>
		
	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
		<?php if ( is_user_logged_in() ) : ?>		
			<p style="padding-bottom:8px;"><?php printf(__('Logged in as %1$s. %2$sLog out from this account.%3$s', 'hbthemes'), '<a href="'.get_option('siteurl').'/wp-admin/profile.php">'.$user_identity.'</a>', '<a href="'.(function_exists('wp_logout_url') ? wp_logout_url(get_permalink()) : get_option('siteurl').'/wp-login.php?action=logout" title="').'" title="'.__('Log out of this account', 'hbthemes').'">', '</a>') ?></p>		
		<?php else : ?>
			
			<p>
				<input class="required requiredField" type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" size="22" tabindex="1" />
				<label for="author"><?php _e('Name', 'hbthemes') ?> <small><?php _e("*", 'hbthemes'); ?></small></label>
			</p>
			<p>
				<input class="required requiredField email" type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" size="22" tabindex="2" />
				<label for="email"><?php _e('Email', 'hbthemes') ?> <small><?php _e("*", 'hbthemes'); ?></small></label>
			</p>		
			<p>
				<input type="text" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" size="22" tabindex="3" />
				<label for="url"><?php _e('Website', 'hbthemes') ?></label>
			</p>
			
		<?php endif; ?>
			
		<p>
			<textarea class="required requiredField" name="comment" id="comment" cols="55" rows="10" tabindex="4"></textarea>
		</p>
		<p class="form-disclaimer"><small><?php _e("Don't worry. We never use your email for spam.", 'hbthemes'); ?></small></p>
		<!--<p class="allowed-tags"><small><strong>XHTML:</strong> You can use these tags: <code>&lt;a href=&quot;&quot; title=&quot;&quot;&gt; &lt;abbr title=&quot;&quot;&gt; &lt;acronym title=&quot;&quot;&gt; &lt;b&gt; &lt;blockquote cite=&quot;&quot;&gt; &lt;cite&gt; &lt;code&gt; &lt;del datetime=&quot;&quot;&gt; &lt;em&gt; &lt;i&gt; &lt;q cite=&quot;&quot;&gt; &lt;strike&gt; &lt;strong&gt; </code></small></p>-->
			
		<p class="no-margin">
			<button name="submit" class="button btn-large btn-orange" type="submit" id="submit" tabindex="5"><?php _e('Submit Comment', 'hbthemes'); ?></button>
		</p>
		
		<?php comment_id_fields(); ?>
		<?php do_action('comment_form', $post->ID); ?>
		
	</form>

	</div>
</div>

<?php } ?>

<?php	
function hb_format_comment($comment, $args, $depth) {
	$isByAuthor = false;
	global $data;

    if($comment->comment_author_email == get_the_author_meta('email')) {
        $isByAuthor = true;
    }

    $GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
     
	<div class="comment-wrap clearfix">
     
	  <div class="comment-avatar">
      <?php echo get_avatar($comment,$size='148'); ?>
      </div>
	  
	  <div class="comment-content">
		<div class="comment-meta">
			<?php if($isByAuthor) { ?>
			<div class="author-span floatright"><?php _e('Author','hbthemes') ?></div>
			<?php } ?>
			
			<span class="comment-author vcard">
			<?php printf('%s', get_comment_author_link()) ?> 			 
			</span>

			<span class="mid-sep">&middot;</span>

			<span class="comment-date"><?php comment_date(); ?></span>
			
			<span class="comment-reply">
				<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'before' => '&middot; ' , 'max_depth' => $args['max_depth']))); ?>
			</span>
			
			<span class="mid-sep">&middot;</span>
			
			<span class="quote-link"><a href="#" data-quote="<?php echo htmlspecialchars(get_comment_text(), ENT_QUOTES); ?>">Quote</a></span>

			<?php edit_comment_link('Edit', '&middot; ', ''); ?>

			<?php if ( current_user_can('edit_post', $comment->comment_post_ID) ) {
						$aurl = admin_url();
						$url = esc_url(wp_nonce_url( $aurl . "/comment.php?action=deletecomment&p=$comment->comment_post_ID&c=$comment->comment_ID", "delete-comment_$comment->comment_ID" ));
						echo "<span class='mid-sep'>&middot;</span> <a href='$url' onclick=\"return confirm('" . __('Are you sure you want to delete this comment?', 'hbthemes') . "')\" class='delete:the-comment-list:comment-$comment->comment_ID delete'>" . __('Delete', 'hbthemes') . "</a> ";
					}
			?>
		</div>
	 
      
      
		  <div class="comment-body">      
			<?php if ($comment->comment_approved == '0') : ?>
			<em class="moderation"><?php _e('Your comment is awaiting moderation.', 'hbthemes') ?></em>
			<br />
			<?php endif; ?>
	  
			<?php comment_text() ?>
			
			</div>      
	 </div>
	</div>

<?php } ?>