<?php


//get theme options
if(get_option('bulletpress_options')) {
	global $data;
}	

$sidebar_list = array();
$sidebar_list[__("Default Sidebar A", "hbthemes")] = array(
		'label' => __("Default Sidebar A", "hbthemes"),
		'value' => __("Default Sidebar A", "hbthemes")
		);
$sidebar_list[__("Default Sidebar B", "hbthemes")] = array(	
		'label' => __("Default Sidebar B", "hbthemes"),
		'value' => __("Default Sidebar B", "hbthemes")
		);

if ( isset($data['hb_sidebar']) )
	$reg_sidebars = $data['hb_sidebar'];

if ( !empty ( $reg_sidebars ) ) {
	foreach ( $reg_sidebars as $side ) {
		if ( $side['title'] != __("Footer 1","hbthemes") && $side['title'] != __("Footer 2","hbthemes") && $side['title'] != __("Footer 3","hbthemes") && $side['title'] != __("Footer 4","hbthemes") )
			$sidebar_list[$side['title']] = array('label'=>$side['title'], 'value'=>$side['title']);
	}
}

$rev_slider_list = array();

if(class_exists('RevSlider')){
    $slider = new RevSlider();
	$arrSliders = $slider->getArrSliders();
	foreach($arrSliders as $revSlider) { 
		$rev_slider_list[$revSlider->getTitle()] = array ( 'label'=>$revSlider->getTitle() , 'value'=>$revSlider->getAlias() );
	}
}

$posts_categories = array();
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
	$posts_categories[$of_cat->cat_name] = array('label'=>$of_cat->cat_name, 'value'=>$of_cat->cat_ID);
}


// Layout Images Reader
$layout_images_path = get_template_directory(). '/admin/assets/images/layout/'; // change this to where you store your bg images
$layout_images_url = get_template_directory_uri().'/admin/assets/images/layout/'; // change this to where you store your bg images
$layout_images = array();
		
if ( is_dir($layout_images_path) ) {
    if ($layout_images_dir = opendir($layout_images_path) ) { 
        while ( ($layout_images_file = readdir($layout_images_dir)) !== false ) {
            if(stristr($layout_images_file, ".png") !== false || stristr($layout_images_file, ".jpg") !== false) {
                $layout_images[$layout_images_file] = array( 'label' => $layout_images_url . $layout_images_file, 'value'=>$layout_images_file);
            }
        }    
    }
}

$prefix = 'hb_';

/**************** POST SETTINGS ****************************/
$fields_post = array();

$fields_post[] = array( // Single checkbox
		'label'	=> __('Login Required' , 'hbthemes'),
		'desc'	=> __('Require visitors to log in in order to view this post.', 'hbthemes'), 
		'id'	=> $prefix.'post_login_required', // field id and name
		'type'	=> 'checkbox' // type of field
	);

$fields_post[] = array( // Single checkbox
		'label'	=> __('Hide Featured Image / Video / Audio Embed' , 'hbthemes'),
		'desc'	=> __('Hide featured image / video / audio embed on single post page.', 'hbthemes'), 
		'id'	=> $prefix.'hide_featured_image', // field id and name
		'type'	=> 'checkbox' // type of field
	);

$fields_post[] = array( // Text Input
		'label'	=> __('Video Link', 'hbthemes'), // <label>
		'desc'	=> __('Paste URL of your video from Youtube, Vimeo, DailyMotion or similar.', 'hbthemes'), // description
		'id'	=> $prefix.'post_video_link', // field id and name
		'type'	=> 'text' // type of field
	);
$fields_post[] = array( // Text Input
		'label'	=> __('Audio Link', 'hbthemes'), // <label>
		'desc'	=> __('Paste URL of your audio file from SoundCloud.', 'hbthemes'), // description
		'id'	=> $prefix.'post_audio_link', // field id and name
		'type'	=> 'text' // type of field
	);

$fields_post[] = array( // Text Input
		'label'	=> __('Related Posts', 'hbthemes'), // <label>
		'desc'	=> __('Enter related post slugs, each separated with a comma. Example: my-post-1, my-post-2, another-post etc.', 'hbthemes'), // description
		'id'	=> $prefix.'related_posts', // field id and name
		'type'	=> 'text' // type of field
	);


/**************** LANDING PAGE SETTINGS ****************************/
$landing_fields = array();
	
$landing_fields[] = array(
			"label" => __("Disable Top Bar", "hbthemes"),
			"id" => $prefix . "disable_top_bar",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable the entire Top Bar on this page.", "hbthemes")
		);

$landing_fields[] = array(
			"label" => __("Disable Top Bar Navigation", "hbthemes"),
			"id" => $prefix . "disable_top_bar_navigation",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable the Top Bar Navigation on this page.", "hbthemes")
		); 

$landing_fields[] = array(
			"label" => __("Disable Logo", "hbthemes"),
			"id" => $prefix . "disable_logo",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable the logo on this page.", "hbthemes")
		); 

$landing_fields[] = array(
			"label" => __("Disable Main Navigation", "hbthemes"),
			"id" => $prefix . "disable_main_navigation",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable the Main Navigation on this page.", "hbthemes")
		); 

$landing_fields[] = array(
			"label" => __("Disable Footer", "hbthemes"),
			"id" => $prefix . "disable_footer",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable the entire Footer on this page.", "hbthemes")
		); 

$landing_fields[] = array(
			"label" => __("Disable Copyright Area", "hbthemes"),
			"id" => $prefix . "disable_copyright",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable the copyright line on this page.", "hbthemes")
		); 

/**************** GENERAL SETTINGS ****************************/
$fields = array();
	
$fields[] = array(
			"label" => __("Disable Title", "hbthemes"),
			"id" => $prefix . "disable_title",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable the Title on this page.", "hbthemes")
		); 

$fields[] = array(
			"label" => __("Customize Title", "hbthemes"),
			"id" => $prefix . "custom_page_title",
			"type" => "text",
			"desc" => __("Customize your page title. You can use HTML.", "hbthemes")
		); 		
		
$fields[] = array(
			"label" => __("Customize Subtitle", "hbthemes"),
			"id" => $prefix . "custom_page_subtitle",
			"type" => "text",
			"desc" => __("Customize your page subtitle. You can use HTML.", "hbthemes")
		); 

$fields[] = array(
			"label" => __("Page Focus Color", "hbthemes"),
			"id" => $prefix . "page_focus_color",
			"type" => "color",
			"desc" => __("Choose an accent color for this page. Leave empty to use the default color.", "hbthemes")
		); 

$fields[] = array(
			"label" => __("Revolution Slider", "hbthemes"),
			"id" => $prefix . "revolution_slider",
			"type" => "select",
			"std" =>  "",
			"options" => $rev_slider_list,
			"desc" => __("Choose a Revolution slider.", "hbthemes")
		); 			

$fields[] = array(
			"label" => __("Sidebar A - Main Sidebar", "hbthemes"),
			"id" => $prefix . "post_sidebar_a",
			"type" => "select",
			"std" =>  $data['hb_sidebar_a'],
			"options" => $sidebar_list,
			"desc" => __("Change the default sidebar A. If the layout has only one sidebar, this one will be used", "hbthemes")
		); 		
$fields[] = array(
			"label" => __("Sidebar B", "hbthemes"),
			"id" => $prefix . "post_sidebar_b",
			"type" => "select",
			"std" =>  $data['hb_sidebar_b'],
			"options" => $sidebar_list,
			"desc" => __("Change the default sidebar B.", "hbthemes")
		); 			
	
$fields[] = array(
			"label" => __("Layout", "hbthemes"),
			"id" => $prefix . "post_layout",
			"type" => "tiles",
			"std" =>  $data['hb_layout_style'],
			"options" => $layout_images,
			"desc" => __("Choose a layout for this post/page.", "hbthemes")
		); 			
		
if ( $data['hb_enable_breadcrumbs'] ) 
	$fields[] = array(
			"label" => __("Disable Bradcrumbs", "hbthemes"),
			"id" => $prefix . "individ_disable_breadcrumbs",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable the Breadcrumbs on this page.", "hbthemes")
		); 
if ( $data['hb_enable_ticker'] ) 
	$fields[] = array(
			"label" => __("Disable Ticker", "hbthemes"),
			"id" => $prefix . "individ_disable_ticker",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable the Ticker on this page.", "hbthemes")
		); 

$fields[] = array(
			"label" => __("Disable Facebook Comments", "hbthemes"),
			"id" => $prefix . "individ_disable_fbcomm",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable Facebook Comments.", "hbthemes")
		); 

$fields[] = array(
			"label" => __("Alternative Logo", "hbthemes"),
			"id" => $prefix . "alternative_logo",
			"type" => "image",
			"desc" => __("Upload an alternative logo which will be used on this page only.", "hbthemes")
		); 
	
$carousel_fields = array();

$carousel_fields[] = array(
			"label" => __("Enable Carousel", "hbthemes"),
			"id" => $prefix . "enable_carousel",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to enable the Carousel on this page.", "hbthemes")
		); 
$carousel_fields[] = array(
			"label" => __("Title", "hbthemes"),
			"id" => $prefix . "carousel_title",
			"type" => "text",
			"desc" => __("Enter a title for post carousel.", "hbthemes")
		); 
$carousel_fields[] = array(
			"label" => __("Category", "hbthemes"),
			"id" => $prefix . "carousel_category",
			"type" => "select",
			"options" => $posts_categories,
			"desc" => __("Specify a category for the carousel posts. Leave to 'Select One' in order to get all posts.", "hbthemes")
		); 
$carousel_fields[] = array(
			"label" => __("Post Count", "hbthemes"),
			"id" => $prefix . "carousel_number",
			"type" => "text",
			"desc" => __("Specify number of posts in carousel. Leave empty or enter -1 to get all posts from the category.", "hbthemes")
		); 
 

		
/**************** LAYOUT SETTINGS ****************************/
$layout_fields = array();

$layout_fields[] = array(
			"label" => __("Background Type", "hbthemes"),
			"id" => $prefix . "background_type",
			"type" => "select",
			"desc" => __("Choose the type of your post/page background.", "hbthemes"),
			"options" => array(
				"default" => array(
						'label' => __('Default', 'hbthemes'),
						'value' => 'default'
					),
				"plain" => array(
					'label' => __('Plain Color', 'hbthemes'),
					'value' => "plain"
					),
				"image" => array(
					'label' => __('Fullscreen Image', 'hbthemes'),
					'value' => "image"
					),
				"texture" => array(
					'label' => __('Texture', 'hbthemes'),
					'value' => "texture"
					)
			)
		); 
$layout_fields[] = array(
			"label" => __("Plain Background Color", "hbthemes"),
			"id" => $prefix . "background_color",
			"type" => "color",
			"desc" => __("Choose a color for the background of this post/page.", "hbthemes")
		); 
$layout_fields[] = array(
			"label" => __("Fullscreen Background Image", "hbthemes"),
			"id" => $prefix . "fullscreen_back_image",
			"type" => "image",
			"desc" => __("Upload a image for a fullscreen background on this post/page.", "hbthemes")
		); 
$layout_fields[] = array(
			"label" => __("Background Texture", "hbthemes"),
			"id" => $prefix . "background_texture",
			"type" => "image",
			"desc" => __("Upload a image for textured background on this post/page.", "hbthemes")
		); 

$template_fields = array();

$template_fields[] = array(
			"label" => __("Post Count", "hbthemes"),
			"id" => $prefix . "grid_post_count",
			"type" => "text",
			"desc" => __("Enter number of posts which will be displayed per page. Leave empty or enter -1 to get all posts.", "hbthemes"),
		); 

$template_fields[] = array(
			"label" => __("Order By", "hbthemes"),
			"id" => $prefix . "grid_order_by",
			"type" => "select",
			"std" => "recent",
			"desc" => __("Choose the order of the post items.", "hbthemes"),
			"options" => array(
				"recent" => array(
						'label' => __('Recent', 'hbthemes'),
						'value' => 'recent'
					),
				"comments" => array(
					'label' => __('Most Commented', 'hbthemes'),
					'value' => "comments"
					),
				"views" => array(
					'label' => __('Most Viewed', 'hbthemes'),
					'value' => "views"
					),
				"rating" => array(
					'label' => __('Top Rated', 'hbthemes'),
					'value' => "rating"
					),
				"random" => array(
					'label' => __('Random', 'hbthemes'),
					'value' => "random"
					)
			)
		); 
$template_fields[] = array(
			"label" => __("Order", "hbthemes"),
			"id" => $prefix . "grid_order",
			"type" => "select",
			"std" => "DESC",
			"desc" => __("Choose between ascending and descending order.", "hbthemes"),
			"options" => array(
				"ASC" => array(
						'label' => __('Ascending', 'hbthemes'),
						'value' => 'ASC'
					),
				"DESC" => array(
					'label' => __('Descending', 'hbthemes'),
					'value' => "DESC"
					)
			)
		);
$template_fields[] = array(
			"label" => __("Category", "hbthemes"),
			"id" => $prefix . "grid_category",
			"type" => "select",
			"options" => $posts_categories,
			"desc" => __("Specify a category for the post slider. Leave to 'Select One' in order to get all posts.", "hbthemes")
		); 

$sample_box = new custom_add_meta_box( 'landing_settings', 'Landing Template Settings', $landing_fields, 'page', true );
$sample_box = new custom_add_meta_box( 'template_settings', 'Template Settings', $template_fields, 'page', true );
$sample_box = new custom_add_meta_box( 'post_settings', 'Post Settings', $fields_post, 'post', true );
$sample_box = new custom_add_meta_box( 'general_settings', 'General Settings', $fields, array('post','page'), true );
$sample_box = new custom_add_meta_box( 'layout_settings', 'Layout Settings', $layout_fields, array('post','page'), true );
$sample_box = new custom_add_meta_box( 'carousel_settings', 'Carousel Settings', $carousel_fields, array('page'), true );


?>