<?php
	/****************** HB HERO *******************************/
	function hb_hero_2_shortcode ( $atts ) {
		extract( shortcode_atts( array(
			'icon' => '',
			'margin_top' => '',
			'title' => '',
			'subtitle' => '',
			'button_title' => '',
			'button_link' => '#',
			'button_size' => '',
			'button_color'=> '',
			'target' => '',
		), $atts ) );
 
		$output = '';

		$output .= '<section class="hb-centered-title aligncenter clearfix"';
		if ( $margin_top ) $output .= ' style="margin-top:' . $margin_top . '"';
		$output .= '>';

		if ( $icon ) $output .= '<i class="i-medium ' . $icon . '" style="background-color:' . $button_color . '"></i>';
		if ( $title ) $output .= '<h2>' . $title . '</h2>';
		if ( $subtitle ) $output .= '<h5>' . $subtitle . '</h2>';

		if ( $button_title ) {
			$output .= '<a href="' . $button_link . '" class="hb-button ' . $button_size . '" target="' . $target . '" style="background-color:' . $button_color . '">' . $button_title . '</a>';
		}

		$output .= '</section>';
		
		return $output;
	}
	add_shortcode( 'hb_hero_2', 'hb_hero_2_shortcode' );
	

	/*********************** MAP SHORTCODE *******************************/
	if (function_exists('wpb_map')){
	
	wpb_map( array(
	   "name" => __("HB Hero Centered" , "hbthemes"),
	   "base" => "hb_hero_2",
	   "class" => "",
	   "icon" => "icon-wpb-hero-2",
	   "category" => "Content",
	   "params" => array(
	   		array(
                "type" => "textfield",
                "heading" => __("Title", "js_composer"),
                "param_name" => "title",
                "value" => "",
                "description" => __("Leave empty if you do not want a title section.", "js_composer")
        	),
        	array(
                "type" => "textfield",
                "heading" => __("Subtitle", "js_composer"),
                "param_name" => "subtitle",
                "value" => "",
                "description" => __("Leave empty if you do not want a subtitle section.", "js_composer")
        	),
        	array(
                "type" => "textfield",
                "heading" => __("Icon", "js_composer"),
                "param_name" => "icon",
                "value" => "",
                "description" => __("Leave empty if you do not want an icon displayed. Choose an icon from the list of Font Awesome icons found here: ", "js_composer")
        	),
	        array(
                "type" => "textfield",
                "heading" => __("Margin Top", "js_composer"),
                "param_name" => "margin_top",
                "value" => "",
                "description" => __("Set up a margin top for this HB Hero box. Enter the units in the text field. <i>Examle: 40px</i> ", "js_composer")
        	),
        	array(
                "type" => "textfield",
                "heading" => __("Button Title", "js_composer"),
                "param_name" => "button_title",
                "value" => "",
                "description" => __("Enter a title for the button. Leave empty if you do not want a button to be displayed.", "js_composer")
        	),
        	array(
                "type" => "textfield",
                "heading" => __("Button Link", "js_composer"),
                "param_name" => "button_link",
                "value" => "",
                "description" => __("Enter a link for the HB Hero Button", "js_composer")
        	),
        	array(
	            "type" => "dropdown",
	            "heading" => __("Open Link in new: ", "js_composer"),
	            "param_name" => "target",
	            "value" => array(
	            	'Same Tab/Window' => '_self',
	            	'New Tab/Window' => '_blank',
	            	),
	            "description" => __("", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Button Size: ", "js_composer"),
	            "param_name" => "button_size",
	            "value" => array(
	            	'Large' => 'large',
	            	'Medium' => 'medium',
	            	'Small' => 'small'
	            	),
	            "description" => __("", "js_composer")
	        ),
	        array(
		         "type" => "colorpicker",
		         "holder" => "div",
		         "class" => "",
		         "heading" => __("Focus color",'js_composer'),
		         "param_name" => "button_color",
		         "value" => '#FF0000', //Default Red color
		         "description" => __("Choose Button & Icon color",'js_composer')
		      )
	   	),
	   
	) );
}
?>