<?php
	/****************** NEWS IN PICTURES *******************************/
	function hb_news_in_pictures_shortcode ( $atts ) {
		extract( shortcode_atts( array(
			'title' => '',
			'subtitle' => '',
			'count' => '10',
			'category' => '',
			'orderby' => 'date',
			'order' => 'DESC',
		), $atts ) );

	 	$output = "";

	 	if ( $title ) $output .= do_shortcode('[hb_title subtitle="' . $subtitle . '"]' . $title . '[/hb_title]');
 		global $wp_query;
		if ( !$count ) $count = -1;
		if ( $category && $category != 'none') query_posts ( 'ignore_sticky_posts=true&posts_per_page=' . $count . '&cat=' . $category . '&orderby=' . $orderby . '&order=' . $order );
		else query_posts ( 'ignore_sticky_posts=true&posts_per_page=' . $count . '&orderby=' . $orderby . '&order=' . $order );
		/* Display widget */

		if ( have_posts() ) : 
			$output .= "<ul class=\"news-in-pictures clearfix\">";
			
			while ( have_posts() ) : the_post(); 
				$thumb = get_post_thumbnail_id();
				$img_url = wp_get_attachment_url( $thumb,'full'); //get img 
				$image = hb_resize( $img_url, 290, 192, true ); 

				$output .= "<li>";
				$output .= "<a href='" . get_permalink() . "' class=\"preload\" original-title=\"" . get_the_title() . "\">";
				
				ob_start();
				hb_post_featured_image( get_the_ID() , 300, 225);
				$output .= ob_get_contents();
				ob_end_clean();
				$output .= "</a>";
					
				$output .= "</li>";
			endwhile;
			$output .= "</ul>";
		endif;
		wp_reset_query();

		return $output;
	}
	add_shortcode( 'hb_news_in_pictures', 'hb_news_in_pictures_shortcode' );
	

	/*********************** MAP SHORTCODE *******************************/
	if (function_exists('wpb_map')){

	$all_categories = get_categories('hide_empty=0');
	$cat_params = array("None" => "none");
	if ( !empty($all_categories) ) {
		foreach ($all_categories as $key) {
			$cat_params[$key->cat_name] = $key->cat_ID;
		}
	}

	wpb_map( array(
	    "name"		=> __("HB News In Pictures", "js_composer"),
	    "base"		=> "hb_news_in_pictures",
	    "controls"	=> "full",
	    "show_settings_on_create" => true,
	    "class"		=> "hb_news_in_pictures-shortcode",
		"icon"		=> "icon-wpb-ui-news-in-pictures",
		"category"  => __('Content', 'js_composer'),
	//	"wrapper_class" => "clearfix",
	    "params"	=> array(
	        array(
	            "type" => "textfield",
	            "heading" => __("Title", "js_composer"),
	            "param_name" => "title",
	            "value" => "",
	            "description" => __("Leave empty if you do not want a title section.", "js_composer")
	        ),
	        array(
	            "type" => "textfield",
	            "heading" => __("Subtitle", "js_composer"),
	            "param_name" => "subtitle",
	            "value" => "",
	            "description" => __("Leave empty if you do not want a subtitle section.", "js_composer")
	        ),
	        array(
	            "type" => "textfield",
	            "heading" => __("News Count", "js_composer"),
	            "param_name" => "count",
	            "value" => "10",
	            "description" => __("Enter a number of posts which will be displayed", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Category", "js_composer"),
	            "param_name" => "category",
	            "value" => $cat_params,
	            "description" => __("Choose a category to specify which news will be displayed.", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Orderby", "js_composer"),
	            "param_name" => "orderby",
	            "value" => array(__('Date','hbthemes') =>'date' , __('None','hbthemes')  => 'none' , __('ID','hbthemes') => 'ID' , __('Author','hbthemes')  => 'author' , __('Title','hbthemes')  => 'title' , __('Name','hbthemes')  => 'name' ,  __('Modified','hbthemes') => 'modified', __('Parent','hbthemes') => 'parent', __('Random','hbthemes') => 'rand' , __('Comment Count','hbthemes') => 'comment_count' , __('Menu Order','hbthemes')  => 'menu_order' ),
	            "description" => __("Choose an orderby criteria.", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Order", "js_composer"),
	            "param_name" => "order",
	            "value" => array( 'ASC' => 'ASC' , 'DESC' => 'DESC'),
	            "description" => __("Choose an order criteria, either ascending or descending.", "js_composer")
	        ),
	    )
	) );
}
?>