<?php
	/****************** POST LIST *************************/	
	function hb_post_list_large_thumb_shortcode ( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'title' => '',
			'subtitle' => '',
            'type' => '',
            'count' => '',
            'category' => '',
            'show_comment' => false,
            'show_views' => false,
            'show_date' => false,
            'show_categories' => false,
            'show_review' => false,
            'excerpt_len'=>40
		), $atts ) );

		$show_comment = (int) $show_comment;
		$show_views = (int) $show_views;
		$show_date = (int) $show_date;
		$show_categories = (int) $show_categories;
		$show_review = (int) $show_review;

		if ( !$count ) $count = -1;
		if ( $category == 'none') $category = '';

		switch ( $type ) {
			case 'recent' :
				$query = new WP_Query('ignore_sticky_posts=true&orderby=date&order=DESC&posts_per_page=' . $count . '&cat=' . $category);
			break;
			case 'comment_count' :
				$query = new WP_query('ignore_sticky_posts=true&orderby=comment_count&order=DESC&posts_per_page=' . $count . '&cat=' . $category);
			break;
			case 'views':
				$query = get_most_viewed_post_query($count, $category);
			break;
			case 'random':
				$query = new WP_Query('ignore_sticky_posts=true&orderby=rand&posts_per_page=' . $count . '&cat=' . $category);
			break;
			case 'reviews':
				$query = hb_get_top_reviews($count , $category);
			break;
		}

		$output = "";
		if ( $title )
			$output .= do_shortcode('[hb_title subtitle="' . $subtitle . '"]' . $title . '[/hb_title]');

		if ( $query->have_posts() ) :
			$output .= '<ul class="large-post-list">';

			while ( $query->have_posts() ) : $query->the_post();
			
			$output .= '<li class="clearfix">';

			$output .= '<div class="post-thumb">';
			$output .= '<a href="' . get_permalink() . '" title="' . get_the_title() . '">';
			ob_start();
			hb_post_featured_image ( get_the_ID(), 400, 250, true);
			$output .= ob_get_contents();
			ob_end_clean();
			$output .= '</a>';
			$output .= '</div>';

			$output .= '<div class="entry-content">';
				// Title
				$output .= '<h3><a href="' . get_permalink() . '" title="' . get_the_title() . '">' . get_the_title() . '</a></h3>';

				if ( $show_review ) {
					if ( get_post_meta( get_the_ID(), 'hb_enable_review', true) ) {
						$final_review_mark = get_post_meta ( get_the_ID() , 'hb_final_review_value' , true);
						$output .= '<div class="stars-wrapper">';
						$output .= '<span class="omc-criteria-star-under">';
						$output .= '<span class="omc-criteria-star-top" style="width:' . $final_review_mark . '%"></span>';
						$output .= '</span>';
						$output .= '</div>';
					}
				}

				// Meta Info
				$output .= '<aside id="meta-' . get_the_ID() . '" class="entry-meta">';
				ob_start();
				hb_post_meta_details( get_the_ID() , $show_date, false, $show_categories,  $show_comment, $show_views );
				$output .= ob_get_contents();
				ob_end_clean();
				$output .= '</aside>'; 

				if ( $excerpt_len > 0 )
				$output .= strip_shortcodes ( wp_trim_words ( get_the_content() , $excerpt_len , '...' ) );


			$output .= '</div>';
			$output .= '</li>';

			endwhile;

			$output .= '</ul>';

		endif;

		wp_reset_query();
        return $output;
	}
	add_shortcode( 'hb_post_list_large_thumb', 'hb_post_list_large_thumb_shortcode' );

	/*********************** MAP SHORTCODE *******************************/
	if (function_exists('wpb_map')){

	$all_categories = get_categories('hide_empty=0');
	$cat_params = array("None" => "none");
	if ( !empty($all_categories) ) {
		foreach ($all_categories as $key) {
			$cat_params[$key->cat_name] = $key->cat_ID;
		}
	}

	wpb_map( array(
	    "name"		=> __("HB Post List - Large Thumb", "js_composer"),
	    "base"		=> "hb_post_list_large_thumb",
	    "controls"	=> "full",
	    "show_settings_on_create" => true,
	    "class"		=> "hb_post_list_large_thumb-shortcode",
		"icon"		=> "icon-wpb-ui-hb-post-list-large-thumb",
		"category"  => __('Content', 'js_composer'),
	//	"wrapper_class" => "clearfix",
	    "params"	=> array(
	        array(
	            "type" => "textfield",
	            "heading" => __("Title", "js_composer"),
	            "param_name" => "title",
	            "value" => "",
	            "description" => __("Leave empty if you do not want a title section.", "js_composer")
	        ),
	        array(
	            "type" => "textfield",
	            "heading" => __("Subtitle", "js_composer"),
	            "param_name" => "subtitle",
	            "value" => "",
	            "description" => __("Leave empty if you do not want a subtitle section.", "js_composer")
	        ),
	        array(
	            "type" => "textfield",
	            "heading" => __("Total Post Count", "js_composer"),
	            "param_name" => "count",
	            "value" => "10",
	            "description" => __("Enter a number of posts which will be displayed", "js_composer")
	        ),
	        array(
	            "type" => "textfield",
	            "heading" => __("Excerpt word count", "js_composer"),
	            "param_name" => "excerpt_len",
	            "value" => "",
	            "description" => __("Specify how many words will occur in the excerpt", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Category", "js_composer"),
	            "param_name" => "category",
	            "value" => $cat_params,
	            "description" => __("Choose a category to specify which news will be displayed.", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Criteria", "js_composer"),
	            "param_name" => "type",
	            "value" => array('Recent' => 'recent' , 'Most Commented' => 'comment_count' , 'Most Viewed' => 'views' , 'Random' => 'random', 'Top Rated'=> 'reviews' ),
	            "description" => __("Choose in which order will the posts appear.", "js_composer")
	        ),array(
	            "type" => "dropdown",
	            "heading" => __("Show date.", "js_composer"),
	            "param_name" => "show_date",
	            "value" => array( 'Yes' => 1 , 'No' => 0),
	            "description" => __("Choose if the date will be displayed.", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Show comment count.", "js_composer"),
	            "param_name" => "show_comment",
	            "value" => array( 'Yes' => 1 , 'No' => 0),
	            "description" => __("Choose if the comment count will be displayed.", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Show view count.", "js_composer"),
	            "param_name" => "show_views",
	            "value" => array( 'Yes' => 1 , 'No' => 0),
	            "description" => __("Choose if the view count will be displayed.", "js_composer")
	        ),

	        array(
	            "type" => "dropdown",
	            "heading" => __("Show categories.", "js_composer"),
	            "param_name" => "show_categories",
	            "value" => array( 'Yes' => 1 , 'No' => 0),
	            "description" => __("Choose if the categorie list will be displayed.", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Show review star rating.", "js_composer"),
	            "param_name" => "show_review",
	            "value" => array( 'Yes' => 1 , 'No' => 0),
	            "description" => __("Choose if the review starts will be displayed.", "js_composer")
	        ),
	    )
	) );
}
?>