<?php
	/****************** POST LIST *************************/	
	function hb_post_list_shortcode ( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'title' => '',
			'subtitle' => '',
            'type' => '',
            'count' => '',
            'category' => '',
            'show_comment' => false,
            'show_views' => false,
            'show_date' => false,
            'show_categories' => false,
            'show_review' => false,
		), $atts ) );

		$show_comment = (int) $show_comment;
		$show_views = (int) $show_views;
		$show_date = (int) $show_date;
		$show_categories = (int) $show_categories;
		$show_review = (int) $show_review;

		if ( !$count ) $count = -1;
		if ( $category == 'none') $category = '';
		switch ( $type ) {
			case 'recent' :
				$query = new WP_Query('ignore_sticky_posts=true&orderby=date&order=DESC&posts_per_page=' . $count . '&cat=' . $category);
			break;
			case 'comment_count' :
				$query = new WP_query('ignore_sticky_posts=true&orderby=comment_count&order=DESC&posts_per_page=' . $count . '&cat=' . $category);
			break;
			case 'views':
				$query = get_most_viewed_post_query($count, $category);
			break;
			case 'random':
				$query = new WP_Query('ignore_sticky_posts=true&orderby=rand&posts_per_page=' . $count . '&cat=' . $category);
			break;
			case 'reviews':
				$query = hb_get_top_reviews($count , $category);
			break;
		}

		if ( $title )
			$output .= do_shortcode('[hb_title subtitle="' . $subtitle . '"]' . $title . '[/hb_title]');

		ob_start();
		hb_post_list( $query , $show_comment, $show_views, $show_date, $show_categories, false, $show_review);
		$output .= ob_get_contents();
		ob_end_clean();
		wp_reset_query();
        return $output;
	}
	add_shortcode( 'hb_post_list_vertical', 'hb_post_list_shortcode' );

	/*********************** MAP SHORTCODE *******************************/
	if (function_exists('wpb_map')){

	$all_categories = get_categories('hide_empty=0');
	$cat_params = array("None" => "none");
	if ( !empty($all_categories) ) {
		foreach ($all_categories as $key) {
			$cat_params[$key->cat_name] = $key->cat_ID;
		}
	}

	wpb_map( array(
	    "name"		=> __("HB Post List Vertical", "js_composer"),
	    "base"		=> "hb_post_list_vertical",
	    "controls"	=> "full",
	    "show_settings_on_create" => true,
	    "class"		=> "hb_post_list-shortcode",
		"icon"		=> "icon-wpb-ui-hb-post-list",
		"category"  => __('Content', 'js_composer'),
	//	"wrapper_class" => "clearfix",
	    "params"	=> array(
	        array(
	            "type" => "textfield",
	            "heading" => __("Title", "js_composer"),
	            "param_name" => "title",
	            "value" => "",
	            "description" => __("Leave empty if you do not want a title section.", "js_composer")
	        ),
	        array(
	            "type" => "textfield",
	            "heading" => __("Subtitle", "js_composer"),
	            "param_name" => "subtitle",
	            "value" => "",
	            "description" => __("Leave empty if you do not want a subtitle section.", "js_composer")
	        ),
	        array(
	            "type" => "textfield",
	            "heading" => __("Post Count", "js_composer"),
	            "param_name" => "count",
	            "value" => "10",
	            "description" => __("Enter a number of posts which will be displayed", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Category", "js_composer"),
	            "param_name" => "category",
	            "value" => $cat_params,
	            "description" => __("Choose a category to specify which news will be displayed.", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Criteria", "js_composer"),
	            "param_name" => "type",
	            "value" => array('Recent' => 'recent' , 'Most Commented' => 'comment_count' , 'Most Viewed' => 'views' , 'Random' => 'random', 'Top Rated'=> 'reviews' ),
	            "description" => __("Choose in which order will the posts appear.", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Show date.", "js_composer"),
	            "param_name" => "show_date",
	            "value" => array( 'Yes' => true , 'No' => false),
	            "description" => __("Choose if the date will be displayed.", "js_composer")
	        ),array(
	            "type" => "dropdown",
	            "heading" => __("Show date.", "js_composer"),
	            "param_name" => "show_date",
	            "value" => array( 'Yes' => 1 , 'No' => 0),
	            "description" => __("Choose if the date will be displayed.", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Show comment count.", "js_composer"),
	            "param_name" => "show_comment",
	            "value" => array( 'Yes' => 1 , 'No' => 0),
	            "description" => __("Choose if the comment count will be displayed.", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Show view count.", "js_composer"),
	            "param_name" => "show_views",
	            "value" => array( 'Yes' => 1 , 'No' => 0),
	            "description" => __("Choose if the view count will be displayed.", "js_composer")
	        ),

	        array(
	            "type" => "dropdown",
	            "heading" => __("Show categories.", "js_composer"),
	            "param_name" => "show_categories",
	            "value" => array( 'Yes' => 1 , 'No' => 0),
	            "description" => __("Choose if the categorie list will be displayed.", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Show review star rating.", "js_composer"),
	            "param_name" => "show_review",
	            "value" => array( 'Yes' => 1 , 'No' => 0),
	            "description" => __("Choose if the review starts will be displayed.", "js_composer")
	        ),
	    )
	) );
}
?>