<?php
	/****************** POST SLIDER *******************************/
	function hb_post_slider_2_shortcode ( $atts ) {
		extract( shortcode_atts( array(
			'title' => '',
			'subtitle' => '',
			'count' => '10',
			'category' => '',
			'type' => 'recent',
			'show_date' => false,
			'show_comment' => false,
			'show_views' => false,
			'show_categories' => false,
			'show_review' => false,
			'show_excerpt' => true,
			'show_author' => false,
			'excerpt_len' => 55
		), $atts ) );

	 	$output = "";

	 	$show_comment = (int) $show_comment;
		$show_views = (int) $show_views;
		$show_date = (int) $show_date;
		$show_date = (int) $show_categories;
		$show_categories = (int) $show_categories;
		$show_review = (int) $show_review;
		$show_excerpt = (int) $show_excerpt;
		$show_author = (int) $show_author;

	 	if ( $title ) $output .= do_shortcode('[hb_title subtitle="' . $subtitle . '"]' . $title . '[/hb_title]');


	 	ob_start();
	 	hb_post_slider ( $count, $category, $show_excerpt , $show_views, false, $show_review , $show_author, $show_date
	 		, $show_categories, $show_comment, '<span class="delimiter">&middot;</span>', $excerpt_len, $type);
	 	$output .= ob_get_contents();
	 	ob_end_clean();

		return $output;
	}
	add_shortcode( 'hb_post_slider_category', 'hb_post_slider_2_shortcode' );
	

	/*********************** MAP SHORTCODE *******************************/
	if (function_exists('wpb_map')){

		$all_categories = get_categories('hide_empty=0');
		$cat_params = array("None" => "");
		if ( !empty($all_categories) ) {
			foreach ($all_categories as $key) {
				$cat_params[$key->cat_name] = $key->cat_ID;
			}
		}

		wpb_map( array(
		    "name"		=> __("HB Post Slider Big", "js_composer"),
		    "base"		=> "hb_post_slider_category",
		    "controls"	=> "full",
		    "show_settings_on_create" => true,
		    "class"		=> "hb_post_slider_2-shortcode",
			"icon"		=> "icon-wpb-ui-post-slider-2",
			"category"  => __('Content', 'js_composer'),
		//	"wrapper_class" => "clearfix",
		    "params"	=> array(
		        array(
		            "type" => "textfield",
		            "heading" => __("Title", "js_composer"),
		            "param_name" => "title",
		            "value" => "",
		            "description" => __("Leave empty if you do not want a title section.", "js_composer")
		        ),
		        array(
		            "type" => "textfield",
		            "heading" => __("Subtitle", "js_composer"),
		            "param_name" => "subtitle",
		            "value" => "",
		            "description" => __("Leave empty if you do not want a subtitle section.", "js_composer")
		        ),
		        array(
		            "type" => "textfield",
		            "heading" => __("News Count", "js_composer"),
		            "param_name" => "count",
		            "value" => "10",
		            "description" => __("Enter a number of posts which will be displayed", "js_composer")
		        ),
		         array(
		            "type" => "textfield",
		            "heading" => __("Excerpt word count", "js_composer"),
		            "param_name" => "excerpt_len",
		            "value" => "10",
		            "description" => __("Enter a number of words which will occur in the excerpt", "js_composer")
		        ),
		        array(
		            "type" => "dropdown",
		            "heading" => __("Category", "js_composer"),
		            "param_name" => "category",
		            "value" => $cat_params,
		            "description" => __("Choose a category to specify which news will be displayed.", "js_composer")
		        ),
		        array(
		            "type" => "dropdown",
		            "heading" => __("Criteria", "js_composer"),
		            "param_name" => "type",
		            "value" => array('Recent' => 'recent' , 'Most Commented' => 'comment_count' , 'Most Viewed' => 'views' , 'Random' => 'random', 'Top Rated'=> 'reviews' ),
		            "description" => __("Choose in which order will the posts appear.", "js_composer")
		        ),
		         array(
		            "type" => "dropdown",
		            "heading" => __("Show date.", "js_composer"),
		            "param_name" => "show_date",
		            "value" => array( 'Yes' => 1 , 'No' => 0),
		            "description" => __("Choose if the date will be displayed.", "js_composer")
		        ),
		        array(
		            "type" => "dropdown",
		            "heading" => __("Show comment count.", "js_composer"),
		            "param_name" => "show_comment",
		            "value" => array( 'Yes' => 1 , 'No' => 0),
		            "description" => __("Choose if the comment count will be displayed.", "js_composer")
		        ),
		        array(
		            "type" => "dropdown",
		            "heading" => __("Show view count.", "js_composer"),
		            "param_name" => "show_views",
		            "value" => array( 'Yes' => 1 , 'No' => 0),
		            "description" => __("Choose if the view count will be displayed.", "js_composer")
		        ),

		        array(
		            "type" => "dropdown",
		            "heading" => __("Show categories.", "js_composer"),
		            "param_name" => "show_categories",
		            "value" => array( 'Yes' => 1 , 'No' => 0),
		            "description" => __("Choose if the categorie list will be displayed.", "js_composer")
		        ),
		        array(
		            "type" => "dropdown",
		            "heading" => __("Show review star rating.", "js_composer"),
		            "param_name" => "show_review",
		            "value" => array( 'Yes' => 1 , 'No' => 0),
		            "description" => __("Choose if the review starts will be displayed.", "js_composer")
		        ),
		         array(
		            "type" => "dropdown",
		            "heading" => __("Show post excerpt.", "js_composer"),
		            "param_name" => "show_excerpt",
		            "value" => array( 'Yes' => 1 , 'No' => 0),
		            "description" => __("Choose if the excerpt will be displayed.", "js_composer")
		        ),
		         array(
		            "type" => "dropdown",
		            "heading" => __("Show author info.", "js_composer"),
		            "param_name" => "show_author",
		            "value" => array( 'Yes' => 1 , 'No' => 0),
		            "description" => __("Choose if author of the post will be displayed.", "js_composer")
		        ),
		    )
		) );
	}
?>