<?php
	/****************** TWITTER *************************/	
	function hb_twitter_shortcode ( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'title' => '',
			'subtitle' => '',
            'username' => '',
            'count' => '',
		), $atts ) );

		$output = "";

		if ( $title )
			$output .= do_shortcode('[hb_title subtitle="' . $subtitle . '"]' . $title . '[/hb_title]');
		
		if ( !$count ) $count = 1;
		if ( $username ) {
			$tweets = getTweets($count, $username, array('include_rts'=>true));
			if ( !empty ( $tweets ) ) {
				$output .= "<div class='twitter-shortcode'>";
				$output .= '<ul class="tweets">';
				ob_start();
				foreach ( $tweets as $tweet ) {
					?><li><?php
					hb_tweet_format ( $tweet ); 					
					?></li><?php	
				}	
				$output .= ob_get_contents();	
				ob_end_clean();
				$output .= '</ul>';
				$output .= "</div>";
			}
		}
        return $output;
	}
	add_shortcode( 'hb_twitter', 'hb_twitter_shortcode' );

	/*********************** MAP SHORTCODE *******************************/
	if (function_exists('wpb_map')){

		wpb_map( array(
		    "name"		=> __("HB Twitter", "js_composer"),
		    "base"		=> "hb_twitter",
		    "controls"	=> "full",
		    "show_settings_on_create" => true,
		    "class"		=> "hb_post_list-twitter",
			"icon"		=> "icon-wpb-ui-hb-twitter",
			"category"  => __('Content', 'js_composer'),
		//	"wrapper_class" => "clearfix",
		    "params"	=> array(
		        array(
		            "type" => "textfield",
		            "heading" => __("Title", "js_composer"),
		            "param_name" => "title",
		            "value" => "",
		            "description" => __("Leave empty if you do not want a title section.", "js_composer")
		        ),
		        array(
		            "type" => "textfield",
		            "heading" => __("Subtitle", "js_composer"),
		            "param_name" => "subtitle",
		            "value" => "",
		            "description" => __("Leave empty if you do not want a subtitle section.", "js_composer")
		        ),	        
		        array(
		            "type" => "textfield",
		            "heading" => __("Username", "js_composer"),
		            "param_name" => "username",
		            "value" => "",
		            "description" => __("Your Twitter username", "js_composer")
		        ),
		        array(
		            "type" => "textfield",
		            "heading" => __("Tweet Count", "js_composer"),
		            "param_name" => "count",
		            "value" => "10",
		            "description" => __("Enter a number of tweets which will be displayed", "js_composer")
		        ),
		    )
		) );
	}
?>