<?php
	function hb_h1_shortcode ( $atts, $content = null ) {
		return '<h1>' . do_shortcode($content) . '</h1>';
	}
	add_shortcode( 'h1', 'hb_h1_shortcode' );

	function hb_h2_shortcode ( $atts, $content = null ) {
		return '<h2>' . do_shortcode($content) . '</h2>';
	}
	add_shortcode( 'h2', 'hb_h2_shortcode' );
	
	function hb_h3_shortcode ( $atts, $content = null ) {
		return '<h3>' . do_shortcode($content) . '</h3>';
	}
	add_shortcode( 'h3', 'hb_h3_shortcode' );

	function hb_h4_shortcode ( $atts, $content = null ) {
		return '<h4>' . do_shortcode($content) . '</h4>';
	}
	add_shortcode( 'h4', 'hb_h4_shortcode' );
	
	function hb_h5_shortcode ( $atts, $content = null ) {
		return '<h5>' . do_shortcode($content) . '</h5>';
	}
	add_shortcode( 'h5', 'hb_h5_shortcode' );

	function hb_h6_shortcode ( $atts, $content = null ) {
		return '<h6>' . do_shortcode($content) . '</h6>';
	}
	add_shortcode( 'h6', 'hb_h6_shortcode' );

	function hb_pre_shortcode ( $atts, $content = null ) {
		return '<pre>' . do_shortcode($content) . '</pre>';
	}
	add_shortcode( 'pre', 'hb_pre_shortcode' );

	function hb_dropcap_shortcode ( $atts, $content = null ) {
		return '<span class="dropcap">' . do_shortcode($content) . '</span>';
	}
	add_shortcode( 'dropcap', 'hb_dropcap_shortcode' );

	function hb_tooltop_shortcode ( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'title' => '',
		), $atts ) );
		return '<span class="tooltip" original-title="' . $title . '">' . do_shortcode($content) . '</span>';
	}
	add_shortcode( 'tooltip', 'hb_tooltop_shortcode' );

	function hb_del_shortcode ( $atts, $content = null ) {
		return '<del>' . do_shortcode($content) . '</del>';
	}
	add_shortcode( 'del', 'hb_del_shortcode' );

	function hb_focus_color_shortcode ( $atts, $content = null ) {
		return '<span class="focus-color">' . do_shortcode($content) . '</span>';
	}
	add_shortcode( 'focus', 'hb_focus_color_shortcode' );

	function hb_highlight_shortcode ( $atts, $content = null ) {
		return '<span class="highlight">' . do_shortcode($content) . '</span>';
	}
	add_shortcode( 'highlight', 'hb_highlight_shortcode' );

	function hb_blockquote_shortcode ( $atts, $content = null ) {
		return '<blockquote><p>' . do_shortcode($content) . '</p></blockquote>';
	}
	add_shortcode( 'blockquote', 'hb_blockquote_shortcode' );

	function hb_pullquote_shortcode ( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'side' => 'left',
			'author' => '',
		), $atts ) );
		$output = '<blockquote class="' . $side . '-pull">';
		$output .= '<p>';
		$output .= do_shortcode($content);
		if ( $author ) $output .= '</p><cite>' . $author . '</cite>';
		else {
			$output .= '</p>';
		}
		$output .= '</blockquote>';

		return $output;
	}
	add_shortcode( 'pullquote', 'hb_pullquote_shortcode' );

	function hb_kbd_shortcode ( $atts, $content = null ) {
		return '<kbd>' . do_shortcode($content) . '</kbd>';
	}
	add_shortcode( 'keyboard', 'hb_kbd_shortcode' );

	function hb_dfn_shortcode ( $atts, $content = null ) {
		return '<dfn>' . do_shortcode($content) . '</dfn>';
	}
	add_shortcode( 'deffinition', 'hb_dfn_shortcode' );

	function hb_var_shortcode ( $atts, $content = null ) {
		return '<var>' . do_shortcode($content) . '</var>';
	}
	add_shortcode( 'variable', 'hb_var_shortcode' );

	function hb_cite_shortcode ( $atts, $content = null ) {
		return '<cite>' . do_shortcode($content) . '</cite>';
	}
	add_shortcode( 'cite', 'hb_cite_shortcode' );

	function hb_sup_shortcode ( $atts, $content = null ) {
		return '<sup>' . do_shortcode($content) . '</sup>';
	}
	add_shortcode( 'sup', 'hb_sup_shortcode' );

	function hb_sub_shortcode ( $atts, $content = null ) {
		return '<sub>' . do_shortcode($content) . '</sub>';
	}
	add_shortcode( 'sub', 'hb_sub_shortcode' );

	function hb_abbr_shortcode ( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'title' => '',
		), $atts ) );
		return '<abbr title="' . $title . '">' . do_shortcode ( $content ) . '</abbr>';		
	}
	add_shortcode( 'abbreviation', 'hb_abbr_shortcode' );

	function hb_em_shortcode ( $atts, $content = null ) {
		return '<em>' . do_shortcode($content) . '</em>';
	}
	add_shortcode( 'em', 'hb_em_shortcode' );

	function hb_strong_shortcode ( $atts, $content = null ) {
		return '<strong>' . do_shortcode($content) . '</strong>';
	}
	add_shortcode( 'strong', 'hb_strong_shortcode' );

	function hb_small_shortcode ( $atts, $content = null ) {
		return '<small>' . do_shortcode($content) . '</small>';
	}
	add_shortcode( 'small', 'hb_small_shortcode' );

	function hb_code_shortcode ( $atts, $content = null ) {
		return '<code>' . do_shortcode($content) . '</code>';
	}
	add_shortcode( 'code', 'hb_code_shortcode' );

?>