<?php
/**
 * Registering meta boxes
 *
 * In this file, I'll show you how to extend the class to add more field type (in this case, the 'taxonomy' type)
 * All the definitions of meta boxes are listed below with comments, please read them carefully.
 * Note that each validation method of the Validation Class MUST return value instead of boolean as before
 *
 * You also should read the changelog to know what has been changed
 *
 * For more information, please visit: http://www.deluxeblogtips.com/2010/04/how-to-create-meta-box-wordpress-post.html
 *
 */
 
 
 /********************* Theme Admin Variables ***********************/
 
//get theme options
if(get_option('bulletpress_options')) {
	global $data;
}	

$sidebar_list = array();
$reg_sidebars = $data['hb_sidebar'];
if ( !empty ( $reg_sidebars ) ) {
	foreach ( $reg_sidebars as $side ) {
		if ( $side['title'] != __("Footer 1","hbthemes") && $side['title'] != __("Footer 2","hbthemes") && $side['title'] != __("Footer 3","hbthemes") && $side['title'] != __("Footer 4","hbthemes") )
			$sidebar_list[$side['title']] = $side['title'];
	}
}

/********************* BEGIN META BOXES ***********************/
$prefix = "hb_";

$hb_meta_boxes = array();

$page_metaboxes_01 = array();
	

$page_metaboxes_01[] = array(
			"name" => __("Disable Title", "hbthemes"),
			"id" => $prefix . "disable_title",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable the Title on this page.", "hbthemes")
		); 
		
$page_metaboxes_01[] = array(
			"name" => __("Customize Title", "hbthemes"),
			"id" => $prefix . "custom_page_title",
			"type" => "text",
			"desc" => __("Customize your page title. You can use HTML.", "hbthemes")
		); 		
		
$page_metaboxes_01[] = array(
			"name" => __("Customize Subtitle", "hbthemes"),
			"id" => $prefix . "custom_page_subtitle",
			"type" => "text",
			"desc" => __("Customize your page subtitle. You can use HTML.", "hbthemes")
		); 		

$page_metaboxes_01[] = array(
			"name" => __("Layout", "hbthemes"),
			"id" => $prefix . "layout",
			"type" => "hb_tiles",
			"options" => $sidebar_list,
			"desc" => __("Change the default sidebar A.", "hbthemes")
		); 		
$page_metaboxes_01[] = array(
			"name" => __("Sidebar A", "hbthemes"),
			"id" => $prefix . "post_sidebar_a",
			"type" => "select",
			"std" =>  $data['hb_sidebar_a'],
			"options" => $sidebar_list,
			"desc" => __("Change the default sidebar A.", "hbthemes")
		); 		
$page_metaboxes_01[] = array(
			"name" => __("Sidebar B", "hbthemes"),
			"id" => $prefix . "post_sidebar_b",
			"type" => "select",
			"std" =>  $data['hb_sidebar_b'],
			"options" => $sidebar_list,
			"desc" => __("Change the default sidebar B.", "hbthemes")
		); 			
		
if ( $data['hb_enable_breadcrumbs'] ) 
	$page_metaboxes_01[] = array(
			"name" => __("Disable Bradcrumbs", "hbthemes"),
			"id" => $prefix . "individ_disable_breadcrumbs",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable the Breadcrumbs on this page.", "hbthemes")
		); 
if ( $data['hb_enable_ticker'] ) 
	$page_metaboxes_01[] = array(
			"name" => __("Disable Ticker", "hbthemes"),
			"id" => $prefix . "individ_disable_ticker",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable the Ticker on this page.", "hbthemes")
		); 
if ( $data['hb_enable_carousel'] ) 
	$page_metaboxes_01[] = array(
			"name" => __("Disable Carousel", "hbthemes"),
			"id" => $prefix . "disable_individ_carousel",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to disable the Carousel on this page.", "hbthemes")
		); 
		
$page_metaboxes_01[] = array(
			"name" => __("Facebook Comments", "hbthemes"),
			"id" => $prefix . "facebook_comments",
			"type" => "checkbox",
			"desc" => __("Check this box if you want to enable Facebook Comments.", "hbthemes")
		); 		

/********************* PAGE META BOXES ***********************/

$hb_meta_boxes[] = array(
	"id" => "hb_page_option",
	"title" => __("Template Settings","hbthemes"),
	"pages" => array("page", "post"),
	"context" => "normal",
	"priority" => "high",
	"fields" => $page_metaboxes_01
);


foreach ($hb_meta_boxes as $meta_box) {
	new hb_meta_box($meta_box);
}
?>