<?php
function hb_leaderboard_ads() {
	global $data;
	global $post;

	if ( $post->ID && get_post_meta( $post->ID , 'hb_disable_leaderboard_ad', true ) ) return;
	if ( !isset($data['hb_leaderboard_ads'] ) || !$data['hb_leaderboard_ads'] ) return;
	$all_ads = $data['hb_leaderboard_ads'];
	$random_ad_index = array_rand($all_ads);
	$random_ad = $all_ads[$random_ad_index];

	?>
	<div id="right-ad" class="floatright">
		<?php if ( $random_ad['html'] ) {
			echo "<div class=\"hb-adsense\">" . $random_ad['html'] . "</div>"; 
		} else { 
			if ( $random_ad['link'] ) { ?>
			<a href="<?php echo $random_ad['link']; ?>" class="leaderboard-ad">
			<?php } else { ?>
			<a class="leaderboard-ad">
			<?php } ?>
				<img src="<?php echo $random_ad['url']; ?>" alt="<?php echo $random_ad['title']; ?>">
			</a>
			<?php
		} ?>
	</div>
	<?php
}
add_action('hb_logo_right' , 'hb_leaderboard_ads');

function hb_before_main_content_ads() {
	global $data;
	global $post;

	if ( $post->ID && get_post_meta( $post->ID , 'hb_disable_before_main_ad', true ) ) return;
	if ( !isset($data['hb_before_main_content_ads']) || !$data['hb_before_main_content_ads'] ) return;
	$all_ads = $data['hb_before_main_content_ads'];
	$random_ad_index = array_rand($all_ads);
	$random_ad = $all_ads[$random_ad_index];

	?>
	<div class="ad-wrapper container clearfix">
		<?php if ( $random_ad['html'] ) {
			echo $random_ad['html']; 
		} else { 
			if ( $random_ad['link'] ) { ?>
			<a href="<?php echo $random_ad['link'] ?>" class="before-main-content-ad">
			<?php } else { ?>
			<a class="before-main-content-ad">
			<?php } ?>
				<img src="<?php echo $random_ad['url']; ?>" alt="<?php echo $random_ad['title']; ?>">
			</a>
			<?php
		} ?>
	</div>
	<?php
}
add_action('hb_before_main_content', 'hb_before_main_content_ads', 11, 0);


function hb_top_main_content_ads() {
	global $data;
	global $post;

	if ( $post->ID && get_post_meta( $post->ID , 'hb_disable_after_title_ad', true ) ) return;
		if ( !isset($data['hb_top_main_content_ads']) || !$data['hb_top_main_content_ads'] ) return;
	$all_ads = $data['hb_top_main_content_ads'];
	$random_ad_index = array_rand($all_ads);
	$random_ad = $all_ads[$random_ad_index];

	?>
	<div class="ad-wrapper row">
		<div class="col-12">
		<?php if ( $random_ad['html'] ) {
			echo $random_ad['html']; 
		} else { 
			if ( $random_ad['link'] ) { ?>
			<a href="<?php echo $random_ad['link']; ?>" class="top-main-content-ad">
			<?php } else { ?>
			<a class="top-main-content-ad">
			<?php } ?>
				<img src="<?php echo $random_ad['url']; ?>" alt="<?php echo $random_ad['title']; ?>">
			</a>
			<?php
		} ?>
		</div>
	</div>
	<?php
}
add_action('hb_after_title', 'hb_top_main_content_ads', 11, 0);

function hb_comments_content_ads() {
	global $data;
	global $post;

	if ( $post->ID && get_post_meta( $post->ID , 'hb_disable_before_comment_ad', true ) ) return;
	if ( !isset($data['hb_comments_content_ads']) || !$data['hb_comments_content_ads'] ) return;
	if ( !comments_open() && !$data['hb_post_facebook_comments'] ) return;
	if ( !is_page() && !is_single() ) return;
	if ( function_exists('is_bbpress') )
		if ( is_bbpress() ) return;

	$all_ads = $data['hb_comments_content_ads'];
	$random_ad_index = array_rand($all_ads);
	$random_ad = $all_ads[$random_ad_index];

	?>
	<div class="ad-wrapper row">
		<div class="col-12">

		<?php if ( $random_ad['html'] ) {
			echo $random_ad['html']; 
		} else { 
			if ( $random_ad['link'] ) { ?>
			<a href="<?php echo $random_ad['link']; ?>" class="comments-content-ad">
			<?php } else { ?>
			<a class="comments-content-ad">
			<?php } ?>
				<img src="<?php echo $random_ad['url']; ?>" alt="<?php echo $random_ad['title']; ?>">
			</a>
			<?php 
		} ?>

		</div>
	</div>
	<?php
}
add_action('page_custom_content', 'hb_comments_content_ads', 16, 0);

function hb_after_main_content_ads() {
	global $data;
	global $post;

	if ( $post->ID && get_post_meta( $post->ID , 'hb_disable_after_main_ad', true ) ) return;
	if (  !isset ( $data['hb_after_content_ads'] ) ) return;
	if ( !$data['hb_after_content_ads'] ) return;
	$all_ads = $data['hb_after_content_ads'];
	$random_ad_index = array_rand($all_ads);
	$random_ad = $all_ads[$random_ad_index];

	?>
	<div class="ad-wrapper container clearfix">

		<?php if ( $random_ad['html'] ) {
			echo $random_ad['html']; 
		} else { 
			if ( $random_ad['link'] ) { ?>
			<a href="<?php echo $random_ad['link']; ?>" class="after-main-content-ad">
			<?php } else { ?>
			<a class="after-main-content-ad">
			<?php } ?>
				<img src="<?php echo $random_ad['url']; ?>" alt="<?php echo $random_ad['title']; ?>">			
			</a>
			<?php
		} ?>
	</div>
	<?php
}
add_action('hb_after_layout', 'hb_after_main_content_ads', 5, 0);

?>