<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */

function hb_carousel( $post_id ) {
	global $data;
	global $wp_query;
	
	if ( is_single() ) return;
	if ( function_exists( 'is_bbpress' ) )
		if ( is_bbpress() )return;
	if ( is_home() ) $post_id = get_option('page_for_posts');
	// cat slug
	if ( is_page() || is_front_page() || is_home() ) {
		if ( !get_post_meta ( $post_id , 'hb_enable_carousel' , true ) ) return;
		$category = get_post_meta ( $post_id , 'hb_carousel_category' , true );
		$post_num = get_post_meta ( $post_id , 'hb_carousel_number' , true );
		$carousel_title = get_post_meta ( $post_id , 'hb_carousel_title' , true );
	} else if ( is_category() ) {		
		$current_category = single_cat_title("", false);
		$current_category_id = get_cat_ID( $current_category );
		$cat_options = get_option ( "st_tax_meta_{$current_category_id}" );
	
		if ( $cat_options['tax_enable_carousel'] != 'y' ) return;
		
		$category = $cat_options['tax_carousel_category'];
		$post_num = $cat_options['tax_carousel_number'];	
		$carousel_title = $cat_options['tax_carousel_title'];
		
	} else return;
	
	if ( !$post_num ) $post_num = -1;
	
	if ( $category ) {
		query_posts ( 'cat=' . $category . '&posts_per_page=' . $post_num ) ;
	} else {
		query_posts (  'posts_per_page=' . $post_num  );
	}
	
	if ( have_posts() ) :
		$unique_num = rand(1, 10000);
		$post_num = $wp_query->found_posts;
		?>
		
		<?php if ( $carousel_title ) { ?>
		<div class="page-title-box clearfix">
			<h2 class="page-title"><?php echo $carousel_title; ?></h2>
		</div>
		<?php } ?>
		
		<!-- BEGIN CAROUSEL -->
		<div id="carousel-<?php echo $unique_num; ?>" class="carousel-wrapper col-12">
			<div class="row">
			<ul class="carousel-slide clearfix">
		<?php
		while ( have_posts() ) : the_post();	
			$thumb = get_post_thumbnail_id();
			$img_url = wp_get_attachment_url( $thumb,'full'); //get img URL
			
			if ( $post_num == 1 ) 
				$image = hb_resize( $img_url, 1040, 542, true ); //resize & crop img
			else if ( $post_num == 2 ) 
				$image = hb_resize( $img_url, 520, 271, true ); //resize & crop img
			else 
				$image = hb_resize( $img_url, 316, 165, true ); //resize & crop img

			if ( $image ) { 
			?>
			<li class="col-4">
				<!-- START .carousel-data-wrapper -->
				<div class="carousel-data-wrapper">
					<!-- BEGIN .carousel-thumb -->
					<div class="carousel-thumb">
						<a title="<?php printf(__('Permalink to %1$s' , 'hbthemes') , get_the_title() ); ?>" href="<?php the_permalink(); ?>">
							<img src="<?php echo $image; ?>" />
						</a>
						<!-- BEGIN .carousel-post-meta -->
						<div class="carousel-post-meta">
							<?php the_time( get_option ( 'date_format' ) ); ?>
						</div>
						<!-- END .carousel-post-meta -->
					</div>
					<!-- END .carousel-thumb -->
					
					<h2 class="carousel-post-title">
						<a title="<?php printf(__('Permalink to %1$s' , 'hbthemes') , get_the_title() ); ?>" href="<?php the_permalink(); ?>">
						<?php the_title(); ?>
						</a>
					</h2>
					
				</div>
				<!-- END .carousel-data-wrapper -->
			</li>
			<?php
			}
		endwhile;
		?>
			</ul>
			<!-- START .carouseel-nav-wrap -->
			<div class="carousel-nav-wrap">
				<a class="carousel-prev" href="#" style=""><i class="icon-angle-left"></i></a>
				<a class="carousel-next" href="#" style=""><i class="icon-angle-right"></i></a>
			</div>
			<!-- END .carousel-nav-wrap -->
			
			</div>
		</div>
		
		 <script type="text/javascript">
		   jQuery(document).ready(function(){
			
		   jQuery('#carousel-<?php echo $unique_num; ?> .carousel-slide').carouFredSel({
				responsive: true,
				prev: '#carousel-<?php echo $unique_num; ?> .carousel-prev',
				next: '#carousel-<?php echo $unique_num; ?> .carousel-next',

				circular: false,
				infinite: false,
				auto: {
					play : false,
					pauseDuration: 0,
					duration: 1000   },
				scroll: {
					items: 1,
					duration: 400,
					wipe: true
				},
				items: {
					visible: {
						min: 1,
						max: 3  },
					width: 316,
					height: 'variable'
				},
				onCreate : function (){
					jQuery('#carousel-<?php echo $unique_num; ?>').css( {
						'height': 'variable',
						'visibility' : 'visible'
					});
				},
				onWindowResize : function(){
				   jQuery('#carousel-<?php echo $unique_num; ?>').css( {
						'height': 'variable',
						'visibility' : 'visible'
					});
				}
			});
		   });
		   </script>
		<!-- END CAROUSEL -->
		<?php
	endif;
	
	wp_reset_query();
	
}
add_action ( 'hb_before_layout' , 'hb_carousel' , 11, 1 );
?>