<?php 
function add_category_styles () {?>
	<style type="text/css">
	<?php
	global $data;
	$categories = get_categories( array('hide_empty'=>false) );	
	if ( !empty ( $categories ) ) {
		foreach ( $categories as $cat ) {
		
			$cat_css_class = '.' . $cat->slug . '-menu-color';			
			$cat_options = get_option ( "st_tax_meta_{$cat->term_id}" );
			$bg_color = $cat_options['bg_color'];
			$cat_ticker_class = '.' . $cat->slug . '-cat-color';
			
			if ( $bg_color ) {
				echo '.hb-category-name' . $cat_ticker_class . ' {';
				echo 'background-color: #' . $bg_color;
				echo " !important; } \n";			
				echo "#main-nav > li" . $cat_css_class . "{ border-top-color: #" . $bg_color . "}\n";
				echo "#main-nav > li" . $cat_css_class . " > a:hover, #main-nav > li" . $cat_css_class . ".sfHover > a { background-color: #" . $bg_color . "}\n";
				echo "#resp-menu > li" . $cat_css_class . " > a { border-left-color: #" . $bg_color . "; }";
				echo "#resp-menu > li" . $cat_css_class . " > a:hover { background-color: #" . $bg_color . "; }";
				echo ".category-square-" . $cat->slug . " { background-color: #" . $bg_color . "; }";
			}

			if ( !$bg_color ) $bg_color = str_replace ( "#" , "", $data['hb_default_color']);
			echo "#main-nav > li.current-menu-ancestor" . $cat_css_class . " > a { background-color: #" . $bg_color ."; }";
				
			
			
		}
	}
	
	$all_pages = get_pages('posts_per_page=-1');
	$all_posts = get_posts('posts_per_page=-1');
	$all_pages = array_merge($all_pages, $all_posts);

	if ( !empty ( $all_pages ) ) {
		foreach ( $all_pages as $page ) {
			$bg_color = get_post_meta ( $page->ID , 'hb_page_focus_color' , true );
			if ( !$bg_color ) { 
				$bg_color = str_replace ( "#" , "", $data['hb_default_color']); 
			}

			$page_css_class = '.' . $page->post_name . '-menu-color';		
			$page_ticker_class = '.' . $page->post_name . '-cat-color';

			if ( $bg_color ) {
				$bg_color = str_replace ( "#" , "", $bg_color );
				echo '.hb-category-name' . $page_ticker_class . ' {';
				echo 'background-color: #' . $bg_color;
				echo " !important; } \n";			
				echo "#main-nav > li" . $page_css_class . "{ border-top-color: #" . $bg_color . "}\n";
				echo "#main-nav > li" . $page_css_class . " > a:hover, #main-nav > li" . $page_css_class . ".sfHover > a { background-color: #" . $bg_color . "}\n";
				echo "#resp-menu > li" . $page_css_class . " > a { border-left-color: #" . $bg_color . "; }";
				echo "#resp-menu > li" . $page_css_class . " > a:hover { background-color: #" . $bg_color . "; }";
				echo ".category-square-" . $cat->slug . " { background-color: #" . $bg_color . "; }";
			}

			echo "#main-nav > li.current-menu-ancestor" . $page_css_class . " > a { background-color: #" . $bg_color ."; }";
		}
	}

	if ( is_category() ) {
		$category = get_category( get_query_var( 'cat' ) );
		$cat_id = $category->cat_ID;
		$cat_options = get_option ( "st_tax_meta_{$cat_id}" );		
		if ( $cat_options['bg_color'] )
			$bg_color = str_replace ( "#" , "", $cat_options['bg_color'] );
		else 
			$bg_color = str_replace ( "#" ,"", $data['hb_default_color']);

	} else {
		$bg_color = $data['hb_default_color'];
		if ( is_page() || is_single() )
			if ( get_post_meta ( get_the_ID() , 'hb_page_focus_color' , true ) && get_post_meta ( get_the_ID() , 'hb_page_focus_color' , true ) != "#" )
				$bg_color = get_post_meta ( get_the_ID() , 'hb_page_focus_color' , true );
		$bg_color = str_replace("#" , "", $bg_color);
	}

	$bg_color_secondary = $data['hb_secondary_color'];
	$bg_color_secondary = str_replace("#", "", $bg_color_secondary);

	$bg_prim_rgba = hb_hex2rgb($bg_color);
	$bg_seco_rgba = hb_hex2rgb($bg_color_secondary);

		print "
			body, 
			.arrow-down, 
			.boxed-layout #top-nav-wrapper > ul > li.current-menu-item, 
			.boxed-layout #top-nav-wrapper > ul > li.current-menu-ancestor, 
			#main-nav > li.current-menu-item, 
			#main-nav > li.current-menu-ancestor, 
			#random-post:hover, 
			.tipsy-arrow-s, 
			.hb-tabs .titles li.opened a { border-top-color: #{$bg_color}; }

			body { border-top: 3px solid #{$bg_color}; }

			.timeline-month, 
			.tipsy-arrow-e { border-left-color: #{$bg_color}; }

			.tipsy-arrow-w { border-right-color: #{$bg_color}; }

			.page-title-box h1, 
			.page-title-box h2, 
			.main-page-title h1, 
			.arrow-up, 
			h1.post-title a:hover, 
			.tipsy-arrow-n { border-bottom-color: #{$bg_color}; }

			.page-pagination a.inactive:hover, 
			.comments .blog-comment-pagination a.page-numbers:hover { border-color: #{$bg_color}; }

			.post-thumb > a.hoveredThumb, 
			#system-message, 
			#scrollTop, 
			#main-nav > li.current-menu-ancestor > a, 
			#main-nav > li.current-item > a, 
			.current-focus-background-color, .tipsy-inner, 
			.page-pagination a.current, 
			.comments .blog-comment-pagination span.current, 
			.hb-button, input[type=submit], button { background-color: #{$bg_color}; }

			.twitter-line, 
			#main-nav > li.current-menu-item > a, 
			#random-post:hover, 
			#responsive-nav:hover, 
			.responsive-nav-wrapper.responsive-active #responsive-nav, 
			#header-search, 
			table#wp-calendar thead>tr>th, 
			#footer-wrapper table#wp-calendar td#today, 
			.carousel-post-meta, 
			i.i-medium, 
			.ei-title h2, 
			.ei-slider-thumbs li.ei-slider-element, 
			.header-search-form { background: #{$bg_color}; }

			.tooltip, 
			.author-title a:hover, 
			.breadcrumb-wrapper a:hover, 
			.timeline-month .icon-circle, 
			.page-not-found-box h1, 
			a, 
			h1.post-title a:hover, .current-focus-color, .focus-color, 
			.page-pagination a.inactive:hover, 
			.comments .blog-comment-pagination a.page-numbers:hover, 
			.hb-accordion > section.opened h4, 
			.slider-type-2 .flexslider a, 
			.slider-type-2 .flexslider a:hover, 
			.page-title-box .cat-rss:hover { color: #{$bg_color}; }

			.avatar:hover, 
			#footer-wrapper .avatar:hover { border-color: #{$bg_color}; }

			::selection { background: #{$bg_color}; }

			::-moz-selection { background: #{$bg_color}; }

			#footer-wrapper, 
			.responsive-nav-wrapper #resp-menu, 
			.hb-category-comments, 
			.hb-promo-box.dark, 
			.hb-feedburner-wrapper.dark, 
			.image-overlay-inside { background-color: #{$bg_color_secondary}; }

			#main-nav, 
			#responsive-nav, 
			.post-thumb-description, 
			.carousel-post-title, 
			.ei-title h3, 
			.ei-slider-thumbs li a, 
			#header-wrapper { background: #{$bg_color_secondary}; }

			.bbp-header { background: #{$bg_color_secondary} !important; }

			.page-title-box h1, 
			.page-title-box h2, 
			.logo-text a, 
			.newsticker a, 
			.hb-tabs .titles li a:hover, 
			.hb-tabs .titles li.opened a,
			i.i-small { color: #{$bg_color_secondary}; }

			#header-search, 
			#header-search.search-form-visible, 
			#header-search.search-form-visible:hover { background-color: rgba({$bg_prim_rgba}, 0.7); }

			#header-search:hover { background-color: rgba({$bg_prim_rgba}, 1); }

			.flex-caption { background: rgba({$bg_seco_rgba}, 0.9); }
		";
	
	?>
	</style>
	<?php
}
add_action ( 'wp_head' , 'add_category_styles' );
?>