<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */

function hb_scripts_setup () {

	global $data;

	/* ------------------------------------------------------------------------ */
	/* Register Scripts */
	/* ------------------------------------------------------------------------ */
	wp_register_script('easing', get_template_directory_uri() . '/framework/scripts/libs/jquery-easing/jquery.easing.js', 'jquery', '1.3');
	wp_register_script('superfish', get_template_directory_uri() . '/framework/scripts/libs/jquery-superfish/jquery.superfish.js', 'jquery', '1.4', TRUE);
	wp_register_script('supersubs', get_template_directory_uri() . '/framework/scripts/libs/jquery-superfish/jquery.supersubs.js', 'jquery', '0.2', TRUE);
	wp_register_script('tipsy', get_template_directory_uri() . '/framework/scripts/libs/jquery-tipsy/jquery.tipsy.js', 'jquery', '1.0', TRUE);
	wp_register_script('ticker', get_template_directory_uri() . '/framework/scripts/libs/jquery-ticker/jquery.ticker.js', 'jquery', '1.0', TRUE);
	wp_register_script('hb_flexslider', get_template_directory_uri() . '/framework/scripts/libs/jquery-flexslider/jquery.flexslider.js', 'jquery', '2.1', TRUE);
	wp_register_script('hb_tweet', get_template_directory_uri() . '/framework/scripts/libs/jquery-tweet/jquery.tweet.js', 'jquery', '2.1', TRUE);
	wp_register_script('fitvids', get_template_directory_uri() . '/framework/scripts/libs/jquery-fitvids/jquery.fitvids.js', 'jquery', '2.1', TRUE);
	wp_register_script('carousel', get_template_directory_uri() . '/framework/scripts/libs/jquery-caroufredsel/jquery.caroufredsel.js', 'jquery', '2.1', TRUE);
	wp_register_script('validate', get_template_directory_uri() . '/framework/scripts/libs/jquery-validate/jquery.validate.js', 'jquery', '2.1', TRUE);
	wp_register_script('jqkie', get_template_directory_uri() . '/framework/scripts/libs/jquery-cookie/jquery.cookie.js', 'jquery', '1.0', TRUE);
	wp_register_script('hbstreams', get_template_directory_uri() . '/framework/scripts/libs/jquery-hbstreams/jquery.hbstreams.js', 'jquery', '1.0', TRUE);
	wp_register_script('sticky_nav', get_template_directory_uri() . '/framework/scripts/libs/jquery-sticky/jquery.sticky.js', 'jquery', '1.0', TRUE);

   	wp_register_script( 'hb_jquery_fancybox', get_template_directory_uri() . '/framework/css/fancybox/jquery.fancybox-1.3.4.pack.js', false, '1.0' ); 

	wp_register_script('custom', get_template_directory_uri() . '/framework/scripts/jquery.custom.js', 'jquery', '1.0', TRUE);

	/* ------------------------------------------------------------------------ */
	/* Enqueue Scripts */
	/* ------------------------------------------------------------------------ */
	wp_enqueue_script('jquery');
	wp_enqueue_script('easing');
  	wp_enqueue_script('superfish');
  	wp_enqueue_script('supersubs');
  	wp_enqueue_script('tipsy');
  	wp_enqueue_script('hb_flexslider');
  	wp_enqueue_script('validate');
  	wp_enqueue_script('fitvids');
  	wp_enqueue_script('comment-reply');
  	wp_enqueue_script('hbstreams');
	wp_enqueue_script('jqkie');
	wp_enqueue_script('hb_tweet');
	wp_enqueue_script('sticky_nav');
	wp_enqueue_script( 'hb_jquery_fancybox' );

  	
  	if ( $data['hb_enable_ticker'] && !get_post_meta ( get_the_ID() , 'hb_individ_disable_ticker', TRUE) )
  		wp_enqueue_script('ticker');
		

	
	// if ( is_page() )
	//	if ( get_post_meta ( get_the_ID() , 'hb_enable_carousel', TRUE) )
			wp_enqueue_script('carousel');
			
	if ( is_category() ) {
		$current_category = single_cat_title("", false);
		$current_category_id = get_cat_ID( $current_category );
		$cat_options = get_option ( "st_tax_meta_{$current_category_id}" );
	
		if ( $cat_options['tax_enable_carousel'] == 'y' )
			wp_enqueue_script('carousel');
	} 

	wp_enqueue_script('custom');
}
add_action('wp_enqueue_scripts', 'hb_scripts_setup');



function hb_styles_setup () {

	global $data;

	/* ------------------------------------------------------------------------ */
	/* Register Stylesheets */
	/* ------------------------------------------------------------------------ */
	wp_register_style( 'hb_fontawesome_style', get_template_directory_uri() . '/framework/css/font-awesome.css', false, '1.0' ); 
	wp_register_style( 'hb_pt_sans', 'http://fonts.googleapis.com/css?family=PT+Sans:400,700', false, '1.0' ); 
	wp_register_style( 'hb_droid_serif', 'http://fonts.googleapis.com/css?family=Droid+Serif', false, '1.0' ); 
	wp_register_style( 'hb_responsive', get_template_directory_uri() . '/framework/css/queries.css', false, '1.0' ); 
   	wp_register_style( 'hb_fancybox_style', get_template_directory_uri() . '/framework/css/fancybox/fancybox.css', false, '1.0' ); 

	/* ------------------------------------------------------------------------ */
	/* Enqueue Stylesheets */
	/* ------------------------------------------------------------------------ */
	wp_enqueue_style( 'stylesheet', get_stylesheet_uri(), array(), '1.0', 'all' ); // Main Stylesheet
	wp_enqueue_style( 'hb_fontawesome_style' );
	wp_enqueue_style( 'hb_pt_sans' );
	wp_enqueue_style( 'hb_droid_serif' );
	wp_enqueue_style( 'hb_fancybox_style' );

	if ( $data['hb_enable_responsive'] )
		wp_enqueue_style( 'hb_responsive' );
	
}
add_action('wp_enqueue_scripts', 'hb_styles_setup');
?>