<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */

function set_layout ( $post_id ) {

	global $data;
	
	$output = "";

	$layout_classes = array(
			'layout-style-01.png' => array('1' => 'col-12 fullwidth-layout hb-content' , '2' => 'hidden', '3' => 'hidden'),
			'layout-style-02.png' => array('1' => 'col-4 sidebar-a hb-sidebar layout-one big-sidebar' , '2' => 'col-8 hb-content layout-one', '3' => 'hidden'),
			'layout-style-03.png' => array('1' => 'col-8 hb-content layout-one' , '2' => 'col-4 sidebar-a hb-sidebar layout-one big-sidebar', '3' => 'hidden'),
			'layout-style-04.png' => array('1' => 'col-4 sidebar-a hb-sidebar layout-two small-sidebar' , '2' => 'col-8 hb-content layout-two', '3' => 'hidden'),
			'layout-style-05.png' => array('1' => 'col-8 hb-content layout-two' , '2' => 'col-4 sidebar-a hb-sidebar layout-two small-sidebar', '3' => 'hidden'),
			'layout-style-06.png' => array('1' => 'col-4 sidebar-a hb-sidebar layout-three small-sidebar' , '2' => 'col-4 sidebar-b hb-sidebar layout-three small-sidebar', '3' => 'col-8 hb-content layout-three'),
			'layout-style-07.png' => array('1' => 'col-8 hb-content layout-three' , '2' => 'col-4 sidebar-a hb-sidebar layout-three small-sidebar', '3' => 'col-4 sidebar-b hb-sidebar layout-three small-sidebar'),
			'layout-style-08.png' => array('1' => 'col-4 sidebar-a hb-sidebar layout-three small-sidebar' , '2' => 'col-8 hb-content layout-three', '3' => 'col-4 sidebar-b hb-sidebar layout-three small-sidebar'),
			'layout-style-09.png' => array('1' => 'col-4 sidebar-a hb-sidebar layout-four small-sidebar' , '2' => 'col-4 sidebar-b hb-sidebar layout-four big-one big-sidebar', '3' => 'col-8 hb-content layout-four'),
			'layout-style-10.png' => array('1' => 'col-8 hb-content layout-four' , '2' => 'col-4 sidebar-a hb-sidebar layout-four small-sidebar', '3' => 'col-4 sidebar-b hb-sidebar layout-four big-one big-sidebar'),
			'layout-style-11.png' => array('1' => 'col-4 sidebar-a hb-sidebar layout-four big-one big-sidebar' , '2' => 'col-4 sidebar-b hb-sidebar layout-four small-sidebar', '3' => 'col-8 hb-content layout-four'),
			'layout-style-12.png' => array('1' => 'col-8 hb-content layout-four' , '2' => 'col-4 sidebar-a hb-sidebar layout-four big-one big-sidebar', '3' => 'col-4 sidebar-b hb-sidebar layout-four small-sidebar'),
			'layout-style-13.png' => array('1' => 'col-4 sidebar-a hb-sidebar layout-four small-sidebar' , '2' => 'col-8 hb-content layout-four', '3' => 'col-4 sidebar-b hb-sidebar layout-four big-one big-sidebar'),
			'layout-style-14.png' => array('1' => 'col-4 sidebar-a hb-sidebar layout-four big-one big-sidebar' , '2' => 'col-8 hb-content layout-four', '3' => 'col-4 sidebar-b hb-sidebar layout-four small-sidebar')
		);

	$hb_layout_style = $data['hb_layout_style'];
	$hb_sidebar_a = $data['hb_sidebar_a'];
	$hb_sidebar_b = $data['hb_sidebar_b'];	
	if ( is_category() ) {
		$category = single_term_title("", false);
		$cat_id = get_cat_ID( $category );
		$cat_options = get_option ( "st_tax_meta_{$cat_id}" );
		if ( $cat_options['tax_sidebar_a'] ) $hb_sidebar_a = $cat_options['tax_sidebar_a'];
		if ( $cat_options['tax_sidebar_b'] ) $hb_sidebar_b = $cat_options['tax_sidebar_b'];		
	}

	if ( is_404() ) {
		//echo '404 Page here!';
		$hb_layout_style = 'layout-style-01.png';
	}

	if ( is_page() || is_single() ) {
		if ( get_post_meta ( $post_id , 'hb_post_layout' , true ) ) 
			$hb_layout_style = get_post_meta ( $post_id , 'hb_post_layout' , true );
		if ( get_post_meta ( $post_id , 'hb_post_sidebar_a' , true )) 
			$hb_sidebar_a = get_post_meta ( $post_id , 'hb_post_sidebar_a' , true );
		if ( get_post_meta ( $post_id , 'hb_post_sidebar_b' , true )) 
			$hb_sidebar_b = get_post_meta ( $post_id , 'hb_post_sidebar_b' , true );
	}

	if( function_exists( 'is_bbpress' ) ) {
		if ( is_bbpress() )
			$hb_layout_style = 'layout-style-01.png';
	}

	?>
	<div class="row">
	<?php

	for ( $i = 1; $i<=3; $i++) {
		if ( $layout_classes[$hb_layout_style][$i] != 'hidden' ) {

			$classes_array = explode ( ' ' , $layout_classes[$hb_layout_style][$i] );
			
			?>
			<div class="<?php echo $layout_classes[$hb_layout_style][$i]; ?>">
			<?php
			if ( $classes_array[1] == 'sidebar-a') {
				dynamic_sidebar($hb_sidebar_a);
			} else if ( $classes_array[1] == 'sidebar-b' ) {
				dynamic_sidebar($hb_sidebar_b);
			} else {
				do_action ('page_custom_before_content' , $post_id );
					if ( !is_user_logged_in() && get_post_meta( get_the_ID() , 'hb_post_login_required' , true ) ) {
					} else {
						if( function_exists( 'is_bbpress' ) )
							if ( is_bbpress() )
								the_post();
						if ( is_page() || is_single() || ( function_exists( 'is_bbpress' ) && is_bbpress() ) )  {
							wp_reset_query();
							the_content();
							wp_link_pages( array( "before" => "<div class='hb-link-pages'>", "next_or_number" => "number", "after" => "</div>" ) );
						}
						echo "<div class='clear'></div>";
					}

				if ( is_page() || is_single() )
					add_action ( 'page_custom_content' , 'hb_comment_section', get_the_ID() , 30, 0); 
				do_action('page_custom_content' , $post_id );	
				if ( (is_page() && !$data['hb_disable_pages_comments'])|| !is_page() )
					comments_template(); 
			}

			?>
			</div>
			<?php
		}
	}
	?>
	</div>
	<?php 
}
?>