<?php
function hb_post_featured_image( $post_id , $width, $height, $video = false) {
	$thumb = get_post_thumbnail_id( $post_id );
	$img_url = wp_get_attachment_url( $thumb, 'full');
	$image = hb_resize( $img_url, $width, $height, true ); 

	if ( get_post_format ( $post_id ) == 'video' ) {
		$video_link = get_post_meta ( $post_id , 'hb_post_video_link' , true );
		
		if ( $video ) {
			$video_link = wp_oembed_get($video_link);
			echo '<div class="fitVids">' . $video_link . '</div>';
		} else {
			if ( strpos ( $video_link, 'yout') ) {
				$matches = array();
				preg_match("#(?<=v=)[a-zA-Z0-9-]+(?=&)|(?<=v\/)[^&\n]+(?=\?)|(?<=v=)[^&\n]+|(?<=youtu.be/)[^&\n]+#", $video_link, $matches);
				if ($matches) { ?>
					<img src="http://img.youtube.com/vi/<?php echo $matches[0]; ?>/0.jpg" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
				<?php }

			} else if ( strpos ( $video_link , 'vim') ) {
				$matches = array();
				preg_match('/(\d+)/', $video_link, $matches);
				if ( $matches ) {
					$imgid = $matches[0];
					$hash = unserialize(file_get_contents("http://vimeo.com/api/v2/video/$imgid.php"));
					$img_link = $hash[0]['thumbnail_medium'];  
					?>
					<img src="<?php echo $img_link; ?>" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
				<?php
				}
			}
		}

	} else if ( $image ) { ?>
		<img src="<?php echo $image; ?>" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
	<?php
	}
	
}
?>