<?php
function hb_post_slider ( $post_count , $cat_id = "" , $excerpt = true , $views = false, $crop_small = false, $reviews = false, $author = false, $date = true, $categories = false, $comments = true, $delimiter = '<span class="delimiter">&middot;</span>' , $excerpt_len = 40, $type = 'recent') {

	if ( !$post_count ) $post_count = 5;

	if ( $cat_id ) {
		$cat_options = get_option ( "st_tax_meta_{$cat_id}" );
		$posts_orderby = 'date';
		$posts_order = 'DESC';

		if ( isset ( $cat_options['hb_post_slider_orderby'] ) )
			$posts_orderby = $cat_options['hb_post_slider_orderby'];

		if ( isset ( $cat_options['hb_post_slider_order'] ) )
			$posts_order = $cat_options['hb_post_slider_order'];

		query_posts ('posts_per_page=' . $post_count . '&cat=' . $cat_id . '&orderby=' . $posts_orderby . '&order=' . $posts_order );
	}
	else {

		switch ( $type ) {
			case 'recent' :
				$query = new WP_Query('ignore_sticky_posts=true&orderby=date&order=DESC&posts_per_page=' . $count . '&cat=' . $category);
			break;
			case 'comment_count' :
				$query = new WP_query('ignore_sticky_posts=true&orderby=comment_count&order=DESC&posts_per_page=' . $count . '&cat=' . $category);
			break;
			case 'views':
				$query = get_most_viewed_post_query($count, $category);
			break;
			case 'random':
				$query = new WP_Query('ignore_sticky_posts=true&orderby=rand&posts_per_page=' . $count . '&cat=' . $category);
			break;
			case 'reviews':
				$query = hb_get_top_reviews($count , $category);
			break;
		}

		query_posts ( $query->query_vars );
	}
	
	if ( have_posts() ) :
	?>
	<!-- BEGIN SLIDER -->
	<div class="flexslider">
		<ul class="slides clearfix">
		<?php while ( have_posts() ) : the_post(); ?>
			<li>	
			<?php
				
				if ( $crop_small ) {
					hb_post_featured_image( get_the_ID() , 410, 250, false);
				} else {
					hb_post_featured_image( get_the_ID() , 700, 400, false);
				}
			?>			  
				<div class="flex-caption">                                    
					<div class="caption-inner">
						<h3>
							<a class="slider-title" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>							
						</h3>
						<?php if ( $reviews ) { ?>
							<?php if ( get_post_meta( get_the_ID(), 'hb_enable_review', true) ) {
								$final_review_mark = get_post_meta ( get_the_ID() , 'hb_final_review_value' , true);
								?>
								<div class="stars-wrapper">
									<span class="omc-criteria-star-under">
										<span class="omc-criteria-star-top" style="width:<?php echo $final_review_mark; ?>%"></span>
									</span>
								</div>
								<?php } ?>
						<?php } ?>

						<div class="meta-info">
						<?php
							hb_post_meta_details( get_the_ID(), $date, $author, $categories, $comments, $views, $delimiter);
						?>
						</div>

						<?php if ( $excerpt && $excerpt_len > 0) { ?>
						<div class="caption"><?php echo strip_shortcodes ( wp_trim_words ( get_the_content() , $excerpt_len , "..." ) ); ?></div>
						<?php } ?>
						
					</div>
				</div>
			</li>
			
		<?php endwhile; ?>
		</ul>
	</div>
	
	<?php
	wp_reset_query(); 
	endif;
}
?>