<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */

function hb_ticker ( $post_id, $echo = true) {

	global $data;

	if ( !$data['hb_enable_ticker'] ) return;
	
	if ( is_category() ) {		
		$cat_options = get_category_meta ( single_term_title("", false) );
		if ( $cat_options['tax_enable_ticker'] != 'y' ) return;
	} else if ( get_post_meta ( $post_id , 'hb_individ_disable_ticker' , true) ) return;

	// Get which category to display
	$cat_to_display = $data['hb_ticker_category'];
	$cat_id = get_cat_ID( $cat_to_display );
	$cat_link = get_category_link ( $cat_id );
	
	// Return if category is not valid
	//if ( !$cat_id ) return;
	
	// Set the link
	if ( !$cat_link ) $cat_link = get_home_url();

	// How many posts to show in the ticker
	$posts_per_pag = $data['hb_ticker_posts_count'];
	if ( !$posts_per_pag ) $posts_per_pag = -1;

	// Ticker Title
	$ticker_title = $data['hb_ticker_title'];
	if ( !$ticker_title ) $ticker_title = __("Breaking News" , "hbtemes");

	// Query posts
	$args = array(
		'cat'	          => $cat_id,
		'post_type'       => 'post',
		'post_status'     => 'publish',
		'posts_per_page'  => $posts_per_pag
		);
	query_posts ($args);


	// Show posts
	if ( have_posts() ) : 
		
	// Begin #breaking-news
	$output = '<div id="breaking-news" class="container clearfix">';

		$output .= '<a href="' . esc_url ( $cat_link ) .'" id="breaking-title" class="floatleft" title="' . __('Read All' , 'hbthemes' ) . '">';
		$output .= $ticker_title;
		$output .= '</a>';

		$output .= '<div id="breaking-hider" class="floatleft"></div>';

		// Begin #breaking-ticker
		$output .= '<div id="breaking-ticker">';

			// Begin .newsticker_wrapper
			$output .= '<div class="newsticker_wrapper">';
				$output .= '<ul id="myTicker" class="newsticker">';
					while ( have_posts() ) : the_post();

					// Get the post categories
					$br_post_cats = get_the_category( get_the_ID() );

					$output .= '<li>';
	
					// Display post categoies
					if ( !empty($br_post_cats) ){
						foreach ($br_post_cats as $post_cat) {
							if ( $post_cat->name != $cat_to_display && $post_cat->name != __('Uncategorized','hbthemes') ) {
								$output .= '<span class="hb-category-name ' . $post_cat->slug . '-cat-color">';
								$output .= $post_cat->name;
								$output .= '</span>';
							}
						}
					}

					$output .= '<a href="' . get_permalink() . '">' . get_the_title() . '</a>';

					if ( $data['hb_ticker_time'] ) {
						$output .= '<span class="ticker-date">';
						$output .= human_time_diff( get_the_time('U'), current_time('timestamp') ) . __(' ago','hbthemes');
						$output .= '</span>';
					}

					$output .= '</li>';

					endwhile;
				$output .= '</ul>';
			$output .= '</div>';
			// END .newsticker_wrapper

		$output .= '</div>';
		// End #breaking-ticker

	$output .= '</div>';
	// End #breaking-news	


	$ticker_animation_style = $data['hb_ticker_animation_style'];
	$ticker_show_controls = 'false';
	if ( $data['hb_enable_ticker_controls'] ) $ticker_show_controls = 'true';
	$ticker_pause_on_hover = 'false';
	if ( $data['hb_enable_ticker_pause_hover'] ) $ticker_pause_on_hover = 'true';
	$ticker_letter_speed = '50';
	if ( $data['hb_ticker_letter_speed'] ) $ticker_letter_speed = $data['hb_ticker_letter_speed'];
	$ticker_transition_spped = '5000';
	if ( $data['hb_ticker_transition_speed'] ) $ticker_transition_spped = $data['hb_ticker_transition_speed'];
	$ticker_autostart = 'false';
	if ( $data['hb_ticker_autostart'] ) $ticker_autostart = 'true';
	// Initialize script
	$output .= "
		<script type='text/javascript'>
			jQuery(document).ready(function() {
				/* News Ticker */
				if (jQuery('#breaking-news').length) {		
				jQuery('#myTicker').newsticker({
					'style' : '$ticker_animation_style' , 
					'pauseOnHover' : $ticker_pause_on_hover, // Animation will be paused when hovering over the news ticker.
					'showControls' : $ticker_show_controls, // Display pause, previous and next buttons
					'letterRevealSpeed' : $ticker_letter_speed, // Each new letter is revealed after 70 milliseconds
					'transitionSpeed' : '$ticker_transition_spped', // News item will display for 2 seconds before fading into next item
					'autoStart' : $ticker_autostart
				});
				}
			});
		</script>
	";


	endif;

	wp_reset_query(); 

	if ( $echo ) print $output;
	else return $output;
}
add_action( 'hb_before_main_content' , 'hb_ticker' , 10, 1 );
?>