<?php

//Add an option page
if (is_admin()) {
  add_action('admin_menu', 'tdf_menu');
  add_action('admin_init', 'tdf_register_settings');
}

function tdf_menu() {
	add_options_page('Twitter Feed for Developers','Twitter Feed Auth','manage_options','tdf_settings','tdf_settings_output');
}

function tdf_settings() {
	$tdf = array();
	$tdf[] = array('name'=>'tdf_consumer_key','label'=>'Twitter Application Consumer Key');
	$tdf[] = array('name'=>'tdf_consumer_secret','label'=>'Twitter Application Consumer Secret');
	$tdf[] = array('name'=>'tdf_access_token','label'=>'Account Access Token');
	$tdf[] = array('name'=>'tdf_access_token_secret','label'=>'Account Access Token Secret');
	$tdf[] = array('name'=>'tdf_cache_expire','label'=>'Cache Duration (Default 3600)');
	$tdf[] = array('name'=>'tdf_user_timeline','label'=>'Twitter Feed Screen Name*');
	return $tdf;
}

function tdf_register_settings() {
	$settings = tdf_settings();
	foreach($settings as $setting) {
		register_setting('tdf_settings',$setting['name']);
	}
}


function tdf_settings_output() {
	$settings = tdf_settings();
	
	echo '<div class="wrap">';
	
		echo '<h2>' . __('Twitter Feed Settings Page' ,'hbthemes') . '</h2>';
		
		echo '<p>' . __('Welcome to Twitter Settings for API 1.1. Please fill in all of the fields below in order for the Twitter Feed Widget and Shortcode to function properly.' , 'hbthemes') . '</p>';

		echo '<form method="post" action="options.php">';
		
    settings_fields('tdf_settings');
		
		echo '<table>';
			foreach($settings as $setting) {
				echo '<tr>';
					echo '<td>'.$setting['label'].'</td>';
					echo '<td><input type="text" style="width: 400px" name="'.$setting['name'].'" value="'.get_option($setting['name']).'" /></td>';
				echo '</tr>';
				if ($setting['name'] == 'tdf_user_timeline') {
					echo '<tr><td></td><td><em>'  . __('This field is not required. You have an option both in the widget and shortcode to enter the username' , 'hbthemes') . '</em></td></tr>';
				}
			}
		echo '</table>';
		
		submit_button();
		
		echo '</form>';
		
		echo '<hr />';
		
		echo '<h3>Debug Information</h3>';
		$last_error = get_option('tdf_last_error');
		if (empty($last_error)) $last_error = "None";
		echo 'Last Error: '.$last_error.'</p>';
	
	echo '</div>';
	
}