<?php
/*
 * Plugin Name: (BulletPress) Advertisement - custom size
 * Plugin URI: http://www.hb-themes.com
 * Description: A widget that displays custom sized advertisement.
 * Version: 1.0
 * Author: HB-Themes
 * Author URI: http://www.hb-themes.com
 */

/*
 * Add function to widgets_init that'll load our widget.
 */
add_action( 'widgets_init', 'hb_ad_custom_size_widget' );

/*
 * Register widget.
 */
function hb_ad_custom_size_widget() {
	register_widget( 'HB_Ad_Custom_Size_Widget' );
}

/*
 * Widget class.
 */
class hb_ad_custom_size_widget extends WP_Widget {

	/* ---------------------------- */
	/* -------- Widget setup -------- */
	/* ---------------------------- */
	
	function HB_Ad_Custom_Size_Widget() {
	
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'hb_ad_custom_size_widget', 'description' => __('A widget that displays custom sized advertisement image.', 'hbthemes') );
		$control_ops = array ();
		/* Create the widget. */
		$this->WP_Widget( 'hb_ad_custom_size_widget', __('[HB] Advertisement - Custom size','hbthemes'), $widget_ops, $control_ops );
	}

	/* ---------------------------- */
	/* ------- Display Widget -------- */
	/* ---------------------------- */
	
	function widget( $args, $instance ) {
		extract( $args );
		global $wp_query;

		/* Our variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$image_uri = $instance['image_uri'];
		$new_tab = $instance['new_tab'];
		$ad_link = $instance['ad_link'];
		
		/* Before widget (defined by themes). */
		echo $before_widget;
		
		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;

		$open_link="";
		if ($new_tab == 'y')
			$open_link = " target=\"blank\"";

		$link_url="";
		if ($ad_link != '')
			$link_url = " href=\"$ad_link\"";


		echo "<a class=\"hb-custom-ad-image\" " . $link_url . $open_link . ">
		<img src=\"$image_uri\" rel=\"Advertisement\" />
		</a>";
		
		/*
		$query = get_most_viewed_post_query($count);
		hb_post_list ( $query , false , true );
		wp_reset_query();
		*/
		
		echo $after_widget;
	}
	
	

	/* ---------------------------- */
	/* ------- Update Widget -------- */
	/* ---------------------------- */
	
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['image_uri'] = $new_instance['image_uri'];
		$instance['new_tab'] = $new_instance['new_tab'];
		$instance['ad_link'] = $new_instance['ad_link'];
		
		/* No need to strip tags for.. */

		return $instance;
	}
	
	/* ---------------------------- */
	/* ------- Widget Settings ------- */
	/* ---------------------------- */
	
	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	 
	function form( $instance ) {

	
		/* Set up some default widget settings. */
		$defaults = array(
		'title' => 'Advertisement',
		'image_uri' => '',
		'ad_link' => '',
		'new_tab' => 'n'
		);
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:','hbthemes'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
		</p>
	    
	    <p>
	      <label for="<?php echo $this->get_field_id('image_uri'); ?>">Upload Image. You can use any size. Image will fit the widget area.</label><br />
	      <input type="text" class="img widefat" name="<?php echo $this->get_field_name('image_uri'); ?>" id="<?php echo $this->get_field_id('image_uri'); ?>" value="<?php echo $instance['image_uri']; ?>" />
	      <input type="button" style="margin-top:4px; margin-left:2px;" class="button select-image" value="Select Image" />
	    </p>

		<p>
			<label for="<?php echo $this->get_field_id( 'ad_link' ); ?>"><?php _e('Enter link. <small>Example: http://hb-themes.com</small>','hbthemes'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'ad_link' ); ?>" name="<?php echo $this->get_field_name( 'ad_link' ); ?>" value="<?php echo $instance['ad_link']; ?>" />
		</p>

	    <p>
			<label for="<?php echo $this->get_field_id( 'new_tab' ); ?>"><?php _e( 'Open in new tab? ','hbthemes'); ?></label>
			<select id="<?php echo $this->get_field_id( 'new_tab' ); ?>" name="<?php echo $this->get_field_name( 'new_tab' ); ?>">
				<option value="y" <?php if ( "y"==$instance['new_tab'] ) echo ' selected="selected"'; ?>><?php _e('Yes','hbthemes'); ?></option>
				<option value="n" <?php if ( "n"==$instance['new_tab'] ) echo ' selected="selected"'; ?>><?php _e('No','hbthemes'); ?></option>
			</select>
		</p>
	<?php
	}
}

?>