<?php
/*
 * Plugin Name: (BulletPress) Subscribe to Feedburner via email
 * Plugin URI: http://www.hb-themes.com
 * Description: Subscribe to feedburner via email
 * Version: 1.0
 * Author: HB-Themes
 * Author URI: http://www.hb-themes.com
 */

/*
 * Add function to widgets_init that'll load our widget.
 */
add_action( 'widgets_init', 'hb_feedburner_widget' );

/*
 * Register widget.
 */
function hb_feedburner_widget() {
	register_widget( 'HB_Feedburner_Widget' );
}

/*
 * Widget class.
 */
class hb_feedburner_widget extends WP_Widget {

	/* ---------------------------- */
	/* -------- Widget setup -------- */
	/* ---------------------------- */
	
	function HB_Feedburner_Widget() {
	
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'hb_feedburner_widget', 'description' => __('Subscribe to Feedburner via email.', 'hbthemes') );
		$control_ops = array ();
		/* Create the widget. */
		$this->WP_Widget( 'hb_feedburner_widget', __('[HB] Subscribe to Feedburner','hbthemes'), $widget_ops, $control_ops );
	}

	/* ---------------------------- */
	/* ------- Display Widget -------- */
	/* ---------------------------- */
	
	function widget( $args, $instance ) {
		extract( $args );

		/* Our variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$text_code = $instance['text_code'];
		$feedburner = $instance['feedburner'];
		$widget_style = $instance['widget_style'];

		$wid_style="";
		if ($widget_style == 'dark')
			$wid_style = " dark";
		
		/* Before widget (defined by themes). */
		echo $before_widget;
		
		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;

		?>

		<div class="hb-feedburner-wrapper<?php echo $wid_style; ?>">
			<?php 
			echo do_shortcode( $text_code );
			?>
			<form action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo $feedburner ; ?>', 'popupwindow', 'scrollbars=yes,width=550,height=520,left=100, top=200');return true">
				<input class="feedburner-email" type="email" name="email" value="<?php _e( 'Enter your e-mail address' , 'hbthemes') ; ?>" onfocus="if (this.value == '<?php _e( 'Enter your e-mail address' , 'hbthemes') ; ?>') {this.value = '';}" onblur="if (this.value == '') {this.value = '<?php _e( 'Enter your e-mail address' , 'hbthemes') ; ?>';}">
				<input type="hidden" value="<?php echo $feedburner ; ?>" name="uri">
				<input type="hidden" name="loc" value="en_US">			
				<input class="feedburner-subscribe" type="submit" name="submit" value="<?php _e( 'Subscribe' , 'hbthemes') ; ?>"> 
			</form>
		</div>

		<?php
		
		/* Display widget */
		echo $after_widget;
	}

	/* ---------------------------- */
	/* ------- Update Widget -------- */
	/* ---------------------------- */
	
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['text_code'] = $new_instance['text_code'];
		$instance['feedburner'] = strip_tags( $new_instance['feedburner'] );
		$instance['widget_style'] = $new_instance['widget_style'];

		/* No need to strip tags for.. */

		return $instance;
	}
	
	/* ---------------------------- */
	/* ------- Widget Settings ------- */
	/* ---------------------------- */
	
	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	 
	function form( $instance ) {

	
		/* Set up some default widget settings. */
		$defaults = array(
		'title' => 'FeedBurner Widget',
		'text_code' => '<p>Some description here...</p>',
		'feedburner' => '',
		'widget_style' => 'light'
		);

		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:','hbthemes'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'text_code' ); ?>"><?php _e( 'Description text : <small>( supports : HTML & Shortcodes )</small>', 'hbthemes'); ?></label>
			<textarea rows="5" id="<?php echo $this->get_field_id( 'text_code' ); ?>" name="<?php echo $this->get_field_name( 'text_code' ); ?>" class="widefat" ><?php echo $instance['text_code']; ?></textarea>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'feedburner' ); ?>"><?php _e('Feedburner ID:','hbthemes'); ?></label>
			<input id="<?php echo $this->get_field_id( 'feedburner' ); ?>" name="<?php echo $this->get_field_name( 'feedburner' ); ?>" value="<?php echo $instance['feedburner']; ?>" class="widefat" type="text" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'widget_style' ); ?>"><?php _e( 'Widget style: ','hbthemes'); ?></label>
			<select id="<?php echo $this->get_field_id( 'widget_style' ); ?>" name="<?php echo $this->get_field_name( 'widget_style' ); ?>">
				<option value="light" <?php if ( "light"==$instance['widget_style'] ) echo ' selected="selected"'; ?>><?php _e('Light','hbthemes'); ?></option>
				<option value="dark" <?php if ( "dark"==$instance['widget_style'] ) echo ' selected="selected"'; ?>><?php _e('Dark','hbthemes'); ?></option>
			</select>
		</p>

		
	<?php
	}
}
?>