<?php
/*
 * Plugin Name: (BulletPress) Login Widget
 * Plugin URI: http://www.hb-themes.com
 * Description: A widget that displays a login box
 * Version: 1.0
 * Author: HB-Themes
 * Author URI: http://www.hb-themes.com
 */

/*
 * Add function to widgets_init that'll load our widget.
 */
add_action( 'widgets_init', 'hb_login_widgets' );

/*
 * Register widget.
 */
function hb_login_widgets() {
	register_widget( 'HB_Login_Widget' );
}

/*
 * Widget class.
 */
class hb_login_widget extends WP_Widget {

	/* ---------------------------- */
	/* -------- Widget setup -------- */
	/* ---------------------------- */
	
	function HB_Login_Widget() {
	
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'hb-login-widget', 'description' => __('A widget that displays a login box.', 'hbthemes') );
		$control_ops = array ();
		/* Create the widget. */
		$this->WP_Widget( 'hb_login_widget', __('[HB] Login','hbthemes'), $widget_ops, $control_ops );
	}

	/* ---------------------------- */
	/* ------- Display Widget -------- */
	/* ---------------------------- */
	
	function widget( $args, $instance ) {
		extract( $args );

		/* Our variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		
		/* Before widget (defined by themes). */
		echo $before_widget;
		
		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;

	
		global $current_user;
	    get_currentuserinfo();
		if ( !is_user_logged_in() ) {
			include ( get_template_directory() . '/framework/includes/login-form.php'); 
		} else {
			echo '<div class="hb-promo-box logout-box">';
			echo '<div class="hb-login-avatar">' . get_avatar( $current_user -> ID, 64 ) . '</div>';
			echo '<p>';
			printf ( __('You are currently logged in as <strong>%s</strong>.' , 'hbthemes') , $current_user->display_name);
			echo '</p><a class="hb-button small" href="' . wp_logout_url('http://' . $_SERVER['HTTP_HOST']  . $_SERVER['REQUEST_URI']) . '">' . __('Logout','hbthemes') . '</a></div>';
			
		}

		/* Display widget */
		echo $after_widget;
	}

	/* ---------------------------- */
	/* ------- Update Widget -------- */
	/* ---------------------------- */
	
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );

		/* No need to strip tags for.. */

		return $instance;
	}
	
	/* ---------------------------- */
	/* ------- Widget Settings ------- */
	/* ---------------------------- */
	
	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	 
	function form( $instance ) {

	
		/* Set up some default widget settings. */
		$defaults = array(
		'title' => 'Login Widget',
		);

		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:','hbthemes'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
		</p>
		
	<?php
	}
}
?>