<?php
/*
 * Plugin Name: (BulletPress) Social Count Widget
 * Plugin URI: http://www.hb-themes.com
 * Description: A widget that displays count of your followers, subscribers etc.
 * Version: 1.0
 * Author: HB-Themes
 * Author URI: http://www.hb-themes.com
 */

/*
 * Add function to widgets_init that'll load our widget.
 */
add_action( 'widgets_init', 'hb_social_count_widgets' );

/*
 * Register widget.
 */
function hb_social_count_widgets() {
	register_widget( 'HB_Social_Count_Widget' );
}

/*
 * Widget class.
 */
class hb_social_count_widget extends WP_Widget {

	/* ---------------------------- */
	/* -------- Widget setup -------- */
	/* ---------------------------- */
	
	function HB_Social_Count_Widget() {
	
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'social-count-widget', 'description' => __('A widget that displays your social count.', 'hbthemes') );
		$control_ops = array ();
		/* Create the widget. */
		$this->WP_Widget( 'hb_social_count_widget', __('[HB] Social Count','hbthemes'), $widget_ops, $control_ops );
	}

	/* ---------------------------- */
	/* ------- Display Widget -------- */
	/* ---------------------------- */
	
	function widget( $args, $instance ) {
		extract( $args );
		global $wp_query;

		/* Our variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$youtube = $instance['youtube'];
		$facebook = $instance['facebook'];
		$twitter = $instance['twitter'];
		$rss = $instance['rss'];

		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;

		?>
		<div class="clearfix">
		<?php if ( $facebook ) { ?>
			<?php
				$ex_class = '';
				if ( ($twitter ) || $youtube && !$twitter ) $ex_class=' half-width'; 
			?>

			<!-- BEGIN FACEBOOK COUNT -->
			<div class="facebook-count-wrap<?php echo $ex_class; ?>">
            	<a class="facebook-count" facebook-id="<?php echo $facebook; ?>" one-text="<?php _e('Like','hbthemes'); ?>" plural-text="<?php _e('Likes','hbthemes'); ?>" href="https://facebook.com/<?php echo $facebook; ?>">
					<strong class="count-number"></strong>
					<span class="txt"></span>
			</a>
			</div>
			<!-- END FACEBOOK COUNT -->
		<?php } ?>

		<?php if ( $twitter) { ?>
			<?php
				$ex_class = '';
				if ( ($facebook ) || $youtube && !$facebook ) $ex_class=' half-width'; 
				if ( $youtube && !$facebook ) $ex_class .= ' with-padding';

				$twitter_follower_count = hb_getTwitterFollowers($twitter);
			?>
			<!-- BEGIN #twitter-count -->
			<div class="twitter-count-wrap<?php echo $ex_class; ?>">
  				<a class="twitter-count" twitter-id="<?php echo $twitter; ?>" one-text="<?php _e('Follower','hbthemes'); ?>" plural-text="<?php _e('Followers','hbthemes'); ?>" href="https://twitter.com/<?php echo $twitter; ?>">
				<strong class="count-number">
					<?php echo $twitter_follower_count; ?>
				</strong>
				<span class="txt">
					<?php 
						if ( $twitter_follower_count != 1 ) _e('Followers' , 'hbthemes');
						else _e('Follower' , 'hbthemes');
					?>
				</span>
				<span class="txt"></span>
				</a>
			</div>
			<!-- END #twitter-count -->
		<?php } ?>

		<?php if ( $youtube ) { ?>
			<?php
				$ex_class = '';
				if ( ($facebook && !$twitter ) || $twitter && !$facebook ) $ex_class=' half-width'; 
			?>
			<!-- BEGIN #youtube-count -->
			<div class="youtube-count-wrap<?php echo $ex_class; ?>">
				<a class="youtube-count" youtube-id="<?php echo $youtube; ?>" one-text="<?php _e('Subscriber','hbthemes'); ?>" plural-text="<?php _e('Subscribers','hbthemes'); ?>" href="https://youtube.com/<?php echo $youtube; ?>">
				<strong class="count-number"></strong>
				<span class="txt"></span>
				</a>
			<!-- END #youtube-count -->
			</div>
		<?php } ?>

		<?php if ( $rss ) { ?>
			<div class="rss-count-wrap">
				<a class="rss-count" href="<?php echo $rss; ?>">
				<strong class="count-number"><?php _e('RSS Feed','hbthemes'); ?></strong>
				<span class="txt"><?php _e('Subscribe now!','hbthemes'); ?></span>
             	</a>
            </div>
		<?php } ?>
		</div>
		<?php


		echo $after_widget;
	}
	
	

	/* ---------------------------- */
	/* ------- Update Widget -------- */
	/* ---------------------------- */
	
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['facebook'] = $new_instance['facebook'];
		$instance['twitter'] = $new_instance['twitter'];
		$instance['youtube'] = $new_instance['youtube'];
		$instance['rss'] = $new_instance['rss'];

		/* No need to strip tags for.. */

		return $instance;
	}
	
	/* ---------------------------- */
	/* ------- Widget Settings ------- */
	/* ---------------------------- */
	
	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	 
	function form( $instance ) {

	
		/* Set up some default widget settings. */
		$defaults = array(
		'title' => 'Our Stats',
		'facebook' => '',
		'twitter' => '',
		'youtube' => '',
		'rss'=>'',
		);
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:','hbthemes'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
		</p>
		
		<!-- Facebook link: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'facebook' ); ?>"><?php _e('Facebook ID:','hbthemes'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" value="<?php echo $instance['facebook']; ?>" />
		</p>

		<!-- Twitter link: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'twitter' ); ?>"><?php _e('Twitter ID:','hbthemes'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" value="<?php echo $instance['twitter']; ?>" />
		</p>

		<!-- Youtube link: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'youtube' ); ?>"><?php _e('Youtube ID:','hbthemes'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'youtube' ); ?>" name="<?php echo $this->get_field_name( 'youtube' ); ?>" value="<?php echo $instance['youtube']; ?>" />
		</p>

		<!-- RSS link: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'rss' ); ?>"><?php _e('RSS:','hbthemes'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'rss' ); ?>" name="<?php echo $this->get_field_name( 'rss' ); ?>" value="<?php echo $instance['rss']; ?>" />
		</p>
		
	<?php
	}
}
?>