<?php
/*
 * Plugin Name: (BulletPress) Social Network Icons Widget
 * Plugin URI: http://www.hb-themes.com
 * Description: A widget that displays social network icons.
 * Version: 1.0
 * Author: HB-Themes
 * Author URI: http://www.hb-themes.com
 */

/*
 * Add function to widgets_init that'll load our widget.
 */
add_action( 'widgets_init', 'hb_social_icons_widgets' );

/*
 * Register widget.
 */
function hb_social_icons_widgets() {
	register_widget( 'HB_Social_Icons_Widget' );
}

/*
 * Widget class.
 */
class hb_social_icons_widget extends WP_Widget {

	/* ---------------------------- */
	/* -------- Widget setup -------- */
	/* ---------------------------- */
	
	function HB_Social_Icons_Widget() {
	
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'hb-social-icons-widget', 'description' => __('A widget that displays social network icons.', 'hbthemes') );
		$control_ops = array ();
		/* Create the widget. */
		$this->WP_Widget( 'hb_social_icons_widget', __('[HB] Social Network Icons','hbthemes'), $widget_ops, $control_ops );
	}

	/* ---------------------------- */
	/* ------- Display Widget -------- */
	/* ---------------------------- */
	
	function widget( $args, $instance ) {
		extract( $args );
		global $wp_query;

		/* Our variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$small_icons = $instance['small_icons'];
		$icon_animation = $instance['icon_animation'];
		$social_icon_list = social_list();
		foreach ( $social_icon_list as $soc_net) { 
			$$soc_net = $instance[$soc_net];
		}
		
		/* Before widget (defined by themes). */
		echo $before_widget;
		
		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;
		?>
		<?php
		$class_name="ss";
		if ($small_icons == "y")
			$class_name = "ssm";
		if ($icon_animation == "n")
			$class_name .= " no-animation";
		?>
		<ul class="<?php echo $class_name; ?>">
		<?php
		foreach ( $social_icon_list as $soc_net) { 
			if ( $$soc_net ) { ?>
				<li class="<?php echo $soc_net; ?>" title="<?php echo ucwords($soc_net); ?>"><a href="<?php echo $$soc_net; ?>"><?php echo $soc_net; ?></a></li>
		<?php }
			}
		?>
		</ul>
		<?php
		echo $after_widget;
	}
	
	

	/* ---------------------------- */
	/* ------- Update Widget -------- */
	/* ---------------------------- */
	
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['small_icons'] = $new_instance['small_icons'];
		$instance['icon_animation'] = $new_instance['icon_animation'];
		$social_icon_list = social_list();

		foreach ($social_icon_list as $soc_icon) {
			$instance[$soc_icon] = $new_instance[$soc_icon];
		}
		
		/* No need to strip tags for.. */

		return $instance;
	}
	
	/* ---------------------------- */
	/* ------- Widget Settings ------- */
	/* ---------------------------- */
	
	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	 
	function form( $instance ) {

	
		/* Set up some default widget settings. */
		$defaults = array(
		'title' => 'Social Networks',
		'small_icons' => 'n',
		'icon_animation' => 'y'
		);

		$social_icon_list = social_list();
		foreach ( $social_icon_list as $soc_net) {
			$defaults[$soc_net] = '';
		}
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:','hbthemes'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
		</p>

		<!-- Small Icons -->
		<p>
			<label for="<?php echo $this->get_field_id( 'small_icons' ); ?>"><?php _e( 'Small Icons? ','hbthemes'); ?></label>
			<select id="<?php echo $this->get_field_id( 'small_icons' ); ?>" name="<?php echo $this->get_field_name( 'small_icons' ); ?>">
				<option value="y" <?php if ( "y"==$instance['small_icons'] ) echo ' selected="selected"'; ?>><?php _e('Yes','hbthemes'); ?></option>
				<option value="n" <?php if ( "n"==$instance['small_icons'] ) echo ' selected="selected"'; ?>><?php _e('No','hbthemes'); ?></option>
			</select>
		</p>

		<!-- Small Icons -->
		<p>
			<label for="<?php echo $this->get_field_id( 'icon_animation' ); ?>"><?php _e( 'Animate icons on hover? ','hbthemes'); ?></label>
			<select id="<?php echo $this->get_field_id( 'icon_animation' ); ?>" name="<?php echo $this->get_field_name( 'icon_animation' ); ?>">
				<option value="y" <?php if ( "y"==$instance['icon_animation'] ) echo ' selected="selected"'; ?>><?php _e('Yes','hbthemes'); ?></option>
				<option value="n" <?php if ( "n"==$instance['icon_animation'] ) echo ' selected="selected"'; ?>><?php _e('No','hbthemes'); ?></option>
			</select>
		</p>
		
		<?php 
		foreach ( $social_icon_list as $soc_net ) {
		?>
		
		<!-- Post count: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( $soc_net ); ?>"><?php echo $soc_net; ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( $soc_net ); ?>" name="<?php echo $this->get_field_name( $soc_net ); ?>" value="<?php echo $instance[$soc_net]; ?>" />
		</p>

		<?php } ?>
		
		
		
	<?php
	}
}

function social_list() {
	return array("digg", "dribbble", "facebook", "flickr", "forrst", "googleplus", "html5", "icloud", "lastfm", "linkedin", "myspace", "paypal", "picasa", "pinterest", "reddit", "skype", "stumbleupon", "soundcloud", "tumblr", "twitter", "vimeo", "wordpress", "yahoo", "youtube", "github", "behance", "yelp", "instagram", "foursquare", "zerply", "rss", "mail");
}

?>