<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */
 

// Define Directories
define( 'HBTHEMES_INCLUDES' , get_template_directory() . '/framework/includes' );
define( 'HBTHEMES_ADMIN' , get_template_directory() . '/admin' );
define  ( 'HBTHEMES_ROOT' , get_template_directory() );

// Define Names
define('SHORTNAME', 'hb');
define('THEMENAME', 'BulletPress');
$shortname = SHORTNAME;
$themename = THEMENAME;
$themepath = get_template_directory_uri();

//Theme Setup
function hb_theme_setup() {
	global $shortname;
	global $themename;
	global $themepath;
	global $data;
}
add_action( 'after_setup_theme', 'hb_theme_setup');


/* ------------------------------------------------------------------------ */
/* Inlcudes
/* ------------------------------------------------------------------------ */

	/* ------------------------------------------------------------------------ */
	/* Include SMOF */
	require_once ( HBTHEMES_ADMIN . '/index.php' );
	

	/* ------------------------------------------------------------------------ */
	/* Misc Includes */
	include_once('framework/includes/enqueue.php'); // Enqueue JavaScripts & CSS
	include_once('framework/includes/socials.php'); 
	include_once('framework/includes/ticker.php'); 
	include_once('framework/includes/layouts.php'); 
	include_once('framework/includes/cat_style.php'); 
	include_once('framework/includes/carousel.php'); 
	include_once('framework/includes/title.php'); 
	include_once('framework/includes/breadcrumbs.php'); 
	include_once('framework/includes/pagination.php'); 
	include_once('framework/includes/resize.php'); 
	include_once('framework/includes/plugin-activation.php'); 
	include_once('framework/includes/facebook-comments.php');
	include_once('framework/includes/post_views.php');
	include_once('framework/includes/adverts.php');
	include_once('framework/includes/post-slider.php');
	include_once('framework/includes/font-list.php');
	include_once('framework/includes/custom-fonts.php');
	include_once('framework/includes/revolution-slider.php');
	include_once('framework/includes/post-featured-image.php');
	include_once('framework/includes/post-meta-details.php');
	include_once('framework/includes/tweet-format.php');
	include_once('framework/includes/top-reviews.php');

	include_once('framework/plugins/twitter/index.php');

	include_once('framework/admin/admin-css-js.php');
	include_once('framework/admin/tax-meta.php'); 
	include_once('framework/admin/tax-meta-class.php'); 
	include_once('framework/admin/author-meta.php'); 
	include_once('framework/admin/metaboxes/meta_box.php'); 	
	include_once('framework/admin/metaboxes/meta_box_usage.php'); 	
	include_once('framework/admin/metaboxes/reviews.php'); 
	include_once('framework/admin/metaboxes/advertisment.php'); 
	
	include_once('framework/widgets/promo-box.php');
	include_once('framework/widgets/medium-thumb-posts.php');
	include_once('framework/widgets/tabs.php');
	include_once('framework/widgets/social-count.php');
	include_once('framework/widgets/most-viewed-posts.php');
	include_once('framework/widgets/most-popular-posts.php');
	include_once('framework/widgets/video.php');
	include_once('framework/widgets/random-posts.php');
	include_once('framework/widgets/social-icons.php');
	include_once('framework/widgets/dribbble.php');
	include_once('framework/widgets/instagram.php');
	include_once('framework/widgets/pinterest.php');
	include_once('framework/widgets/twitter.php');
	include_once('framework/widgets/flickr.php');
	include_once('framework/widgets/author.php');
	include_once('framework/widgets/ads-custom-size.php');
	include_once('framework/widgets/ads-250x250.php');
	include_once('framework/widgets/login.php');
	include_once('framework/widgets/feedburner.php');
	include_once('framework/widgets/facebook.php');
	include_once('framework/widgets/google.php');
	include_once('framework/widgets/post-slider.php');
	include_once('framework/widgets/recent-comments.php');
	include_once('framework/widgets/top-rated-posts.php');

	/* Shortcodes */
	include_once('framework/admin/visual-composer.php'); 
	include_once('framework/admin/shortcodes/title.php');
	include_once('framework/admin/shortcodes/socials.php');
	include_once('framework/admin/shortcodes/info-box.php');
	include_once('framework/admin/shortcodes/news-in-pictures.php');
	include_once('framework/admin/shortcodes/post-list-vertical.php');
	include_once('framework/admin/shortcodes/post-slider.php');
	include_once('framework/admin/shortcodes/post-list-horizontal.php');
	include_once('framework/admin/shortcodes/hb-hero.php');
	include_once('framework/admin/shortcodes/hb-hero-2.php');
	include_once('framework/admin/shortcodes/separator.php');
	include_once('framework/admin/shortcodes/button.php');
	include_once('framework/admin/shortcodes/post-list-large.php');
	include_once('framework/admin/shortcodes/ads.php');
	include_once('framework/admin/shortcodes/twitter.php');
	include_once('framework/admin/shortcodes/spacer.php');
	include_once('framework/admin/shortcodes/typography.php');
	include_once('framework/admin/shortcodes/post-slider-2.php');
	include_once('framework/admin/shortcodes/accordion.php');
	include_once('framework/admin/shortcodes/tabs.php');
	include_once('framework/admin/shortcodes/icon.php');

/* ------------------------------------------------------------------------ */
/* Basics
/* ------------------------------------------------------------------------ */
	
	/* ------------------------------------------------------------------------ */
	/* Define Content Width */
	if ( ! isset( $content_width ) ) $content_width = 1010;
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' ); 
	add_theme_support( 'post-formats', array( 'video' , 'audio') );


	/* ------------------------------------------------------------------------ */
	/* Add Custom Primary Navigation */
	add_action('init', 'register_custom_menu');
 
	function register_custom_menu() {
		register_nav_menu('header-menu', 'Header Navigation');
		register_nav_menu('main-menu', 'Main Navigation');
		register_nav_menu('footer-menu', 'Footer Navigation');
	}

	/* ------------------------------------------------------------------------ */
	/* Add Footer Widgetized Areas */
	if (function_exists('register_sidebar')){	
	
		// default sidebar array
		$sidebar_attr = array(
			'name' => '',
			'description'   => __('This is an area for widgets.','hbthemes'),
			'before_widget' => '<div id="%1$s" class="widget-item %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<div class="widget-title"><h4 class="widget-title-inner">',
			'after_title'   => '</h4></div>'
		);
		
		$sidebar_id = 0;
		
		$hb_sidebar = array( __( "Footer " , "hbthemes" )."1" , __( "Footer " , "hbthemes" )."2", __( "Footer " , "hbthemes")."3" , __( "Footer " , "hbthemes")."4");
		
		foreach( $hb_sidebar as $sidebar_name ){
			$sidebar_attr['name'] = $sidebar_name;
			$sidebar_attr['id'] = 'custom-sidebar' . $sidebar_id++ ;
			register_sidebar($sidebar_attr);
		}
	}	
	
	// Register default sidebar
	if ( function_exists ( 'register_sidebar' ) )
	    register_sidebar ( array ( 
	    	'name' => __( 'Default Sidebar A' , 'hbthemes' ),
			'description'   => __('This is an area for widgets.','hbthemes'),
			'before_widget' => '<div id="%1$s" class="widget-item clearfix %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<div class="page-title-box sidebar-title-box clearfix"><h3 class="page-title">',
			'after_title'   => '</h3></div>'
			)
		);

	// Register default sidebar
	if ( function_exists ( 'register_sidebar' ) )
	    register_sidebar ( array ( 
	    	'name' => __( 'Default Sidebar B' , 'hbthemes' ),
			'description'   => __('This is an area for widgets.','hbthemes'),
			'before_widget' => '<div id="%1$s" class="widget-item clearfix %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<div class="page-title-box sidebar-title-box clearfix"><h3 class="page-title">',
			'after_title'   => '</h3></div>'
			)
		);	

	// Register dynamic sidebar
	$dynamic_sidebar = array ();
	if ( isset ( $data['hb_sidebar'] ) )
	$dynamic_sidebar = $data['hb_sidebar'];

	if( !empty( $dynamic_sidebar ) )
	{
		foreach ( $dynamic_sidebar as $sidebar )
		{
			if ( function_exists( 'register_sidebar' ) )
			register_sidebar( array(
				'name' => $sidebar['title'],
				'description'   => __('This is an area for widgets.','hbthemes'),
				'before_widget' => '<div id="%1$s" class="widget-item clearfix %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<div class="page-title-box sidebar-title-box clearfix"><h3 class="page-title">',
				'after_title'   => '</h3></div>'
				)
			);
		}
	}

	// Get dynamic sidebar instead of printing it
	function get_dynamic_sidebar($index = 1)
		{
			$sidebar_contents = "";
			ob_start();
			dynamic_sidebar($index);
			$sidebar_contents = ob_get_clean();
			return $sidebar_contents;
		}

	// Adding a special generated class to a menu item
	function hb_category_my_special_nav_class( $classes, $item )
	{
		global $data;

		// Get the Object ID
		$category_id = $item->object_id;
		$categor = get_category ( $category_id );

		// Return if it is not a category
		if ( !$categor ) return $classes;
		
		// It's a category, proceed		
		$cat_slug = $categor->slug;
		
		$cat_options = get_option ( "st_tax_meta_{$category_id}" );
		
		if ( isset ( $cat_options['bg_color'] ) ) {
			$bg_color = $cat_options['bg_color'];
			if ( !$bg_color ) 
				if ( !is_category() )
					$bg_color = substr($data['hb_default_color'], 1, 6);
			
			$classes[] = 'c_' . $bg_color;
			if ( $cat_slug ) {
				$classes[] = $cat_slug . '-menu-color';
				$classes[] = $cat_slug . '-menu-hover-color';
			}
		}
		return $classes;
		
	}
	add_filter( 'nav_menu_css_class', 'hb_category_my_special_nav_class', 10, 2 );

	// Adding a special generated class to a menu item
	function hb_page_my_special_nav_class( $classes, $item )
	{
		global $data;

		// Get the Object ID
		$object_id = $item->object_id;
		$post_object = get_post ( $object_id );

		// Return if it is not a category
		if ( !$post_object ) return $classes;
		
		// It's a category, proceed		
		$post_slug = $post_object->post_name;
		$post_id = $post_object->ID;

		$cat_options = get_option ( "st_tax_meta_{$category_id}" );
		
		if ( get_post_meta ( $post_id, 'hb_page_focus_color' , true ) ) {
			$bg_color = get_post_meta ( $post_id, 'hb_page_focus_color' , true );
			if ( !$bg_color ) 
				if ( !is_page() && !is_single() )
					$bg_color = substr($data['hb_default_color'], 1, 6);
			$bg_color = str_replace ( "#" , "", $bg_color );

			$classes[] = 'c_' . $bg_color;
			if ( $post_slug ) {
				$classes[] = $post_slug . '-menu-color';
				$classes[] = $post_slug . '-menu-hover-color';
			}
		}
		return $classes;
		
	}
	add_filter( 'nav_menu_css_class', 'hb_page_my_special_nav_class', 10, 2 );


	// Turn HEX color to RGB
	function hb_hex2rgb($hex) {
	   $hex = str_replace("#", "", $hex);

	   if(strlen($hex) == 3) {
		  $r = hexdec(substr($hex,0,1).substr($hex,0,1));
		  $g = hexdec(substr($hex,1,1).substr($hex,1,1));
		  $b = hexdec(substr($hex,2,1).substr($hex,2,1));
	   } else {
		  $r = hexdec(substr($hex,0,2));
		  $g = hexdec(substr($hex,2,2));
		  $b = hexdec(substr($hex,4,2));
	   }
	   $rgb = array($r, $g, $b);
	   return implode(",", $rgb); // returns the rgb values separated by commas
	   //return $rgb; // returns an array with the rgb values
	}

	// Get currently used template
	function get_current_template( $post_id ) {
		return get_post_meta( $post_id, '_wp_page_template', true );
	}

	// Get posts from a year grouped by months
	function get_posts_grouped_by_month( $year = null ) {

		if ( $year == null ) {
			$year = date('Y');
		}

		$months = range(1,12);
		$posts = array();

		foreach ( $months as $month ) {
			$posts_for_month = get_posts(array(
				'year' => $year,
				'monthnum' => $month,
				'posts_per_page' => -1 ));
			$posts[$month] = $posts_for_month;
		}

		return $posts;
	}

	function custom_excerpt_more( $more ) {
		return '...';
	}
	add_filter( 'excerpt_more', 'custom_excerpt_more' );

	function custom_excerpt_length( $length ) {
		return 30;
	}
	add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

	function add_class_to_excerpt( $excerpt ) {
	    if ( strpos($excerpt, '<p')) return str_replace('<p', '<p class="post-excerpt"', $excerpt);
	    return '<p class="post-excerpt">' . $excerpt . '</p>';
	}
	add_filter( "get_the_excerpt", "add_class_to_excerpt" );

	// Highlight search query in the search results
	function search_excerpt_highlight( $excerpt ) {
		if ( !is_search() ) return $excerpt;
		
		$keys = implode('|', explode(' ', get_search_query()));
		$excerpt = preg_replace('/(' . $keys .')/iu', '<ins class="search-ins">\0</ins>', $excerpt);

		return $excerpt;
	}
	add_filter ( 'the_excerpt' , 'search_excerpt_highlight' );
	
	function search_title_highlight( $title ) {
		if ( !is_search() ) return $title;
		$keys = implode('|', explode(' ', get_search_query()));
		$title = preg_replace('/(' . $keys .')/iu', '<ins class=\'search-ins\'>\0</ins>', $title);

		return $title;
	}
	add_filter ( 'the_title' , 'search_title_highlight' );
	
	function get_category_meta ( $cat ) {
		$cat_id = get_cat_ID( $cat );
		return get_option ( "st_tax_meta_{$cat_id}" );
	}

	add_filter('widget_text', 'do_shortcode');

	if ( ! function_exists( 'shortcode_empty_paragraph_fix' ) ) {
		function shortcode_empty_paragraph_fix($content){   
			$array = array (
				'<p>[' => '[', 
				']</p>' => ']', 
				']<br />' => ']'
			);

			$content = strtr($content, $array);
			return $content;
		}
	}

	add_filter('the_content', 'shortcode_empty_paragraph_fix');
	
	function hb_get_comment_excerpt($comment_ID = 0, $num_words = 20) {
		$comment = get_comment( $comment_ID );
		$comment_text = strip_tags($comment->comment_content);
		$blah = explode(' ', $comment_text);
		if (count($blah) > $num_words) {
			$k = $num_words;
			$use_dotdotdot = 1;
		} else {
			$k = count($blah);
			$use_dotdotdot = 0;
		}
		$excerpt = '';
		for ($i=0; $i<$k; $i++) {
			$excerpt .= $blah[$i] . ' ';
		}
		$excerpt = trim ( $excerpt, '');
		$excerpt = trim ( $excerpt, ',');
		$excerpt .= ($use_dotdotdot) ? '...' : '';
		return apply_filters('get_comment_excerpt', $excerpt);
	}

// Theme Translation
load_theme_textdomain( 'hbthemes', get_template_directory().'/languages' );
	
// Plugin activation
function hbthemes_register_required_plugins() {
	$plugins = array(
		array(
			'name'     				=> 'Slider Revolution', // The plugin name
			'slug'     				=> 'revslider', // The plugin slug (typically the folder name)
			'source'   				=> 'http://hb-themes.com/repository/plugins/bulletpress/revslider.zip', // The plugin source
			'required' 				=> false, // If false, the plugin is only 'recommended' instead of required
			'version' 				=> '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url' 			=> '', // If set, overrides default API URL and points to an external URL
		),
		array(
			'name'     				=> 'Social Share Box', // The plugin name
			'slug'     				=> 'wordpress-social-share-buttons', // The plugin slug (typically the folder name)
			'source'   				=> get_template_directory_uri() . '/framework/plugins/wordpress-social-share-buttons.zip', // The plugin source
			'required' 				=> false, // If false, the plugin is only 'recommended' instead of required
			'version' 				=> '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url' 			=> '', // If set, overrides default API URL and points to an external URL
		),
		array(
                'name' => 'Visual Composer - Live Drag & Drop Page Builder',
                'slug' => 'js_composer',
                'source' => 'http://hb-themes.com/repository/plugins/js_composer.zip',
                'required' => true,
                'force_activation' => false,
                'force_deactivation' => false
            ),
		array(
			'name'      => 'Contact Form 7',
			'slug'      => 'contact-form-7',
			'required'  => false,
			)
		);
	
		// Change this to your theme text domain, used for internationalising strings
		$theme_text_domain = 'hbthemes';
	
		/**
		 * Array of configuration settings. Amend each line as needed.
		 * If you want the default strings to be available under your own theme domain,
		 * leave the strings uncommented.
		 * Some of the strings are added into a sprintf, so see the comments at the
		 * end of each line for what each argument will be.
		 */
		$config = array(
			'domain'       		=> $theme_text_domain,         	// Text domain - likely want to be the same as your theme.
			'default_path' 		=> '',                         	// Default absolute path to pre-packaged plugins
			'parent_menu_slug' 	=> 'themes.php', 				// Default parent menu slug
			'parent_url_slug' 	=> 'themes.php', 				// Default parent URL slug
			'menu'         		=> 'install-required-plugins', 	// Menu slug
			'has_notices'      	=> true,                       	// Show admin notices or not
			'is_automatic'    	=> true,					   	// Automatically activate plugins after installation or not
			'message' 			=> '',							// Message to output right before the plugins table
			'strings'      		=> array(
				'page_title'                       			=> __( 'Install Required Plugins', $theme_text_domain ),
				'menu_title'                       			=> __( 'Install Plugins', $theme_text_domain ),
				'installing'                       			=> __( 'Installing Plugin: %s', $theme_text_domain ), // %1$s = plugin name
				'oops'                             			=> __( 'Something went wrong with the plugin API.', $theme_text_domain ),
				'notice_can_install_required'     			=> _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' ), // %1$s = plugin name(s)
				'notice_can_install_recommended'			=> _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' ), // %1$s = plugin name(s)
				'notice_cannot_install'  					=> _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ), // %1$s = plugin name(s)
				'notice_can_activate_required'    			=> _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
				'notice_can_activate_recommended'			=> _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
				'notice_cannot_activate' 					=> _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ), // %1$s = plugin name(s)
				'notice_ask_to_update' 						=> _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' ), // %1$s = plugin name(s)
				'notice_cannot_update' 						=> _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ), // %1$s = plugin name(s)
				'install_link' 					  			=> _n_noop( 'Begin installing plugin', 'Begin installing plugins' ),
				'activate_link' 				  			=> _n_noop( 'Activate installed plugin', 'Activate installed plugins' ),
				'return'                           			=> __( 'Return to Required Plugins Installer', $theme_text_domain ),
				'plugin_activated'                 			=> __( 'Plugin activated successfully.', $theme_text_domain ),
				'complete' 									=> __( 'All plugins installed and activated successfully. %s', $theme_text_domain ), // %1$s = dashboard link
				'nag_type'									=> 'updated' // Determines admin notice type - can only be 'updated' or 'error'
			)
		);
	
		tgmpa($plugins, $config);
		
	}
add_action('tgmpa_register', 'hbthemes_register_required_plugins');	
	
/* Thumbnails in admin view */
add_image_size( 'admin-list-thumb', 100, 100, false );

// Dummy up theme support.
//add_theme_support( 'post-thumbnails' );

// Add the posts and pages columns filter. They can both use the same function.
add_filter('manage_posts_columns', 'tcb_add_post_thumbnail_column', 5);
add_filter('manage_pages_columns', 'tcb_add_post_thumbnail_column', 5);

// Add the column
function tcb_add_post_thumbnail_column($cols){
  $cols['tcb_post_thumb'] = __('Thumbnail', 'hbthemes');
  return $cols;
}

// Hook into the posts an pages column managing. Sharing function callback again.
add_action('manage_posts_custom_column', 'tcb_display_post_thumbnail_column', 5, 2);
add_action('manage_pages_custom_column', 'tcb_display_post_thumbnail_column', 5, 2);

// Grab featured-thumbnail size post thumbnail and display it.
function tcb_display_post_thumbnail_column($col, $id){
  switch($col){
    case 'tcb_post_thumb':
      if( function_exists('the_post_thumbnail') )
        echo the_post_thumbnail( 'admin-list-thumb' );
      else
        echo 'Not supported in theme';
      break;
  }
}

function my_custom_login_logo() {
	global $data;
	if ( $data['hb_custom_login_logo'] ) {
	    echo '<style type="text/css">
	        h1 a { background-image:url('.$data['hb_custom_login_logo'] .') !important; }
	    </style>';
	}
}

add_action('login_head', 'my_custom_login_logo');

// Tag Cloud Filter
function tag_cloud_filter($args = array()) {
 $args['smallest'] = 13;
 $args['largest'] = 13;
 $args['unit'] = 'px';
 return $args;
}
//add_filter('widget_tag_cloud_args', 'tag_cloud_filter', 90);

function hb_new_excerpt_more( $more ) {
	global $data;
	if ( $data['hb_show_link_after_excerpt'] ) {
		return '... <a class="read-more" href="'. get_permalink( get_the_ID() ) . '">' . __('Read more', 'hbthemes') . '</a>';
	}
}
add_filter( 'excerpt_more', 'hb_new_excerpt_more' );

// Password Protect Filter
function my_password_form() {
    global $post;
    $label = 'pwbox-'.( empty( $post->ID ) ? rand() : $post->ID );
    $o = '<form action="' . esc_url( site_url( 'wp-login.php?action=postpass', 'login_post' ) ) . '" method="post">
    ' . __( "To view this protected post, enter the password below:<br/>" ) . '
    <input name="post_password" placeholder="Enter page password here..." id="' . $label . '" type="password" size="20" /> <input type="submit" name="Submit" value="' . esc_attr__( "Submit" ) . '" />
    </form>
    ';
    return $o;
}
add_filter( 'the_password_form', 'my_password_form' );

function hb_get_all_socials() {
	$soc_array = array (
			"digg" => "Digg",
			"dribbble" => "Dribbble", 
			"facebook" => "Facebook",
			"flickr" => "Flickr",
			"forrst" => "Forrst",
			"googleplus" => "Google Plus",
			"html5" => "HTML5",
			"icloud" => "iCloud",
			"lastfm" => "LastFM",
			"linkedin" => "LinkedIn",
			"myspace" => "MySpace", 
			"paypal" => "PayPal",
			"picasa" => "Picasa",
			"pinterest" => "Pinterest",
			"reddit" => "Reddit",			
			"skype" => "Skype",
			"stumbleupon" => "StumbleUpon",
			"tumblr" => "Tumblr",
			"twitter" => "Twitter",
			"vimeo" => "Vimeo", 
			"wordpress" => "WordPress",
			"yahoo" => "Yahoo",
			"youtube" => "YouTube",
			"github" => "GitHub",
			"behance" => "Behance",
			"yelp" => "Yelp",
			"mail" => "Mail",
			"instagram" => "Instagram",
			"foursquare" => "FourSquare",
			"zerply" => "Zerply",
			"rss" => "RSS"
		);
		
	return $soc_array;
}

add_action('admin_print_scripts-widgets.php', 'wp_ss_image_admin_scripts');
function wp_ss_image_admin_scripts() {
	wp_enqueue_script( 'wp-ss-image-upload', get_template_directory_uri() . '/framework/scripts/widget_upload.js', array( 'jquery','media-upload','thickbox' ) );
}

// Resize default thumb size
set_post_thumbnail_size(260, 260, true);


// Disable Visual Composer Frontend editor
if ( function_exists('vc_disable_frontend') ) {
	vc_disable_frontend();
}

 /* DISABLE VC SETTINGS
================================================== */
if (function_exists('vc_set_as_theme')) {
    vc_set_as_theme(true);
}

add_action('admin_bar_menu', 'toolbar_link_to_mypage', 140);
    function toolbar_link_to_mypage($wp_admin_bar) {
        $theme_options_url = admin_url() . 'themes.php?page=optionsframework';
        $args              = array(
            'id' => 'bulletpress_theme_options_link',
            'title' => 'Theme Options',
            'href' => $theme_options_url,
            'meta' => array(
                'class' => 'bulletpress_theme_options_link'
            )
        );
        $wp_admin_bar->add_node($args);
    }

?>