<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html <?php language_attributes(); ?>> <!--<![endif]-->
<head>

<!-- Basic Page Needs 
========================================================= -->
<meta charset="<?php bloginfo('charset'); ?>">
<title><?php bloginfo('name'); ?> <?php wp_title(' - ', true, 'left'); ?></title>

<!--[if lt IE 9]>
	<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->

<?php global $data; ?>

<!-- Mobile Specific Metas & Favicons
========================================================= -->
<?php if($data['hb_disable_mobile_zoom'] == 1) { ?><meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0"><?php } ?>

<?php if($data['hb_media_favicon'] != "") { ?><link rel="shortcut icon" href="<?php echo $data['hb_media_favicon']; ?>"><?php } ?>


<!-- Facebook Meta
========================================================= -->
<?php
	if ( is_single() || is_page() ) {
		$image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), $size='thumbnail', $icon = false) ;
		$image = $image[0];
		if ($image) {
			?>
<meta property="og:image" content="<?php echo $image; ?>"/>
			<?php 
		}
	}

?>
<meta property="og:title" content="<?php echo get_the_title(); ?>"/>

<!-- WordPress Stuff
========================================================= -->
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<link rel="stylesheet" type="text/css" media="print" href="<?php bloginfo('stylesheet_directory'); ?>/print.css" />

<?php wp_head(); ?>

<!-- Custom CSS -->
<?php if ( $data['hb_custom_css_field'] ) { ?>
<style type="text/css">
	<?php echo $data['hb_custom_css_field'] ; ?>
</style>
<?php } ?>
<!-- Custom CSS END -->

</head>

<?php 
$body_classes = array(); 
if ( $data['hb_disable_border'] ) $body_classes[] = "hide-top-line";
?>
<body <?php body_class($body_classes); ?><?php 

	if ( $data['hb_boxed_layout'] == "boxed" || $data['hb_boxed_layout'] == "boxed_a" ) {

		$back_type = $data['hb_background_type'];
		$back_color = $data['hb_plain_bg_color'];
		$back_texture = $data['hb_background_tiles_images'];
		$back_image = $data['hb_background_image'];
		if ( $data['hb_background_texture'] ) $back_texture = $data['hb_background_texture'];
		
		if ( is_page() || is_single() ){
			$back_type = get_post_meta(get_the_ID(), 'hb_background_type' , true) ? get_post_meta(get_the_ID(), 'hb_background_type' , true) : $back_type;
			if ( $back_type != "default" ) {
				$back_color = get_post_meta(get_the_ID(), 'hb_background_color' , true) ? get_post_meta(get_the_ID(), 'hb_background_color' , true) : $back_color;
				$back_texture = get_post_meta(get_the_ID(), 'hb_background_texture' , true) ? get_post_meta(get_the_ID(), 'hb_background_texture' , true) : $back_texture;
				$back_image = get_post_meta(get_the_ID(), 'hb_fullscreen_back_image' , true) ? get_post_meta(get_the_ID(), 'hb_fullscreen_back_image' , true) : $back_image;

				if ( get_post_meta(get_the_ID(), 'hb_fullscreen_back_image' , true) ) {
					$temp_image = wp_get_attachment_image_src($back_image,'original');
					$back_image = $temp_image[0];
				}
				if ( get_post_meta(get_the_ID(), 'hb_background_texture' , true) ) {
					$temp_image = wp_get_attachment_image_src($back_texture,'original');
					$back_texture = $temp_image[0];
				}
			}

		} else if ( is_category() ) { 
			$category = single_term_title("", false);
			$catid = get_cat_ID( $category );
			$cat_options = get_option ( "st_tax_meta_{$catid}" );

			$cat_options['hb_cat_background_color'] = isset($cat_options['hb_cat_background_color']) ? $cat_options['hb_cat_background_color'] : "";
			$cat_options['hb_cat_background_type'] = isset($cat_options['hb_cat_background_type']) ? $cat_options['hb_cat_background_type'] : "";
			$cat_options['hb_cat_background_image'] = isset($cat_options['hb_cat_background_image']) ? $cat_options['hb_cat_background_image'] : "";
			$cat_options['hb_cat_background_texture'] = isset($cat_options['hb_cat_background_texture']) ? $cat_options['hb_cat_background_texture'] : "";

				$back_type = $cat_options['hb_cat_background_type'] ? $cat_options['hb_cat_background_type'] : $back_type;
				if ( $back_type != "default" ) {
					$back_image = $cat_options['hb_cat_background_image'] ? $cat_options['hb_cat_background_image'] : $back_image;
					$back_texture = $cat_options['hb_cat_background_texture'] ? $cat_options['hb_cat_background_texture'] : $back_texture;
					$back_color = $cat_options['hb_cat_background_color'] ? '#' . $cat_options['hb_cat_background_color'] : $back_color;
				}

		} 

		if ( $back_type == 'default') $back_type = $data['hb_background_type'];

		if ($back_type == "plain" && $back_color) {
			echo ' style="background-color:' . $back_color . '"'; 
		} else if ( $back_type == "image" && $back_image ) {
		
			echo  ' style="background-attachment: fixed;background-size: cover;background-position: 50% 50%;background-repeat: no-repeat no-repeat;background-image: url(' . $back_image . ');';
			if ( $back_color )
			echo ' background_color:' . $back_color;
		echo '"';
	} else if ( $back_type == "texture" && $back_texture ) {
		echo ' style="background-repeat: repeat;background-image: url(' . $back_texture . ');';
		if ( $back_color)
			echo ' background_color:' . $back_color;
		echo '"';
	}

	}

	?>>
	<?php do_action('hb_begin_body', get_the_ID() ); ?>
	

	<?php if ( $data['hb_top_message'] ) { ?>
	<?php if( $_COOKIE['hb-sysmessage-cookie'] != 1 ) { ?>
	<div id="system-message">
    	<div class="container">
    		<span class="floatleft"><?php echo $data['hb_top_message']; ?></span>
            
            <?php if ( $data['hb_allow_top_closing'] ) { ?>
            <a href="#" class="icon-remove" id="hide-system-message" title="<?php _e('Hide', 'hbthemes'); ?>"></a>
            <?php } ?>
    	</div>
    </div>
	<?php }
	} ?>

	<?php 
	// Set Main Content Classes
	$main_content_classes = array();
	$cat_meta = get_category_meta ( single_term_title ( "" , false ) );
	
	if ( $data['hb_boxed_layout'] == "boxed" ) 
		$main_content_classes[] = "boxed-layout";
	if ( $data['hb_boxed_layout'] == "boxed_a" ) 
		$main_content_classes[] = "boxed-layout boxed_attached";
	if ( $data['hb_boxed_layout'] == "stretched" ){
		$main_content_classes[] = 'hb-stretched-layout';
	}
	if ( $data['hb_header_search'] ) 
		$main_content_classes[] = "with-header-search";
	if ( $data['hb_twitter_line'] && $data['hb_twitter_username'] ) 
		$main_content_classes[] = "with-twitter-line";
	if ( (!get_post_meta ( get_the_ID() , 'hb_disable_carousel' , true ) ) || ($cat_meta['tax_enable_carousel'] == 'y' ) )
		$main_content_classes[] = "with-carousel-slider";
	if ( !$data['hb_boxed_shadow_layout'] ) 
		$main_content_classes[] = "no-shadow";
	if ( $data['hb_enable_header_sticky'] )
		$main_content_classes[] = "hb_sticky_nav";
	if ( get_post_meta ( get_the_ID(), 'hb_disable_top_bar', true) )
		$main_content_classes[] = "disable-top-bar";
	if ( get_post_meta ( get_the_ID(), 'hb_disable_top_bar_navigation', true) )
		$main_content_classes[] = "disable-top-bar-navigation";
	if ( get_post_meta ( get_the_ID(), 'hb_disable_logo', true) )
		$main_content_classes[] = "disable-logo";
	if ( get_post_meta ( get_the_ID(), 'hb_disable_main_navigation', true) )
		$main_content_classes[] = "disable-main-navigation";
	if ( get_post_meta ( get_the_ID(), 'hb_disable_footer', true) )
		$main_content_classes[] = "disable-footer";
	if ( get_post_meta ( get_the_ID(), 'hb_disable_copyright', true) )
		$main_content_classes[] = "disable-copyright";
	
	$main_content_classes = implode(" ", $main_content_classes);
	if ( $main_content_classes ) $main_content_classes = " class=\"$main_content_classes\"";
	?>

	<!-- BEGIN #main-wrapper -->
	<div id="main-wrapper"<?php echo $main_content_classes; ?>>

		<!-- BEGIN #header-wrapper -->
		<div id="header-wrapper">

			<!-- BEGIN .container -->
			<div class="container clearfix">

				<?php 
					// Search
					if ( $data['hb_header_search'] ) { ?>
					<!-- BEGIN #header-search -->
	                <div class="floatright" id="header-search" title="<?php _e('Search','hbthemes'); ?>">
	                	<span class="icon-search"></span>
	                	<div class="header-search-form">
                    	<span class="arrow-up"></span>
	                	<form action="<?php echo get_home_url(); ?>" role="search" method="get">
	                		<input type="text" name="s" id="search" class="search-input" placeholder="<?php _e('Search and press enter...' , 'hbthemes'); ?>" autocomplete="off"/>
	                	</form>
		                </div>
	                </div>
	                <!-- END #header-search -->
				<?php }?>

				<?php
					// Date 
					if ( $data['hb_enable_header_date'] ) { ?>
					<!-- BEGIN .today-date -->
	                <div class="floatright">
	                	<p class="today-date"><strong><?php echo date_i18n('l', date()); ?></strong>, <?php echo date_i18n(get_option('date_format'), date());?></p>
	                </div>
	                <!-- END .today-date -->
	            <?php } ?>

	            <?php 
	            	// Socials
	            	$social_array = get_socials_info();
	           	 	if ( !empty($social_array)) { ?>
	    				<!-- BEGIN .ss -->
	           	 		<ul class="ss floatright">
	           	 			<?php 
	           	 				$target = "";
	           	 				if ( $data['hb_open_socials_new_tab'] ) $target=" target=\"_blank\"";
	           	 				foreach($social_array as $soc_network => $soc_link ) { ?>
	           	 					<li class="<?php echo $soc_network; ?>" title="<?php echo ucfirst($soc_network); ?>"><a href="<?php echo $soc_link; ?>"<?php echo $target; ?>><?php echo $soc_network; ?></a></li>
	           	 			<?php } ?>
	           	 		</ul>
	           	 		<!-- END .ss -->
	           		<?php } ?>


	           	<?php 
	           		// Top Header Navigations
	           		if ( has_nav_menu ('header-menu') ) {
						wp_nav_menu( array ( 'theme_location' => 'header-menu' , 'container_id' => 'top-nav-wrapper', 'menu_id'=>'top-menu-ul') );
					}
	           	?>
				
				<!-- BEGIN Top Responsive Navigation -->
				<div class="responsive-top-nav-wrapper">
					<div id="responsive-top-nav">
						<div class="nav-icon"></div>
					</div>

					<div id="top-resp-menu"></div>
				</div>
				<!-- END Responsive Navigation -->
				
	           	<?php
	           		if ( function_exists('icl_get_languages') && $data['hb_enable_wpml'] ) {
		           		$languages = icl_get_languages('skip_missing=0&orderby=code');
					    if(!empty($languages)){
					        echo '<ul id="hb-wpml">';
						        echo '<li>';
						        echo '<a href="#">Switch Language</a>';
						        echo '<ul>';
						        foreach($languages as $l){
						            echo '<li>';
						            
						            if ( !$l['active'] ) echo '<a href="'.$l['url'].'"';
						            else echo '<a href="#"';
						            if($l['active'])  echo ' class="current-lang"';
						            echo '>';
						            if($l['country_flag_url']){
						           		echo '<span class="lang-img">';
						           		echo '<img src="'.$l['country_flag_url'].'" height="12" alt="'.$l['language_code'].'" width="18" />';
						           		echo '</span>';
            						}
						            echo icl_disp_language($l['native_name'], $l['translated_name']);
						            echo '</a>';
						            echo '</li>';
						        }
						        echo '</ul>';
						        echo '</li>';
					        echo '</ul>';
					    }
					}
	           	?>
				
			</div>
			<!-- END .container -->
		</div>
		<!-- END #header-wrapper -->

		<!-- BEGIN #content-wrapper -->
		<div id="content-wrapper">

			<!-- BEGIN #logo-wrapper -->
			<div id="logo-wrapper" class="container clearfix">

				<?php
					$logo_style = '';
					if ( $data['hb_logo_margin'] ) $logo_style = ' style="margin-top: ' . $data['hb_logo_margin'] . 'px;"'; 

					$logo_width = '';
					$logo_height = '';

					if ( $data['hb_logo_width'] ) $logo_width = ' width="' . $data['hb_logo_width'] . '"';
					if ( $data['hb_logo_height'] )  $logo_height = ' height="' . $data['hb_logo_height'] . '"';
				?>

				<!-- BEGIN #logo -->
				<div id="logo" class="floatleft"<?php echo $logo_style; ?>>
					<?php if ( get_post_meta ( get_the_ID() , 'hb_alternative_logo', true ) && !is_archive() && !is_search() && !is_404() ) { 
						$logo_img = wp_get_attachment_image_src( get_post_meta ( get_the_ID() , 'hb_alternative_logo', true ) , 'full' );
						?>
						<a href="<?php echo home_url(); ?>/">
							<img src="<?php echo $logo_img[0]; ?>" alt="<?php bloginfo('name'); ?>"<?php echo $logo_height; echo $logo_width; ?> />
						</a>
					<?php } else if ( $data['hb_image_logo'] ) { ?>
						<a href="<?php echo home_url(); ?>/">
							<img src="<?php echo $data['hb_image_logo']; ?>" alt="<?php bloginfo('name'); ?>"<?php echo $logo_height; echo $logo_width; ?> />
						</a>
					<?php } else if ( $data['hb_text_logo'] ) { ?>
						<h1 class="logo-text"><a href="<?php echo home_url(); ?>/"><?php echo $data['hb_text_logo']; ?></a></h1>
					<?php } else { ?>
						<h1 class="logo-text"><a href="<?php echo home_url(); ?>/"><?php bloginfo('name'); ?></a></h1>
					<?php } ?>

					<?php 
						if ( $data['hb_enable_tagline'] ) {
							if ( $data['hb_customized_tagline'] ) { ?>
								<h4 id="tagline"><?php echo $data['hb_customized_tagline']; ?></h4>
							<?php }
							else { ?>
								<h4 id="tagline"><?php bloginfo('description'); ?></h4>
							<?php }
						} 
					?>

				</div>
				<!-- END #logo -->

				<?php do_action('hb_logo_right'); ?>

			</div>
			<!-- END #logo-wrapper -->


			<?php if ( has_nav_menu ('main-menu') ) { ?>
				<!-- BEGIN #main-navigation-wrapper -->
				<div id="main-navigation-wrapper" class="container clearfix">

					<?php 
						if ( $data['hb_enable_random_article'] ) { 
							$cat_slug = $data['hb_random_article_cat'];

							if ( $cat_slug ) {
								$idObj = get_category_by_slug($cat_slug); 
								$id = $idObj->term_id;		
								$query = new WP_Query( 'orderby=rand&posts_per_page=1&cat=-' . $id );
							} else {
								$query = new WP_Query( array ( 'orderby' => 'rand', 'posts_per_page' => '1' ) );	
							}
							// output the random post
							while ( $query->have_posts() ) : $query->the_post();
							?>
							<a href="<?php the_permalink(); ?>" id="random-post" title="<?php _e('Random Article' , 'hbthemes'); ?>"><span class="icon-random"></span></a>
							<?php 
							endwhile;
							wp_reset_query(); 
						} 
						wp_nav_menu( array ( 'theme_location' => 'main-menu' , 'menu_id'=>'main-nav', 'menu_class' => 'clearfix') );
				?>

				<!-- BEGIN Responsive Navigation -->
				<div class="responsive-nav-wrapper">
					<div id="responsive-nav">
						<div class="text-nav"><?php _e('Navigation', 'hbthemes'); ?></div>
						<div class="nav-icon"></div>
					</div>

					<div id="resp-menu"></div>
				</div>
				<!-- END Responsive Navigation -->


				</div>
				<!-- END #main-navigation-wrapper -->
			<?php } ?> 
			
			<?php do_action( 'hb_before_main_content' , get_the_ID() ); ?>
			
			<!-- BEGIN #main-content-area -->
            <div id="main-content-area" class="container clearfix">
			
				<?php do_action( 'hb_before_layout' , get_the_ID() ); ?>
            	<?php set_layout( get_the_ID() ); ?>