<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */

 /*
 Template Name: Authors
 */
function hb_authors_content ( $post_id ) {
	
	// Get all users except Subscribers
	$all_users = get_users();
	$allowed_users = array();
	foreach ( $all_users as $user ):
		$wp_user = new WP_User($user->ID);
		if ( !in_array( 'subscriber', $wp_user->roles ) ):
			array_push($allowed_users, $user);
		endif;
	endforeach;
	
	// Display users	
	foreach ($allowed_users as $user) { ?>
		<!-- BEGIN .author-box -->
		<div class="author-box-content clearfix">
			<?php 
				$auth_url = '';
				if ( count_user_posts ( $user->ID ) != 0 ) 
					$auth_url = 'href="' . get_author_posts_url ( $user->ID ) . '"'; 
			?>
			<a <?php echo $auth_url ?> class="author-img-link" title="<?php 
				if ( count_user_posts ( $user->ID ) != 0 ) 
					_e('View articles' , 'hbthemes'); 
				else
					_e('No articles' , 'hbthemes'); ?>">
			<?php echo get_avatar( get_the_author_meta('user_email' , $user->ID) , 96); ?></a>
			
			<!-- BEGIN .author-desc -->
			<div class="author-desc">
				<h3 class="author-title">
					<a <?php echo $auth_url; ?>>
						<?php the_author_meta ( 'display_name' , $user->ID ); ?>
					</a>
					
					<span class="user-posts">
						<?php echo '(' . count_user_posts ( $user->ID ); 
						if ( count_user_posts ( $user->ID ) > 1 || count_user_posts ( $user->ID ) == 0 )
							_e(' articles', 'hbthemes');
						else 
							_e(' article', 'hbthemes'); 
						echo ')';?>
					</span>
				</h3>
				<div class="author-text">
					<?php the_author_meta ( 'user_description' , $user->ID ); ?>
					<?php //echo count_user_posts ( $user->ID ); ?>
				</div>
			</div>
			<!-- END .author-desc -->
			
			<?php $user_soc = hb_get_user_socials ( $user->ID ); ?>
			<ul class="ssm">
				<?php foreach ( $user_soc as $soc => $soc_details ) { 
					if ( $soc_details['soc_link'] != '' ) { ?>
						<li class="<?php echo $soc; ?>" title="<?php echo $soc_details['soc_name']; ?>"><a href="<?php echo $soc_details['soc_link']; ?>"><?php echo $soc; ?></a></li>
					<?php }	
					} ?>
			</ul>
			
		</div>
		<!-- END .author-box -->
	<?php }
}
add_action('page_custom_content', 'hb_authors_content');
add_action ( 'page_custom_content' , 'hb_comment_section', get_the_ID() , 17, 0); 

?>
<?php get_header(); ?>
<?php get_footer(); ?>