<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */
 
 /*
 Template Name: Blog Horizontal Posts
 */
?>
<?php 
function hb_blog_thumbs_content() { 

	$post_count = get_post_meta ( get_the_ID(), 'hb_grid_post_count' , true);
	$post_orderby = get_post_meta ( get_the_ID(), 'hb_grid_order_by' , true);
	$post_order = get_post_meta ( get_the_ID() , 'hb_grid_order' , true);
	$post_category = get_post_meta ( get_the_ID() , 'hb_grid_category' , true);

	if ( !$post_orderby ) $post_orderby = 'recent';
	if ( !$post_order ) $post_order = 'DESC';
	if ( !$post_count ) $post_count = -1;
	
	if ( get_query_var('paged') ) {
	    $paged = get_query_var('paged');
	} elseif ( get_query_var('page') ) {
	    $paged = get_query_var('page');
	} else {
	    $paged = 1;
	}

	switch ( $post_orderby ) {
		case 'recent':
			$query = new WP_Query('paged=' . $paged . '&ignore_sticky_posts=true&orderby=date&order=DESC&posts_per_page=' . $post_count . '&cat=' . $post_category);
		break;
		case 'comments' :
			$query = new WP_query('paged=' . $paged . '&ignore_sticky_posts=true&orderby=comment_count&order=DESC&posts_per_page=' . $post_count . '&cat=' . $post_category);
		break;
		case 'views':
			$query = get_most_viewed_post_query($post_count, $post_category);
		break;
		case 'rating':
			$query = hb_get_top_reviews($post_count , $post_category);
		break;
		case 'random':
			$query = new WP_Query('paged=' . $paged . '&ignore_sticky_posts=true&orderby=rand&posts_per_page=' . $post_count . '&cat=' . $post_category);
		break;
	}


	if ( $query->have_posts() ) :

		?>
		<div class="post-articles">
		<ul class="large-post-list">
		<?php
			
		while ( $query->have_posts() ) : $query->the_post(); 	
		?>
			<li class="clearfix">
				<div class="post-thumb">
					<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
						<?php hb_post_featured_image ( get_the_ID() , 400, 250, true ); ?>
					</a>
				</div>

				<div class="entry-content">
					<h3><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>

					<?php
						if ( get_post_meta( get_the_ID(), 'hb_enable_review', true) ) {
							$final_review_mark = get_post_meta ( get_the_ID() , 'hb_final_review_value' , true);
							$output .= '<div class="stars-wrapper">';
							$output .= '<span class="omc-criteria-star-under">';
							$output .= '<span class="omc-criteria-star-top" style="width:' . $final_review_mark . '%"></span>';
							$output .= '</span>';
							$output .= '</div>';
						}
					?>

					<aside id="meta-<?php the_ID(); ?>" class="entry-meta">
						<?php hb_post_meta_details( get_the_ID() , true, false, true, true, true );
						?>
					</aside>

					<?php echo strip_shortcodes ( wp_trim_words ( get_the_content() , 30 , '...' ) ); ?>
				</div>
			</li>
		<?php
		endwhile;
		?>
		</ul>

		</div>
		<?php

		hb_pagination('',4,$query);
	endif;
}
add_action ( 'page_custom_content' , 'hb_blog_thumbs_content' ); 


function hb_post_slider_page_category() {
	global $data;

	$delimiter = ($data['hb_slider_delimiter'] ? $data['hb_slider_delimiter'] : '<span class="delimiter">&middot;</span>');



	$category = single_term_title("", false);
	$catid = get_cat_ID( $category );
	
	$cat_options = get_option ( "st_tax_meta_{$catid}" );
	$slider_enable = '';
	if ( isset ( $cat_options['hb_post_slider']))
		$slider_enable = $cat_options['hb_post_slider'];
	$post_count = 5;
	if ( isset ( $cat_options['hb_post_slider_count']))
		$post_count = $cat_options['hb_post_slider_count'];
	if ($slider_enable == 'y')		
		hb_post_slider ( $post_count, $catid, $data['hb_slider_show_excerpt'] , $data['hb_slider_show_views'], false, $data['hb_slider_show_reviews'] , $data['hb_slider_show_author'], $data['hb_slider_show_date'], $data['hb_slider_show_categories'], $data['hb_slider_show_comments'], $delimiter);
}
add_action( 'page_custom_before_content' , 'hb_post_slider_page_category')

?>
<?php get_header(); ?>
<?php get_footer(); ?>