<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */
 
 /*
 Template Name: Blog Grid
 */
?>
<?php 
function hb_blog_thumbs_content() { 

	$post_count = get_post_meta ( get_the_ID(), 'hb_grid_post_count' , true);
	$post_orderby = get_post_meta ( get_the_ID(), 'hb_grid_order_by' , true);
	$post_order = get_post_meta ( get_the_ID() , 'hb_grid_order' , true);
	$post_category = get_post_meta ( get_the_ID() , 'hb_grid_category' , true);

	if ( !$post_orderby ) $post_orderby = 'recent';
	if ( !$post_order ) $post_order = 'DESC';
	if ( !$post_count ) $post_count = -1;
	
	if ( get_query_var('paged') ) {
	    $paged = get_query_var('paged');
	} elseif ( get_query_var('page') ) {
	    $paged = get_query_var('page');
	} else {
	    $paged = 1;
	}

	switch ( $post_orderby ) {
		case 'recent':
			$query = new WP_Query('paged=' . $paged . '&ignore_sticky_posts=true&orderby=date&order=DESC&posts_per_page=' . $post_count . '&cat=' . $post_category);
		break;
		case 'comments' :
			$query = new WP_query('paged=' . $paged . '&ignore_sticky_posts=true&orderby=comment_count&order=DESC&posts_per_page=' . $post_count . '&cat=' . $post_category);
		break;
		case 'views':
			$query = get_most_viewed_post_query($post_count, $post_category);
		break;
		case 'rating':
			$query = hb_get_top_reviews($post_count , $post_category);
		break;
		case 'random':
			$query = new WP_Query('paged=' . $paged . '&ignore_sticky_posts=true&orderby=rand&posts_per_page=' . $post_count . '&cat=' . $post_category);
		break;
	}


	if ( $query->have_posts() ) :

		?>
		<div class="post-articles">
		<?php
		$row_count = true;
		while ( $query->have_posts() ) : $query->the_post(); 	

			$thumb = get_post_thumbnail_id();
			$img_url = wp_get_attachment_url( $thumb,'full'); //get img URL
			$image = hb_resize( $img_url, 500, 333, true ); //resize & crop img

			$video_link = get_post_meta ( get_the_ID() , 'hb_post_video_link' , true );
			$audio_link = get_post_meta ( get_the_ID() , 'hb_post_audio_link' , true );

			?>
			
			<?php if ( $row_count ) { ?>
				<!-- BEGIN .row -->
				<div class="row">
			<?php } $row_count = !$row_count; ?>
			
			<?php include ( 'framework/includes/post_item.php' ); ?>
			
			<?php if ( $row_count ) { ?>
				<!-- END .row -->
				</div>
			<?php } ?>
			
			<?php
		endwhile;
		?>
		
		<?php if ( !$row_count ) { ?>
			<!-- END .row -->
			</div>
		<?php } 

		?>
		</div>
		<?php

		hb_pagination('',4,$query);
	endif;
}
add_action ( 'page_custom_content' , 'hb_blog_thumbs_content' ); 


function hb_post_slider_page_category() {
	global $data;

	$delimiter = ($data['hb_slider_delimiter'] ? $data['hb_slider_delimiter'] : '<span class="delimiter">&middot;</span>');



	$category = single_term_title("", false);
	$catid = get_cat_ID( $category );
	
	$cat_options = get_option ( "st_tax_meta_{$catid}" );
	$slider_enable = '';
	if ( isset ( $cat_options['hb_post_slider']))
		$slider_enable = $cat_options['hb_post_slider'];
	$post_count = 5;
	if ( isset ( $cat_options['hb_post_slider_count']))
		$post_count = $cat_options['hb_post_slider_count'];
	if ($slider_enable == 'y')		
		hb_post_slider ( $post_count, $catid, $data['hb_slider_show_excerpt'] , $data['hb_slider_show_views'], false, $data['hb_slider_show_reviews'] , $data['hb_slider_show_author'], $data['hb_slider_show_date'], $data['hb_slider_show_categories'], $data['hb_slider_show_comments'], $delimiter);
}
add_action( 'page_custom_before_content' , 'hb_post_slider_page_category')

?>
<?php get_header(); ?>
<?php get_footer(); ?>