<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */
 
 /*
 Template Name: Sitemap
 */
function hb_sitemap_content ( $post_id ) {

if ( get_current_template($post_id) != "page-sitemap.php" ) return;
?>
<!-- BEGIN .row -->
<div class="row">
	<!-- BEGIN .col-6 -->
	<div class="col-6">
		<?php 
		// Latest 15 posts
		$args = array(
			'posts_per_page'  => 15,
			'numberposts'     => 15
			);
			
		$latest_posts = get_posts($args);
		
		if ( !empty($latest_posts) ) { 
		?>
		<div class="page-title-box t-box clearfix">
			<h2 class="page-title"><?php _e('Latest 15 Posts', 'hbthemes'); ?></h2>
		</div>
		<ol class="archive-list">
		<?php foreach ( $latest_posts as $lat_post ) { ?>
			<li><a href="<?php echo get_permalink($lat_post->ID); ?>"><?php echo get_the_title($lat_post->ID); ?></a></li>
		<?php } ?>
		</ol>
		<?php } ?>
		
		
		<?php // Categories ?>
		<div class="page-title-box t-box clearfix">
			<h2 class="page-title"><?php _e('Categories' , 'hbthemes'); ?></h2>
        </div>
		<?php $args = array(
                      'orderby'            => 'name',
                      'order'              => 'ASC',
                      'style'              => 'list',
                      'show_count'         => 0,
                      'hide_empty'         => 1,
                      'use_desc_for_title' => 1,
                      'child_of'           => 0,
                      'hierarchical'       => false,
                      'title_li'           => '',
                      'number'             => NULL
                    );
                ?>
		<ul class="archive-list"><?php wp_list_categories( $args ); ?></ul>
		
		<?php // Archives By Year ?>
		<div class="page-title-box t-box clearfix">
			<h2 class="page-title"><?php _e('Archives by Year','hbthemes'); ?></h2>
		</div>
		<ul class="archive-list">
			<?php wp_get_archives('type=yearly&limit=10'); ?>
		</ul>
		
		<?php // Authors ?>
		<div class="page-title-box t-box clearfix">
			<h2 class="page-title"><?php _e('Authors','hbthemes'); ?></h2>
		</div>
		<ul class="archive-list">
			<?php wp_list_authors( array ( 'hide_empty' => false , 'exclude_admin' => true, 'orderby' => 'post_count' ) ); ?>
		</ul>
	</div>
	<!-- END .col-6 -->
	
	<!-- BEGIN .col-6 -->
	<div class="col-6">
	
		<div class="page-title-box t-box clearfix">
			<h2 class="page-title"><?php _e('Popular Tags','hbthemes'); ?></h2>
		</div>
		
		<ul class="archive-list">		
		<?php $tags = wp_tag_cloud(array(
				'smallest'                  => 13, 
				'largest'                   => 13,
				'unit'                      => 'px', 
				'number'                    => 15,  
				'format'                    => 'array',
				'orderby'                   => 'count'			
			));
			
			if ( !empty ($tags ) ) {
				foreach ( $tags as $tagic ) {
					echo '<li>' . $tagic . '</li>';
				}
			}
		?>
		</ul>
		
		<div class="page-title-box t-box clearfix">
			<h2 class="page-title"><?php _e('Pages' , 'hbthemes'); ?></h2>
		</div>
		
		<?php $args = array(
						'depth'        => 0,
						'show_date'    => '',
						'date_format'  => get_option('date_format'),
						'child_of'     => 0,
						'exclude'      => '',
						'include'      => '',
						'title_li'     => '',
						'echo'         => 1,
						'authors'      => '',
						'sort_column'  => 'menu_order, post_title',
						'link_before'  => '',
						'link_after'   => '',
						'walker'       => '',
						'post_type'    => 'page',
						'post_status'  => 'publish' 
					);?>
		<ul class="archive-list"><?php wp_list_pages($args); ?></ul>
		
		<div class="page-title-box t-box clearfix">
			<h2 class="page-title">Archives by Month</h2>
		</div>
		<ul class="archive-list">
			<?php wp_get_archives('type=monthly&limit=10'); ?>
		</ul>
	</div>
	<!-- END .col-6 -->
</div>
<!-- END .row -->
<?php	
}
add_action('page_custom_content', 'hb_sitemap_content');
add_action ( 'page_custom_content' , 'hb_comment_section', get_the_ID() , 17, 0); 

?>
<?php get_header(); ?>
<?php get_footer(); ?>