<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */

 /*
 Template Name: Timeline
 */
 
function hb_timeline_content ( $post_id ) {
	
	query_posts( array('nopaging' => 1, 'orderby'=>'date', 'order'=>'DESC') );
	
	$years = array();
	$prev_year = null;
	if ( have_posts() ) {
		
		// Get all years
		while ( have_posts() ) {
			the_post();		  
			$this_year = get_the_date('Y');
			if ($prev_year != $this_year) {
				$years[] = $this_year;
			}
			$prev_year = $this_year;		  
		}
		
		// Print a year
		foreach ( $years as $year ) { ?>
			
		<!-- BEGIN .timeline-wrap -->
		<div class="timeline-wrap clearfix">
			<!-- BEGIN .page-title-box -->
			<div class="page-title-box clearfix">
				<h1 class="page-title"><?php echo $year; ?></h1>
			</div>
			<!-- END .page-title-box -->
		<?php 
			$monthly_posts = get_posts_grouped_by_month($year);
			$monthly_posts = array_reverse ( $monthly_posts, true );
			foreach ( $monthly_posts as $month => $posts ) { 
				if ( !empty( $posts ) ) { 
					$monthName = date( "F", mktime(0, 0, 0, $month, 10));
					$monthNum = date( "n", mktime(0, 0, 0, $month, 10));
					?>
					<!-- BEGIN .timeline-month -->
					<ul class="timeline-month">
						<li><h3><?php echo $monthName; ?></h3>
						<a href="<?php echo get_month_link($year, $monthNum); ?>">
							<i class="icon-circle" title="<?php echo $monthName . " " . $year; ?>">
							</i>
						</a>
						<ul>
							<?php
							foreach ( $posts as $post ) {
							?>
								<li><span class="timeline-date"><?php echo date('j F', strtotime($post->post_date)); ?></span><a href="<?php echo get_permalink ( $post->ID); ?>"><?php echo $post->post_title; ?></a></li>
							<?php } ?>
						</ul>
						</li>
					</ul>
					<!-- END .timeline-month -->
					<?php					
				}
			}	
		?>
		</div>
		<!-- END .tmeline-wrap -->
		<?php			
		} 
	}	
	wp_reset_query();	
}
add_action('page_custom_content', 'hb_timeline_content');
add_action ( 'page_custom_content' , 'hb_comment_section', get_the_ID() , 17, 0); 
?>
<?php get_header(); ?>
<?php get_footer(); ?>