<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */
?>
<?php

function hb_single_meta_before_content() { 
	global $data;
	while ( have_posts() ) : the_post();

	if ( post_password_required() ) return;
	if ( !is_user_logged_in() && get_post_meta( get_the_ID() , 'hb_post_login_required' , true ) ) {
		echo '<p>' . __('You must be logged in to view this page.' , 'hbthemes') . '</p>';
		include ( get_template_directory() . '/framework/includes/login-form.php'); 
		return;
	}
	?>
	<?php


	?>
	<!-- BEGIN .single-meta-title -->
	<div class="single-meta-title">
		<aside id="meta-<?php echo get_the_ID(); ?>" class="entry-meta">

		<?php hb_post_meta_details( get_the_ID(), $data['hb_post_meta_date'], $data['hb_post_meta_posted_by'], $data['hb_post_meta_categories'], $data['hb_post_meta_comments_num'], $data['hb_post_meta_views']);?>

		</aside>
	</div>
	<!-- END .single-meta-title -->
	
	<div class="clear"></div>
	
	<?php
	endwhile; 
}
add_action ( 'hb_after_title' , 'hb_single_meta_before_content', 10, 0 ); 

function hb_single_before_content() {
	global $data;
	while ( have_posts() ) : the_post();

	if ( post_password_required() ) return;
	if ( !is_user_logged_in() && get_post_meta( get_the_ID() , 'hb_post_login_required' , true ) ) {
		echo '<p>' . __('You must be logged in to view this page.' , 'hbthemes') . '</p>';
		include ( get_template_directory() . '/framework/includes/login-form.php'); 
		return;
	}
	?>
	<!-- BEGIN .page-content .entry -->
	<?php if ( get_post_meta (get_the_ID() , 'hb_enable_review' , true) ) { ?>
	<article <?php post_class('page-content entry clearfix'); ?> itemscope itemtype="http://schema.org/Review">
	<?php } else { ?>
	<article <?php post_class('page-content entry clearfix'); ?> itemscope itemtype="http://schema.org/Article">
	<?php } ?>
		
	<?php 
		$thumb = get_post_thumbnail_id();
		$img_url = wp_get_attachment_url( $thumb,'full'); //get img URL
		$image = hb_resize( $img_url, 1000, 666, true ); //resize & crop img

		$video_link = '';
		if ( has_post_format('video') ) 
			$video_link = get_post_meta ( get_the_ID() , 'hb_post_video_link' , true);

		$audio_link = '';
		if ( has_post_format('audio') )
			$audio_link = get_post_meta ( get_the_ID() , 'hb_post_audio_link' , true);
		
		if ( $audio_link ) {
				$audio_link = wp_oembed_get($audio_link);
			if ( strpos( $audio_link , 'show_artwork') ) {
				$audio_link = str_replace('show_artwork=true', 'show_artwork=false&show_comments=false&buying=false&download=false&show_playcount=false&single_active=false&sharing=false', $audio_link);                
			}
			$audio_link = substr_replace($audio_link, 'style="height:170px" ', strpos($audio_link, 'width="'), strpos($audio_link, ' scroll')-7);
		}

		$hide_featured = get_post_meta ( get_the_ID() , 'hb_hide_featured_image' , true );

				
		if ( $video_link )
			$video_link = wp_oembed_get($video_link);

		if ( $video_link && !$hide_featured ) { 
		?>
		<!-- BEGIN .single-post-thumb -->
		<div class="single-post-thumb fitVids">
			<?php echo $video_link; ?>
		</div>
		<!-- END .single-post-thumb -->

		<?php } else if ( $audio_link && !$hide_featured ) { ?> 
		<div class="single-post-thumb">
			<div class="fitVids audio-embed">
			<?php echo $audio_link; ?>
			</div>
		</div>
		<?php } else if ( $thumb && !$hide_featured ) { ?>
		<!-- BEGIN .single-post-thumb -->
		<div class="single-post-thumb">
			
			<img src="<?php echo $image; ?>" itemprop="image" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
			<?php 
			$att_img = get_post(get_post_thumbnail_id())->post_excerpt;
			if ($att_img ) { ?>
			<div class="post-thumb-description">
				<p><?php echo $att_img; ?></p>
			</div>
			<?php } ?>
		</div>
		<!-- END .single-post-thumb -->
		<?php } ?>
	<?php
	endwhile;
}
add_action ( 'page_custom_before_content' , 'hb_single_before_content', 12, 0 ); 


function hb_review_box() {
	while ( have_posts() ) : the_post(); 
		if ( post_password_required() ) return;
		if ( !is_user_logged_in() && get_post_meta( get_the_ID() , 'hb_post_login_required' , true ) ) return;

		if ( !get_post_meta (get_the_ID() , 'hb_enable_review' , true) ) return;

		$review_title = get_post_meta ( get_the_ID() , 'hb_review_title' , true); 
		$box_position = get_post_meta ( get_the_ID() , 'hb_review_position', true);		
		if ( $box_position == 'top_left' ) $box_position = ' floatleft';
		else if ( $box_position == 'top_right' ) $box_position = ' floatright'; 
		else $box_position = '';
		
		$review_cats = get_post_meta ( get_the_ID() , 'hb_post_review' , true );
		$final_review_comm = get_post_meta ( get_the_ID(), 'hb_final_review_comment', true);
		$final_review_comm_title = get_post_meta ( get_the_ID(), 'hb_final_review_comment_title', true);
		$final_review_mark = get_post_meta ( get_the_ID() , 'hb_final_review_value' , true);
		$final_review_mark_title = get_post_meta ( get_the_ID() , 'hb_final_review_mark_title' , true);
	?>
		<!-- BEGIN REVIEW BOX -->
		<div class="review-box<?php echo $box_position; ?>">
		
		<?php if ( $review_title ) { ?>
			<h3><?php echo $review_title; ?></h3>
			
			<?php if ( !empty ($review_cats ) ) { ?>
			<div class="reviews">
				<ul>
					<?php foreach ( $review_cats as $rev_cat ) { ?>
					<li>
						<span><?php echo $rev_cat['hb_review_title']; ?></span>
						<span class="omc-criteria-star-under">
							<span class="omc-criteria-star-top" style="width:<?php echo $rev_cat['hb_review_mark']; ?>%"></span>
						</span>
					</li>
					<?php } ?>
				</ul>
			</div>
			<?php } ?>
			
			<?php if ( $final_review_comm && $final_review_comm_title && $final_review_mark ) { ?>
				<div class="overall-review">
					<div class="inner-overall-review">
						<span class="title-review"><strong><?php echo $final_review_comm_title; ?></strong></span>
                        <p><?php echo $final_review_comm; ?></p>
					</div>
					
					<div class="overall-rating">
						<div class="overall-rating-inner">
							<span class="overall-rate"><?php echo $final_review_mark/20; ?></span>
							<span class="overall-rate-title"><?php echo $final_review_mark_title; ?></span>
							<span class="omc-criteria-star-under"><span class="omc-criteria-star-top" style="width:<?php echo $final_review_mark; ?>%"></span></span>
						</div>
					</div>
				</div>
			<?php } ?>
		<?php } ?>
		
		</div>

		<div id="schema_block" class="schema_review">
				<a class="schema_url" target="_blank" itemprop="url" href="<?php the_permalink(); ?>">
					<div class="schema_name" itemprop="name"><?php the_title(); ?></div>
				</a>
				<div class="schema_description" itemprop="description"><?php the_excerpt(); ?></div>
				<div class="schema_review_name" itemprop="itemReviewed" itemscope="" itemtype="http://schema.org/Thing"><span itemprop="name"><?php the_title(); ?></span></div>
				
				<a itemprop="author" href="<?php echo get_author_posts_url ( get_the_author_meta ('ID') ); ?>"><?php the_author_meta('display_name'); ?></a>

				<div class="pubdate">
					<meta itemprop="datePublished" content="<?php the_time('Y-m-d'); ?>">
				</div>
				
				<div class="schema_review_body" itemprop="reviewBody"><?php echo $final_review_comm; ?></div>
				<div itemprop="reviewRating" itemscope="" itemtype="http://schema.org/Rating">
					<meta itemprop="worstRating" content = "1"><meta itemprop="bestRating" content = "5"><meta itemprop="ratingValue" content = "<?php echo $final_review_mark/20; ?>">
				</div>
			<div class="entry-title"><?php the_title(); ?></div>
			<div class="updated"><?php the_modified_time(); ?></div>
			<div class="published"><?php the_date(); ?></div>
			<div class="author"><?php echo get_the_author(); ?></div>
		</div>


		
	<?php
	endwhile;
}
$box_position = get_post_meta ( get_the_ID() , 'hb_review_position', true);
if ( $box_position == 'bottom') {
	add_action ( 'page_custom_content' , 'hb_review_box' , 10, 0 ); 
} else if ( $box_position == 'top_left' || $box_position == 'top_right' ) 
	add_action ( 'page_custom_before_content' , 'hb_review_box', 13, 0 ); 

function hb_post_social_share() {
	global $data;
	$twitter_share = $data['hb_post_twitter_share'];
	$facebook_share = $data['hb_post_facebook_share'];
	$gplus_share = $data['hb_post_gplus_share'];
	$stumbleupon_share = $data['hb_post_stumbleupon_share'];
	$linkedin_share = $data['hb_post_linkedin_share'];
	$pinterest_share = $data['hb_post_pinterest_share'];

	if ( $twitter_share || $facebook_share || $gplus_share || $stumbleupon_share || $linkedin_share || $pinterest_share ) {
	while ( have_posts() ) : the_post();
	if ( post_password_required() ) return;
	if ( !is_user_logged_in() && get_post_meta( get_the_ID() , 'hb_post_login_required' , true ) ) return;
	?>
	<!-- BEGIN .share-this-story -->
	<div class="share-this-story clearfix">	
		<span class="arrow-up"></span>
		
		<!-- BEGIN .share-post -->
		<div class="share-post">
			<ul>
				<?php if ( $twitter_share ) { ?>
				<li>
					<a href="https://twitter.com/share" class="twitter-share-button" data-url="<?php the_permalink(); ?>" data-text="<?php the_title(); ?>" data-via="" data-lang="<?php echo get_locale(); ?>"><?php _e('tweet' , 'hbthemes'); ?></a> 
					
					<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
				</li>
				<?php } ?>
				
				<?php if ( $facebook_share ) { ?>
				<li>
					<iframe src="http://www.facebook.com/plugins/like.php?href=<?php the_permalink(); ?>&amp;layout=button_count&amp;show_faces=false&amp;width=105&amp;action=like&amp;colorscheme=light&amp;height=21" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:105px; height:21px;" allowTransparency="true"></iframe>
				</li>
				<?php } ?>
					
				<?php if ( $gplus_share ) { ?>
				<li style="width:80px;">
					<div class="g-plusone" data-size="medium" data-href="<?php the_permalink(); ?>"></div>
					
					<script type='text/javascript'>
					  (function() {
						var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
						po.src = 'https://apis.google.com/js/plusone.js';
						var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
					  })();
					</script>
				</li>
				<?php } ?>
				
				<?php if ( $stumbleupon_share ) { ?> 
				<li style="width:90px; margin-top:2px;"><su:badge layout="2"></su:badge>
					<script type="text/javascript">
						(function() {
							var li = document.createElement('script'); li.type = 'text/javascript'; li.async = true;
							li.src = ('https:' == document.location.protocol ? 'https:' : 'http:') + '//platform.stumbleupon.com/1/widgets.js';
							var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(li, s);
						})();
					</script>
				</li>
				<?php } ?>
				
				<?php if ( $linkedin_share ) { ?>
				<li style="width:80px;">
					<script src="http://platform.linkedin.com/in.js" type="text/javascript"></script>
					<script type="IN/Share" data-url="<?php the_permalink(); ?>" data-counter="right"></script>
				</li>
				<?php } ?>

				<?php if ( $pinterest_share ) { ?>
				<li>
					<script type="text/javascript" src="http://assets.pinterest.com/js/pinit.js"></script>
					<a href="http://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&amp;media=<?php echo $image; ?>" class="pin-it-button" count-layout="horizontal"><img border="0" src="http://assets.pinterest.com/images/PinExt.png" title="Pin It" /></a></li>
				<?php } ?>
			<ul>
			<div class="clear"></div>
		</div>
		<!-- END .share-post -->

	</div>
	<!-- END .share-this-story -->

	<?php
	endwhile;
	}
}
add_action ( 'page_custom_content' , 'hb_post_social_share' , 10 , 0); 


function hb_post_tags() {
	global $data;
	while ( have_posts() ) : the_post();
		if ( post_password_required() ) return;
		if ( !is_user_logged_in() && get_post_meta( get_the_ID() , 'hb_post_login_required' , true ) ) return;
		if ( has_tag() && $data['hb_post_meta_tags'] ) {
		?>
		<!-- BEGIN .post-tags -->
		<div class="post-tags clearfix">
			<?php the_tags( '<strong>' . __('Tagged :','hbthemes') . '</strong>' , ', ', '' ); ?> 
		</div>
		<!-- END .post-tags -->
		<?php
		}
	endwhile;
}
add_action ( 'page_custom_content' , 'hb_post_tags' , 11, 0); 

function hb_single_after_content() { 
	global $data;
	while ( have_posts() ) : the_post();
	if ( post_password_required() ) return;
	if ( !is_user_logged_in() && get_post_meta( get_the_ID() , 'hb_post_login_required' , true ) ) return;
	?>
	
	</article>
	<!-- END .page-content .entry -->
	
	<?php if ( $data['hb_post_prev_next'] ) { ?>
	<!-- START .post-navigation -->
	<div class="post-navigation clearfix">
		<?php if ( get_adjacent_post(false, '', true) ) { ?>
		<div class="post-previous">
			<span class="icon-double-angle-left icon-3x"></span>
			<span class="brnk">prev</span>
			<?php previous_post_link('%link'); ?>
		</div>
		<?php } ?>
		
		<?php if ( get_adjacent_post(false, '', false) ) { ?>
		<div class="post-next">
			<span class="brnk">next</span>
			<?php next_post_link('%link'); ?>
			<span class="icon-double-angle-right icon-3x"></span>
		</div>
		<?php } ?>
	</div>
	<!-- END .post-navigation -->
	
	<div class="spacer clearfix"></div>	
	<?php } ?>
	
	<?php
	endwhile;
}
add_action ( 'page_custom_content' , 'hb_single_after_content' , 13, 0); 


function hb_author_box() {
	global $data;
	if ( !$data['hb_post_author_box'] ) return;
	while ( have_posts() ) : the_post();
	if ( post_password_required() ) return;
	if ( !is_user_logged_in() && get_post_meta( get_the_ID() , 'hb_post_login_required' , true ) ) return;
	?>
	
	<!-- BEGIN .author-box -->
	<div class="author-box-content post-author clearfix">
		<a href="<?php echo get_author_posts_url ( get_the_author_meta ('ID') ); ?>" class="author-img-link" title="<?php _e('View articles' , 'hbthemes'); ?>"><?php echo get_avatar( get_the_author_meta('user_email' , get_the_author_meta ('ID')) , 96); ?></a>
		
		<!-- BEGIN .author-desc -->
		<div class="author-desc">
			<h3 class="author-title"><a href="<?php echo get_author_posts_url ( get_the_author_meta ('ID') ); ?>" class="fn url"><?php _e('About ', 'hbthemes'); the_author_meta ( 'display_name' , get_the_author_meta ('ID') ); ?></a><span class="user-posts"><?php echo '(' . count_user_posts ( get_the_author_meta ('ID') );
				if ( count_user_posts ( get_the_author_meta ('ID') ) > 1 || count_user_posts ( get_the_author_meta ('ID') ) == 0 )
					_e(' articles', 'hbthemes');
					else _e(' article', 'hbthemes'); 
					echo ')'; ?></span></h3>
			<div class="author-text">
				<?php the_author_meta ( 'user_description' , get_the_author_meta ('ID') ); ?>
			</div>
		</div>
		<!-- END .author-desc -->

		<?php $has_googleplus=""; ?>
		
		<?php $user_soc = hb_get_user_socials ( get_the_author_meta ('ID')); ?>
		<ul class="ssm">
			<?php foreach ( $user_soc as $soc => $soc_details ) { 
				if ( $soc_details['soc_link'] != '' ) { ?>
					<li class="<?php echo $soc; ?>" title="<?php echo $soc_details['soc_name']; ?>"><a href="<?php echo $soc_details['soc_link']; ?>"><?php echo $soc; ?></a></li>
				<?php }

				if ($soc == 'googleplus'){
					$has_googleplus = $soc_details['soc_link'];
				}
				} ?>
		</ul>

		<?php echo "<a href=\"" . $has_googleplus ."?rel=author\" class=\"hidden\"></a>"; ?>

	</div>
	<!-- END .author-box -->	
	<?php
	endwhile;
}
add_action ( 'page_custom_content' , 'hb_author_box' , 14, 0); 

function hb_related_posts() { 
	global $data;
	if ( !$data['hb_post_related'] ) return;

	while ( have_posts() ) : the_post();
		if ( post_password_required() ) return;
		if ( !is_user_logged_in() && get_post_meta( get_the_ID() , 'hb_post_login_required' , true ) ) return;

		$related_count = $data['hb_post_related_count'];

		if ( !$related_count ) $related_count = 4;
		$related_class = "col-4";
		if ( $related_count == 4 ) $related_class = "col-3"; 

		// Get related by tags
	  	$tags = wp_get_post_tags(get_the_ID());  
		if ($tags) { 
			$tag_ids = array();  
			foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;  
			$args = array(  
			    'tag__in' => $tag_ids,  
			    'post__not_in' => array(get_the_ID()),  
			    'posts_per_page'=>$related_count, // Number of related posts to display.  
			    'ignore_sticky_posts'=>1,
			    'orderby' => 'rand'
			    );  
		}

		//If set in post meta, choose these posts for related
		$post_related_posts = get_post_meta ( get_the_ID() , 'hb_related_posts' , true );
		if ( $post_related_posts ) {
			$related_post_ids = array();

			$post_related_posts = str_replace(" ", "", $post_related_posts);
			$post_related_posts = explode( "," , $post_related_posts );

			if ( !empty ( $post_related_posts ) )
				foreach ($post_related_posts as $related_post) {
					$post_object = get_posts('name=' . $related_post);
				    if ($post_object) {
				        $related_post_ids[] = $post_object[0]->ID;
				    }
				}
			$args = array(  
			    'post__in' => $related_post_ids,
			    'post__not_in' => array(get_the_ID()),  
			    'posts_per_page'=>$related_count, // Number of related posts to display.  
			    'ignore_sticky_posts'=>1,
			    'orderby' => 'rand'
			    );  
		}


		$related_query = new wp_query( $args ); 

		if ( $related_query->have_posts()) {
			?>
			<div class="page-title-box clearfix">
				<h2 class="page-title"><?php _e('Related Posts' , 'hbthemes'); ?></h2>
			</div>
			<div class="row related-posts">
				<?php
				while( $related_query->have_posts() ) {  
					$related_query->the_post();  
		   				
		   			$thumb = get_post_thumbnail_id();
					$img_url = wp_get_attachment_url( $thumb,'full'); //get img URL
					$image = hb_resize( $img_url, 350, 186, true ); //resize & crop img
						
					$video_link = '';
					if ( has_post_format('video') ) 
						$video_link = get_post_meta ( get_the_ID() , 'hb_post_video_link' , true);

					$audio_link = '';
					if ( has_post_format('audio') )
						$audio_link = get_post_meta ( get_the_ID() , 'hb_post_audio_link' , true);
						
					if ( $audio_link ) {
						$audio_link = wp_oembed_get($audio_link);
						if ( strpos( $audio_link , 'show_artwork') ) {
							$audio_link = str_replace('show_artwork=true', 'show_artwork=false&show_comments=false&buying=false&download=false&show_playcount=false&single_active=false&sharing=false', $audio_link);                
						}
						$audio_link = substr_replace($audio_link, 'style="height:170px" ', strpos($audio_link, 'width="'), strpos($audio_link, ' scroll')-7);
					}

								
					if ( $video_link )
						$video_link = wp_oembed_get($video_link);
		   				
		   			?>

		   			<div class="<?php echo $related_class; ?>">
						<?php if ( $video_link ) {
							echo '<div class="fitVids">' . $video_link . '</div>';
						} else if ( $audio_link ) { 
							echo '<div class="fitVids">' . $audio_link . '</div>';
						} else if ( $image ) { ?>
                    	   	<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><img src="<?php echo $image; ?>"/></a>
						<?php } ?>
                        	<h4>
                        		<a href="<?php the_permalink(); ?>" title="<?php _e('Permalink to ', 'hbthemes'); the_title(); ?>"><?php the_title(); ?></a>
                        	</h4>
                        <p class="post-meta"><span class="post-date"><?php  the_time( get_option('date_format') ); ?></span></p>
                    </div>

		   			<?php
		   		}
		   		wp_reset_query();
		   		?>
		   			
		   	</div>
		   	<?php
   		}
	endwhile;	
}
add_action ( 'page_custom_content' , 'hb_related_posts' , 15, 0); 
?>
<?php get_header(); ?>
<?php get_footer(); ?>