<?php
/*
		Plugin Name: WordPress Social Share Buttons
		Plugin URI: http://www.designchemical.com/blog/index.php/premium-wordpress-plugins/wordpress-social-share-buttons/
		Tags: facebook, twitter, google +1, linkedin, digg, pinterest, stumbleupon, buffer, xing, jquery, social share
		Description: Add social share buttons for facebook, twitter, google +1, linkedin, digg, pinterest, stumbleupon, buffer & xing social networks plus email and print buttons. Display using a floating panel, a toolbar or inline.
		Author: Lee Chestnutt
		Version: 1.1.3
		Author URI: http://www.designchemical.com/blog/
*/
global $wpdb;

require_once('inc/dcwp_admin.php');
require_once('inc/dcwp_functions.php');
require_once('inc/dcwp_shortcodes.php');

class dc_jqsocialbuttons {

	function __construct() {
	
		add_filter('init', array(&$this,'dcwsb_init'));
		add_action( 'wp_head', array('dc_jqsocialbuttons', 'header') );
		add_action( 'wp_footer', array('dc_jqsocialbuttons', 'footer') );
		
		// Add shortcodes
		add_shortcode('dcwsb', 'dcwsb_shortcode');
		add_shortcode('dcwsb_link', 'dcwsb_link_shortcode');
		
		// Scripts
		add_action("wp_enqueue_scripts",array(&$this,'add_dcwsb_styles'));
		add_action("wp_enqueue_scripts",array(&$this,'add_dcwsb_scripts'));

	}
	
	function add_dcwsb_styles() {

		if(get_dcwsb_default('skin') == 'true'){
			wp_enqueue_style( 'dcwsb', dc_jqsocialbuttons::get_plugin_directory() . '/css/dcwsb.css');
		}

	}

	function add_dcwsb_scripts() {

		wp_enqueue_script( 'jquery' );
		wp_enqueue_script( 'dcwsb', dc_jqsocialbuttons::get_plugin_directory() . '/js/jquery.social.share.2.3.min.js' );
	//	wp_enqueue_script( 'dcwsb', dc_jqsocialbuttons::get_plugin_directory() . '/js/jquery.social.share.2.3.min.js', '', '', true );

	}
		
	function dcwsb_init(){

		if(is_admin()) {

			$dc_jqsocialbuttons_admin = new dc_jqsocialbuttons_admin();
		}

	}
	
	/*
	 * Add custom CSS
	 */
	function header(){

		echo dcwsb_custom_css();
		
		return;
	}
	
	function footer(){
		
		$show = dcwsb_show();
		
		if($show == 1){
			echo do_shortcode('[dcwsb id="dc-social-share-auto"]');
		}
		
		return;
	}
	
	function get_plugin_directory(){
		return WP_PLUGIN_URL . '/wordpress-social-share-buttons';	
	}
}

// Initialize the plugin.
$dcjqsocialbuttons = new dc_jqsocialbuttons();

?>