<?php
require_once('dcwp_plugin_admin.php');

if(!class_exists('dc_jqsocialbuttons_admin')) {
	
	class dc_jqsocialbuttons_admin extends dcwp_plugin_admin_dcwsb {
	
		var $hook = 'social-share-buttons';
		var $longname = 'Social Share Buttons Configuration';
		var $shortname = 'Social Share Buttons';
		var $filename = 'wordpress-social-share-buttons/dcwp_social_share_buttons.php';
		var $imageurl = 'http://www.designchemical.com/media/images/wordpress_social_share_buttons.png';
		var $homepage = 'http://www.designchemical.com/blog/index.php/premium-wordpress-plugins/wordpress-social-share-buttons/';
		var $homeshort = 'http://bit.ly/RmvPzo';
		var $twitter = 'designchemical';
		var $title = 'Wordpress Premium Plugin Social Share Buttons';
		var $description = 'Add social share buttons for facebook, twitter, google +1, linkedin, digg, pinterest, stumbleupon, buffer & xing social networks plus email and print buttons';
		
		function __construct() {
		
			parent::__construct();
			add_action('admin_init', array(&$this,'settings_init'));
			add_action("admin_init",array(&$this,'add_dcwsb_option_styles'));
			add_action("admin_init",array(&$this,'add_dcwsb_option_scripts'));
			add_action('wp_ajax_dcwsb_update', array(&$this,'dcwsb_ajax_update'));
			
		}
		 
		function settings_init() {
		
			register_setting('dcwsb_options_group', 'dcwsb_options');
		}

		// AJAX updates for settings
		function dcwsb_ajax_update(){
		
			$option_name = $_POST['option_name'];
			$newvalue = $_POST['option_value'];
			
			if ( get_option( $option_name ) != $newvalue ) {
				update_option( $option_name, $newvalue );
			} else {
				$deprecated = ' ';
				$autoload = 'no';
				add_option( $option_name, $newvalue, $deprecated, $autoload );
			}
			
			if(isset($_POST['option_name1'])){
				$option_name1 = $_POST['option_name1'];
				$newvalue1 = $_POST['option_value1'];
				
				if ( get_option( $option_name1 ) != $newvalue1 ) {
					update_option( $option_name1, $newvalue1 );
				} else {
					$deprecated = ' ';
					$autoload = 'no';
					add_option( $option_name1, $newvalue1, $deprecated, $autoload );
				}
			}
			
			exit;
		}
		
		function option_page() {
			
			global $wpdb;
			$this->setup_admin_page('Social Share Buttons Settings','Social Buttons');
			
				//delete_option('dcwsb_options');
				settings_fields('dcwsb_options_group'); $options = get_option('dcwsb_options');
				$networks = dcwsb_networks('networks');
				$settings = dcwsb_networks('settings');
				$colors = dcwsb_default_pickers();
				
				$all_networks = '';
				$i = 0;
				foreach($networks as $k=>$v){
					$all_networks .= $i > 0 ? ',' : '' ;
					$all_networks .= $k;
					$i++;
				}
				
				if($options['dcwsb_order'] != ''){
				
					$dcwsb_order = $options['dcwsb_order'];
					
					// Check for new networks
					$check = explode(',', $all_networks);
					foreach($check as $function){
					
						if($function != '' && !strlen(strstr($dcwsb_order, $function))>0){
							
							$dcwsb_order .= ','.$function;
						}
					}
				} else {
					$dcwsb_order = $all_networks;
				}
				
				if(!isset($options['skin'])){
					$options['skin'] = 'true';
				}
				$skin = $options['skin'];
				$help = '<a href="#" class="dcwsb-help"><img src="'.dc_jqsocialbuttons::get_plugin_directory().'/images/help.png" alt="?" /></a>';
				$close = '<a href="#" class="dcwsb-close"><img src="'.dc_jqsocialbuttons::get_plugin_directory().'/images/close.png" alt="x" /></a>';
				$close_1 = '<img src="'.dc_jqsocialbuttons::get_plugin_directory().'/images/close_1.png" alt="?" />';
				$close_2 = '<img src="'.dc_jqsocialbuttons::get_plugin_directory().'/images/close_2_off.png" alt="?" class="img-swap" />';
				$load = '<img src="'.dc_jqsocialbuttons::get_plugin_directory().'/images/loading.gif" alt="Loading" />';
				
				foreach($settings as $k=>$v){
					if(!isset($options['settings'][$k])){
						$options['settings'][$k] = $v;
					}
				}
			?>
			<script type="text/javascript">
		(function($){
			var initLayout = function() {
			$('.color-selector').each(function(){
				var o = $(this);
				var c = $(this).next('.input-color');
				$(this).ColorPicker({
					color: c.val(),
					onShow: function (colpkr) {
						$(colpkr).fadeIn(500);
						return false;
					},
					onHide: function (colpkr) {
						var hx = $('.colorpicker_hex input',colpkr).val();
						var id = o.attr('id');
						$('#'+id+'_input').val('#'+hx);
						$(colpkr).fadeOut(500);
						return false;
					},
					onChange: function (hsb, hex, rgb) {
						$('div',o).css('backgroundColor', '#' + hex);
					}
				});
			});
		};
	
		EYE.register(initLayout, 'init');
})(jQuery)
		</script>
			<p style="padding:10px 15px;">Click the "On" switch to include the social share button. Drag/drop the button panels to change the display order<?php echo $help; ?></p>
			
			<div class="dcwsb-help-text">
				<h3>Help<?php echo $close; ?></h3>
				<h4>Share Buttons</h4>
				<p>This section allows you to select the share buttons that you want to include. To add a social share button set the "On/Off" switch to "on".</p>
				<h4>Change Display Order</h4>
				<p>The social share buttons will be displayed in the same order that the buttons appear below. To change the order drag/drop the relevant button to its new position</p>
				<p>Note: make sure that the "save changes" buttons is clicked whenever updates are made.</p>
			</div>
			<div>
			</div>
			<ul class="dcwsb-plugin" id="dcwsb-sortable">
			<?php
					$functions = explode( ',', $dcwsb_order );
	
					foreach($functions as $function) {
		
						if($function != '' && $function != 'delicious'){
							?>
								<li rel="<?php echo $function; ?>">
									<?php
										if(!isset($options[$function])){
											$options[$function] = 'true';
										}
											$val = $options[$function] != '' ? $options[$function] : 'true' ;
									?>
									<div class="dcwsb-switch-link">
										<a href="#" rel="true" class="link-true <?php echo $val == 'true' ? 'active' : '' ; ?>"></a>
										<a href="#" rel="false" class="link-false <?php echo $val == 'false' ? 'active' : '' ; ?>"></a>
									</div>
									<input id="dcwsb_<?php echo $function; ?>" name="dcwsb_options[<?php echo $function; ?>]" class="dc-switch-value" type="hidden" value="<?php echo $val; ?>" />
									<h4><?php echo $function; ?></h4>
									
									<?php
							
										$f_name = 'dcwsb_options_'.$function;
										$this->$f_name();
										
									?>
									
								</li>
							<?php
						}
					}
	
				  ?>
			</ul>
			
			<input type="hidden" value="<?php echo $dcwsb_order; ?>" name="dcwsb_options[dcwsb_order]" id="dcwsb-order" />
			
			<div class="clear"></div>
			</div></div></div></div>
			
			<div class="submit-container">
				<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
				
			</div>
			
			<!-- Start Settings -->
			<div class="metabox-holder">
				  <div class="meta-box-sortables min-low">
				    <div class="postbox dcwp">
					  <h3 class="hndle"><span>Settings</span><?php echo $help; ?></h3>
					  <div class="inside">
					  <div class="dcwsb-help-text">
						<h3>Help<?php echo $close; ?></h3>
						<h4>Settings</h4>
						<p>The settings section allows you to configure the features of the social share buttons:</p>
						<ul>
							<li class="clear"><label>Size:</label> Select whether to show a vertical button with count, horizontal button with count or a button with no count.</li>
							<li class="clear"><label>Print Text:</label> The text to show for the print button.</li>
							<li><label>Email Text:</label>The text to show for the email button.</li>
							<li class="clear"><label>Twitter ID:</label> Enter your twitter ID - this will be added to any tweets.</li>
							<li><label>Email Address:</label> The email address to use for the email button.</li>
							<li class="clear"><label>Style:</label> Select either a floating panel or a toolbar.</li>
							<li class="clear"><label>Location:</label> Location of button panel - top/bottom + number of pixels from top/bottom of browser.</li>
							<li><label>Alignment:</label> Alignment of button panel - left/right of browser window + number of pixels from left/right of browser.</li>
							<li class="clear"><label>Center:</label> If set to zero the buttons will be positioned from the edge of the browser using the location/alignment values. If greater than zero then positioning will be based on the number of pixels from the center of the browser - use this option to prevent the button panel covering the page content in smaller browsers.</li>
							<li><label>Floating Speed:</label> Speed in milliseconds of floating animation.</li>
							<li class="clear"><label>Animation Speed:</label> Speed in milliseconds of panel opening/closing.</li>
							<li class="clear"><label>Load Open:</label> Set to "off" to keep panel closed on page load.</li>
							<li><label>Auto Close:</label>When set to "on" the button panel will automatically close if the user clicks anywhere outside of the panel.</li>
							<li><label>Floating:</label> Set to "off" to disable floating animation.</li>
						</ul>
						<div class="clear"></div>
					</div>

				<ul class="list-styles half list-switches">
					<li>
						<label>Size:</label>
						<?php $val = $options['settings']['size'] != '' ? $options['settings']['size'] : 'vertical' ; ?>
						<select name="dcwsb_options[settings][size]" id="dcwsb_setting_size" class="select">
							<option value="vertical" <?php if ($val == 'vertical') { echo 'selected="selected"'; }?>>Vertical + Count</option>
							<option value="horizontal" <?php if ($val == 'horizontal') { echo 'selected="selected"'; }?>>Horizontal + Count</option>
							<option value="none" <?php if ($val == 'none') { echo 'selected="selected"'; }?>>Horizontal (no count)</option>
						</select>
				  </li>
				  <li>
					<label>Print Text:</label>
					<?php $val = $options['settings']['txtPrint'] != '' ? $options['settings']['txtPrint'] : 'Print' ; ?>
					<input id="dcwsb_setting_txtPrint" name="dcwsb_options[settings][txtPrint]" class="text-input" type="text" value="<?php echo $val; ?>" />
				  </li>
				  <li>
					<label>Email Text:</label>
					<?php $val = $options['settings']['txtEmail'] != '' ? $options['settings']['txtEmail'] : 'Email' ; ?>
					<input id="dcwsb_setting_txtEmail" name="dcwsb_options[settings][txtEmail]" class="text-input" type="text" value="<?php echo $val; ?>" />
				  </li>
				  <li>
					<label>Email Address:</label>
					<?php $val = $options['settings']['email'] != '' ? $options['settings']['email'] : '' ; ?>
					<input id="dcwsb_setting_email" name="dcwsb_options[settings][email]" class="text-input" type="text" value="<?php echo $val; ?>" />
				  </li>
				  <li>
					<label>Twitter ID:</label>
					<?php $val = $options['settings']['twitterId'] != '' ? $options['settings']['twitterId'] : '' ; ?>
					<input id="dcwsb_setting_twitterId" name="dcwsb_options[settings][twitterId]" class="text-input" type="text" value="<?php echo $val; ?>" />
				  </li>
				  
					
				</ul>
				
				<ul class="list-styles half list-switches">
					<li>
						<label>Style:</label>
						<?php $val = $options['settings']['style'] != '' ? $options['settings']['style'] : 'floating' ; ?>
						<select name="dcwsb_options[settings][style]" id="dcwsb_setting_style" class="select">
							<option value="floating" <?php if ($val == 'floating') { echo 'selected="selected"'; }?>>Floating Panel</option>
							<option value="toolbar" <?php if ($val == 'toolbar') { echo 'selected="selected"'; }?>>Toolbar</option>
						</select>
				  </li>
					<li>
						<label>Location:</label>
						<?php $val = $options['settings']['location'] != '' ? $options['settings']['location'] : 'top' ; ?>
						<select name="dcwsb_options[settings][location]" id="dcwsb_setting_location" class="select">
							<option value="top" <?php if ($val == 'top') { echo 'selected="selected"'; }?>>Top</option>
							<option value="bottom" <?php if ($val == 'bottom') { echo 'selected="selected"'; }?>>Bottom</option>
						</select>
						
						<?php $val = $options['settings']['offsetLocation'] != '' ? $options['settings']['offsetLocation'] : 20 ; ?>
						<input id="dcwsb_setting_offsetLocation" name="dcwsb_options[settings][offsetLocation]" class="text-input" type="text" value="<?php echo $val; ?>" /> px
				  </li>
				  <li>
						<label>Alignment:</label>
						<?php $val = $options['settings']['align'] != '' ? $options['settings']['align'] : 'left' ; ?>
						<select name="dcwsb_options[settings][align]" id="dcwsb_setting_align" class="select">
							<option value="left" <?php if ($val == 'left') { echo 'selected="selected"'; }?>>Left</option>
							<option value="right" <?php if ($val == 'right') { echo 'selected="selected"'; }?>>Right</option>
						</select>
						
						<?php $val = $options['settings']['offsetAlign'] != '' ? $options['settings']['offsetAlign'] : 20 ; ?>
						<input id="dcwsb_setting_offsetAlign" name="dcwsb_options[settings][offsetAlign]" class="text-input" type="text" value="<?php echo $val; ?>" /> px
				  </li>
				  <li>
					<label>Center:</label>
					<?php $val = $options['settings']['center'] != '' ? $options['settings']['center'] : 0 ; ?>
					<input id="dcwsb_setting_center" name="dcwsb_options[settings][center]" class="text-input" type="text" value="<?php echo $val; ?>" />
				  </li>
					<li>
					<label>Float Speed:</label>
					<?php $val = $options['settings']['speedFloat'] != '' ? $options['settings']['speedFloat'] : 1500 ; ?>
					<input id="dcwsb_setting_speedFloat" name="dcwsb_options[settings][speedFloat]" class="text-input" type="text" value="<?php echo $val; ?>" />
				  </li>
				  <li>
					<label>Animation Speed:</label>
					<?php $val = $options['settings']['speed'] != '' ? $options['settings']['speed'] : 600 ; ?>
					<input id="dcwsb_setting_speed" name="dcwsb_options[settings][speed]" class="text-input" type="text" value="<?php echo $val; ?>" />
				  </li>
				  <li>
					<label>Load Open:</label>
					<?php
						$val = $options['settings']['loadOpen'] != '' ? $options['settings']['loadOpen'] : 'true' ;
					?>
					<div class="dcwsb-switch-link">
						<a href="#" rel="true" class="link-true <?php echo $val == 'true' ? 'active' : '' ; ?>"></a>
						<a href="#" rel="false" class="link-false <?php echo $val == 'false' ? 'active' : '' ; ?>"></a>
					</div>
					<input id="dcwsb_setting_loadOpen" name="dcwsb_options[settings][loadOpen]" class="dc-switch-value" type="hidden" value="<?php echo $val; ?>" />
				  </li>
				  <li>
					<label>Auto Close:</label>
					<?php
						$val = $options['settings']['autoClose'] != '' ? $options['settings']['autoClose'] : 'false' ;
					?>
					<div class="dcwsb-switch-link">
						<a href="#" rel="true" class="link-true <?php echo $val == 'true' ? 'active' : '' ; ?>"></a>
						<a href="#" rel="false" class="link-false <?php echo $val == 'false' ? 'active' : '' ; ?>"></a>
					</div>
					<input id="dcwsb_setting_autoClose" name="dcwsb_options[settings][autoClose]" class="dc-switch-value" type="hidden" value="<?php echo $val; ?>" />
				  </li>
				  <li>
					<label>Floating:</label>
					<?php
						$val = $options['settings']['floater'] != '' ? $options['settings']['floater'] : 'false' ;
					?>
					<div class="dcwsb-switch-link">
						<a href="#" rel="true" class="link-true <?php echo $val == 'true' ? 'active' : '' ; ?>"></a>
						<a href="#" rel="false" class="link-false <?php echo $val == 'false' ? 'active' : '' ; ?>"></a>
					</div>
					<input id="dcwsb_setting_floater" name="dcwsb_options[settings][floater]" class="dc-switch-value" type="hidden" value="<?php echo $val; ?>" />
				  </li>
				</ul>
				<div class="clear"></div>
			</div></div></div></div>
			
			<div class="submit-container">
				<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
				
			</div>
		
			<?php 
				// styling
				$skin = $options['skin'] != '' ? $options['skin'] : 'true' ;
				$def_color = dcwsb_default_pickers(); 
			?>
					  
			<div class="metabox-holder">
				  <div class="meta-box-sortables">
				    <div class="postbox dcwp">
					  <h3 class="hndle"><span>Styling</span><?php echo $help; ?></h3>
					  <div class="inside">
					  <div class="dcwsb-help-text">
						<h3>Help<?php echo $close; ?></h3>
						<h4>Default Skin</h4>
						<p>Switch the default skin option to "Off" to stop the loading of the default CSS file.</p>
						<h4>Panel Styles</h4>
						<p>Background - To change the default background color of the button panel click on the colored box - a colorpicker should now appear. Select the new color and then click elsewhere on the screen to close the colorpicker widget. The colored box should now be updated using the new color.</p>
						<p>Panel Width - Enter a value in pixels or % for the button panel width - e.g. for standard floating panels use "60px".</p>
						<h4>Custom CSS</h4>
						<p>Custom CSS for styling the social share buttons can be entered into the text field. Any CSS rules included in this text area will automatically be inserted into the page.</p>
					</div>

				<ul class="margin-bottom float-left">
					<li>
					  <label for="dcwsb_skin">Default Skin:</label>
					  <div class="dcwsb-switch-link link-skin">
						<a href="#" rel="true" class="link-true <?php echo $skin == 'true' ? 'active' : '' ; ?>"></a>
						<a href="#" rel="false" class="link-false <?php echo $skin == 'false' ? 'active' : '' ; ?>"></a>
						</div>
						<input id="dcwsb_skin" name="dcwsb_options[skin]" class="dc-switch-value" type="hidden" value="<?php echo $skin; ?>" />
					</li>
				</ul>
				
				<div class="default-styles <?php echo $skin; ?>">
					
					<h4>Panel Styles</h4>
					<ul class="list-styles dcwsb-list-picker">
						<?php 
							if(!isset($options['color_dcssb_content'])){
								$options['color_dcssb_content'] = '#fff';
							}
							$c = $options['color_dcssb_content'] != '' ? $options['color_dcssb_content'] : '#fff'; 
						?>
						<li><div id="picker_tab" class="color-selector"><div style="background-color: <?php echo $c; ?>;"></div></div>
							<span>Background</span>
							<input class="input-color" name="dcwsb_options[color_dcssb_content]" id="picker_tab_input" type="hidden" value="<?php echo $c; ?>" />
						</li>
						<?php 
							if(!isset($options['width_dcssb_content'])){
								$options['width_dcssb_content'] = '60px';
							}
							$c = $options['width_dcssb_content'] != '' ? $options['width_dcssb_content'] : '60px'; 
						?>
						<li>
							
							<input name="dcwsb_options[width_dcssb_content]" id="width_dcssb_content" type="text" value="<?php echo $c; ?>" /> Panel Width
						</li>
					</ul>
				</div>
				<ul class="clear">
					<li>
						<?php
							if(!isset($options['css'])){
								$options['css'] = '';
							}
						?>
						<label for="dcwsb_css">Custom CSS:</label>
						<textarea class="dcwp-textarea" name="dcwsb_options[css]" id="dcwsb_css" rows="5"><?php echo $options['css']; ?></textarea>
					</li>
				</ul>
			</div></div></div></div>
			
			<div class="submit-container">
				<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
			</div>
			
			<div class="metabox-holder">
				  <div class="meta-box-sortables min-low">
				    <div class="postbox dcwp">
					  <h3 class="hndle"><span>Display</span><?php echo $help; ?></h3>
					  <div class="inside">
					  <div class="dcwsb-help-text">
						<h3>Help<?php echo $close; ?></h3>
						<p>The "Display" section allows you to quickly and easily add the social share buttons to various areas of your website.</p>
						<p>Note: Using these settings will add the button code to the page footer and should therefore only be used when creating a floating panel or a toolbar. To use inline buttons use the shortcode (see documentation). If using a shortcode please disable any relevant display sections to prevent problems with conflicting buttons.</p>
						<ul>
							<li><strong>Home Page</strong>Add to your home page - only relevant if your home page has been set up in WordPress as a static page, otherwise use the "Posts Page" option.</li>
							<li><strong>Pages</strong>

				Add the social share buttons to all pages.</li>
				<li><strong>Posts Page</strong>

				Adds the social share buttons to your posts page.</li>
				<li><strong>Category Pages</strong>

				Add the social share buttons to category pages.</li>
				<li><strong>Posts</strong>

				Add the social share buttons to all individual post pages.</li>
				<li><strong>Archive Pages</strong>

				Add the social share buttons to archive pages.</li>
						</ul>
					</div>
					<p>Select the areas where you wish the social share buttons to appear:</p>
					<ul class="list-styles list-switches">
			<?php 
			
				$content = Array();
				$content = Array('Home Page' => 'show_home', 'Pages' => 'show_page', 'Posts Page' => 'show_blog', 'Category Pages' => 'show_category', 'Posts' => 'show_post', 'Archive Pages' => 'show_archive');
				
				foreach($content as $type => $v) {
		
						if($type != ''){
							?>
								<li rel="<?php echo $v; ?>">
									<label><?php echo $type; ?>:</label>
									<?php 
										if(!isset($options[$v])){
											$options[$v] = 'false';
										}
										$val = $options[$v] != '' ? $options[$v] : 'false' ; 
									?>
									
									<div class="dcwsb-switch-link dcwsb-types-link">
										<a href="#" rel="true" class="link-true <?php echo $val == 'true' ? 'active' : '' ; ?>"></a>
										<a href="#" rel="false" class="link-false <?php echo $val == 'false' ? 'active' : '' ; ?>"></a>
									</div>
									<input id="dcwsb_<?php echo $type; ?>" name="dcwsb_options[<?php echo $v; ?>]" class="dc-switch-value" type="hidden" value="<?php echo $val; ?>" rel="<?php echo $v; ?>" />
									
								</li>
							<?php
						}
				}
			?> 
			
			</ul>

			<?php 
				
				$this->close_admin_page();
		}
		
		function add_dcwsb_option_styles() {

			wp_enqueue_style("dcwsb_option_css", dc_jqsocialbuttons::get_plugin_directory(). "/css/colorpicker.css");
		}

		function add_dcwsb_option_scripts() {
			
			wp_enqueue_script('jquery-ui-core');
			wp_enqueue_script('jquery-ui-sortable');
			wp_enqueue_script('dcwsb_option_eye', dc_jqsocialbuttons::get_plugin_directory(). '/inc/js/eye.js');
			wp_enqueue_script('dcwsb_option_colorpicker', dc_jqsocialbuttons::get_plugin_directory(). '/inc/js/colorpicker.js');
			
		}
		
		function dcwsb_options_twitter(){
			
			?>
				<span class="dcwsb-button size_twitter vertical">
							  <a href="http://twitter.com/share" data-url="<?php echo $this->homeshort; ?>" data-counturl="<?php echo $this->homepage; ?>" data-text="<?php echo $this->title; ?>" class="twitter-share-button" data-count="vertical" data-via="<?php echo $this->twitter; ?>"></a>
							</span>
							
							<span class="dcwsb-button size_twitter horizontal">
							  <a href="http://twitter.com/share" data-url="<?php echo $this->homeshort; ?>" data-counturl="<?php echo $this->homepage; ?>" data-text="<?php echo $this->title; ?>" class="twitter-share-button" data-count="horizontal" data-via="<?php echo $this->twitter; ?>"></a>
							</span>
							
							<span class="dcwsb-button size_twitter none">
							  <a href="http://twitter.com/share" data-url="<?php echo $this->homeshort; ?>" data-counturl="<?php echo $this->homepage; ?>" data-text="<?php echo $this->title; ?>" class="twitter-share-button" data-count="none" data-via="<?php echo $this->twitter; ?>"></a>
							</span>
			<?php
		}
		
		function dcwsb_options_facebook(){
		
			?>
				<span class="dcwsb-button size_facebook none">
							  <iframe src="http://www.facebook.com/plugins/like.php?href=<?php echo urlencode($this->homepage); ?>&amp;send=false&amp;layout=standard&amp;width=50&amp;show_faces=false&amp;action=like&amp;colorscheme=light&amp;font&amp;height=24" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:50px; height:24px;" allowTransparency="true"></iframe>
							</span>
							
							<span class="dcwsb-button size_facebook vertical">
							  <iframe src="http://www.facebook.com/plugins/like.php?href=<?php echo urlencode($this->homepage); ?>&amp;send=false&amp;layout=box_count&amp;width=48&amp;show_faces=false&amp;action=like&amp;colorscheme=light&amp;font&amp;height=60" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:48px; height:62px;" allowTransparency="true"></iframe>
							</span>
							
							<span class="dcwsb-button size_facebook horizontal">
							  <iframe src="http://www.facebook.com/plugins/like.php?href=<?php echo urlencode($this->homepage); ?>&amp;send=false&amp;layout=button_count&amp;width=80&amp;show_faces=false&amp;action=like&amp;colorscheme=light&amp;font&amp;height=24" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:80px; height:24px;" allowTransparency="true"></iframe>
							</span>
							
			<?php
		}
		
		function dcwsb_options_google(){
		
			?>
				<span class="dcwsb-button size_google none">
							  <g:plusone size="medium" href="<?php echo $this->homepage; ?>" count="false"></g:plusone>
							</span>
							
							<span class="dcwsb-button size_google horizontal">
							  <g:plusone size="medium" href="<?php echo $this->homepage; ?>" count="true"></g:plusone>
							</span>
	
							<span class="dcwsb-button size_google vertical">
							  <g:plusone size="tall" href="<?php echo $this->homepage; ?>" count="true"></g:plusone>
							</span>
			<?php
		}
		
		function dcwsb_options_linkedin(){
		
			?>
				
				<span class="dcwsb-button size_linkedin horizontal">
							  <script type="in/share" data-url="<?php echo $this->homepage; ?>" data-counter="right"></script>
							</span>
							
							<span class="dcwsb-button size_linkedin vertical">
							  </script><script type="in/share" data-url="<?php echo $this->homepage; ?>" data-counter="top"></script>
							</span>
							
							<span class="dcwsb-button size_linkedin none">
							  <script type="in/share" data-url="<?php echo $this->homepage; ?>" data-counter="none"></script>
							</span>
							
			<?php
		}
		
		function dcwsb_options_stumbleupon(){
		
			?>
			
				<span class="dcwsb-button size_stumble none">
							  <iframe src="http://www.stumbleupon.com/badge/embed/4/?url=<?php echo urlencode($this->homepage); ?>" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:50px; height: 30px;" allowTransparency="true"></iframe>
							</span>
							
							<span class="dcwsb-button size_stumble horizontal">
							  <iframe src="http://www.stumbleupon.com/badge/embed/1/?url=<?php echo urlencode($this->homepage); ?>" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:80px; height: 30px;" allowTransparency="true"></iframe>
							</span>
							
							<span class="dcwsb-button size_stumble vertical">
							  <iframe src="http://www.stumbleupon.com/badge/embed/5/?url=<?php echo urlencode($this->homepage); ?>" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:50px; height: 60px;" allowTransparency="true"></iframe>
							</span>
							
			<?php
		}
		
		function dcwsb_options_digg(){
		
			?>
			
				<span class="dcwsb-button size_digg vertical">
							  <a href="http://digg.com/submit?url=<?php echo urlencode($this->homepage); ?>&amp;title=<?php echo urlencode($this->title); ?>" class="DiggThisButton DiggMedium"><span style="display: none;"><?php echo $this->description; ?></span></a>
							</span>
							
							<span class="dcwsb-button size_digg horizontal">
							  <a href="http://digg.com/submit?url=<?php echo urlencode($this->homepage); ?>&amp;title=<?php echo urlencode($this->title); ?>" class="DiggThisButton DiggCompact"><span style="display: none;"><?php echo $this->description; ?></span></a>
							</span>
							
							<span class="dcwsb-button size_digg none">
							  <a href="http://digg.com/submit?url=<?php echo urlencode($this->homepage); ?>&amp;title=<?php echo urlencode($this->title); ?>" class="DiggThisButton DiggIcon"><span style="display: none;"><?php echo $this->description; ?></span></a>
							</span>
							
			<?php
		}
		function dcwsb_options_delicious(){
		
			?>
			
				<span class="dcwsb-button size_delicious none horizontal"><a class="delicious-button" href="http://delicious.com/save">
 <!-- {
 url:"<?php echo $this->homepage; ?>"
 ,title:"<?php echo $this->title; ?>"
 ,button:"wide"
 } -->
 Save on Delicious
</a>
							</span>
							
							<span class="dcwsb-button size_delicious vertical"><a class="delicious-button" href="http://delicious.com/save">
 <!-- {
 url:"<?php echo $this->homepage; ?>"
 ,title:"<?php echo $this->title; ?>"
 ,button:"tall"
 } -->
 Save on Delicious
</a>
							</span>
							
			<?php
		}
		
		function dcwsb_options_pinterest(){
		
			?>
			
				<span class="dcwsb-button size_pinterest horizontal">
							  <a href="http://pinterest.com/pin/create/button/?url=<?php echo urlencode($this->homepage); ?>&media=<?php echo urlencode($this->imageurl); ?>&description=<?php echo urlencode($this->description); ?>" class="pin-it-button" count-layout="horizontal">Pin It</a>
							</span>
							
							<span class="dcwsb-button size_pinterest vertical">
							  <a href="http://pinterest.com/pin/create/button/?url=<?php echo urlencode($this->homepage); ?>&media=<?php echo urlencode($this->imageurl); ?>&description=<?php echo urlencode($this->description); ?>" class="pin-it-button" count-layout="vertical">Pin It</a>
							</span>
							
							<span class="dcwsb-button size_pinterest none">
							  <a href="http://pinterest.com/pin/create/button/?url=<?php echo urlencode($this->homepage); ?>&media=<?php echo urlencode($this->imageurl); ?>&description=<?php echo urlencode($this->description); ?>" class="pin-it-button" count-layout="none">Pin It</a>
							</span>
							
			<?php
		}
		
		function dcwsb_options_buffer(){
			
			?>
			
				<span class="dcwsb-button size_buffer vertical">
							  <a href="http://bufferapp.com/add" data-url="<?php echo $this->homepage; ?>" data-text="<?php echo $this->title; ?>" class="buffer-add-button" data-count="vertical" data-via="<?php echo $this->twitter; ?>">Buffer</a><script type="text/javascript" src="http://static.bufferapp.com/js/button.js"></script>
							</span>
							
							<span class="dcwsb-button size_buffer horizontal">
							  <a href="http://bufferapp.com/add" data-url="<?php echo $this->homeshort; ?>" data-text="<?php echo $this->title; ?>" class="buffer-add-button" data-count="horizontal" data-via="<?php echo $this->twitter; ?>">Buffer</a><script type="text/javascript" src="http://static.bufferapp.com/js/button.js"></script>
							</span>
							
							<span class="dcwsb-button size_buffer none">
							  <a href="http://bufferapp.com/add" data-url="<?php echo $this->homeshort; ?>" data-text="<?php echo $this->title; ?>" class="buffer-add-button" data-count="none" data-via="<?php echo $this->twitter; ?>">Buffer</a><script type="text/javascript" src="http://static.bufferapp.com/js/button.js"></script>
							</span>
							
			<?php
		}
		
		function dcwsb_options_xing(){
		
			?>
				<span class="dcwsb-button size_xing vertical">
					<script data-url="<?php echo $this->homepage; ?>" data-lang="en" data-counter="top" type="XING/Share"></script>
				</span>
				
				<span class="dcwsb-button size_xing horizontal">
					<script data-url="<?php echo $this->homepage; ?>" data-lang="en" data-counter="right" type="XING/Share"></script>
				</span>
				
				<span class="dcwsb-button size_xing none">
					<script data-url="<?php echo $this->homepage; ?>" data-lang="en" data-counter="no_count" type="XING/Share"></script>
				</span>

			<?php
		}
		
		function dcwsb_options_email(){
			
			?>
		
				<span class="dcwsb-button size_email vertical horizontal none">
					<a href="#" class="link-email"><span class="icon"></span>Email</a>
				</span>
			
			<?php
			
		}
		
		function dcwsb_options_print(){
		
			?>
		
				<span class="dcwsb-button size_print vertical horizontal none">
					<a href="#" class="link-print"><span class="icon"></span>Print</a>
				</span>
			
			<?php
			
		}
	}
}