<?php

function dcwsb_networks($a)
{

	$networks = Array();
	$networks = Array('twitter' => 'Twitter', 'facebook' => 'Facebook','google' => 'Google +1','linkedin' => 'LinkedIn','digg' => 'Digg','pinterest' => 'Pinterest','stumbleupon' => 'Stumbleupon','buffer' => 'Buffer','xing' => 'Xing','print' => 'Print','email' => 'Email');
	
	$settings = Array();
	$settings = Array(
		'style' => 'floating',
		'buttons' => 'twitter,facebook,plusone,linkedin,digg,stumbleupon,pinterest,xing,buffer,print,email',
		'size' => 'vertical',
		'txtPrint' => 'Print',
		'txtEmail' => 'Email',
		'twitterId' => '',
		'email' => '',
		'url' => '',
		'title' => '',
		'description' => '',
		'location' => 'top',
		'align' => 'left',
		'offsetLocation' => 20,
		'offsetAlign' => 20,
		'center' => 0,
		'speedFloat' => 1500,
		'speed' => 600,
		'floater' => 'false',
		'autoClose' => 'false',
		'loadOpen' => 'true',
		'easing' => 'easeOutQuint',
		'classOpen' => 'dcwsb-open',
		'classClose' => 'dcwsb-close',
		'classToggle' => 'dcwsb-toggle');

	if($a == 'networks'){
		return $networks;
	} else if($a == 'settings'){
		return $settings;
	}
}

function dcwsb_default_pickers()
{
	$out = Array('dcssb_content' => '#fff');
	return $out;
}

function dcwsb_custom_css()
{

	$options = get_option('dcwsb_options');
	$out = '';

	// panel background
	$c = $options['color_dcssb_content'] != '' ? $options['color_dcssb_content'] : '#fff';
	$out .= '.dcssb-float {background:'.$c.';}';
	// panel width
	$c = $options['width_dcssb_content'] != '' ? $options['width_dcssb_content'] : '60px';
	$out .= '.dcssb-float.dcwsb-toolbar .dcssb-content, .dcssb-float.dcwsb-floating .dcssb-content {width:'.$c.';}';
		
	// custom css
	$out .= $options['css'] != '' ? $options['css'] . "\n" : '' ;

	// Output styles
	if ($out != '') {
			$out = $out != '' ? "<!-- Custom Styling Social Share Buttons -->\n<style type=\"text/css\">\n" . $out . "</style>\n" : '' ;
	}
		
	return $out;
}

function get_dcwsb_default($option)
{
	$options = get_option('dcwsb_options');
	return $options[$option];
}

function dcwsb_switch($v, $name, $id = null)
{
	$out = '<div class="dcwsb-switch-link">';
	$out .= '<a href="#" rel="true" class="link-true ';
	$out .= $v == 'true' ? 'active' : '' ;
	$out .= '"></a>';
	$out .= '<a href="#" rel="false" class="link-false ';
	$out .= $v == 'false' ? 'active' : '' ;
	$out .= '"></a></div>';
	$out .= '<input id="'.$id.'" name="'.$name.'" class="dc-switch-value" type="hidden" value="'.$v.'" />';
	
	return $out;
}

function dcwsb_select($f, $k, $v, $o)
{
	
	$out = '<select name="dcwsb_options['.$f.']['.$k.']" id="dcwsb_'.$f.'_'.$k.'" class="select">';
	
	foreach($o as $opt => $name){
		$select = $v == $opt ? ' selected="selected"' : '' ;
		$out .= '<option value="'.$opt.'"'.$select.'>'.$name.'</option>';
	}
	$out .= '</select>';
	
	return $out;
}

function dcwsb_show()
{
	global $post;
	$options = get_option('dcwsb_options');
	$meta = get_post_meta($post->ID, 'dcwsb', true);
	$show = '0';
	
	if($meta)
	{
		if($meta == 'true'){
			$show = 1;
		} else if($meta == 'false'){
			$show = 0;
		}
	}
	else
	{
		if(is_single()){
			$show = $options['show_post'] == 'true' ? 1 : 0;
		}
		if(is_page()){
			$show = $options['show_page'] == 'true' ? 1 : 0;
		}
		if(is_front_page()){
			$show = $options['show_home'] == 'true' ? 1 : 0;
		}
		if(is_home()){
			$show = $options['show_blog'] == 'true' ? 1 : 0;
		}
		if(is_category()){
			$show = $options['show_category'] == 'true' ? 1 : 0;
		}
		if(is_archive()){
			$show = $options['show_archive'] == 'true' ? 1 : 0;
		}
	}
		
	return $show;
}

/* Time since function taken from WordPress.com */
if (!function_exists('dcwsb_wpcom_time_since')) :

function dcwsb_wpcom_time_since( $original, $do_more = 0 ) {
        // array of time period chunks
        $chunks = array(
                array(60 * 60 * 24 * 365 , 'yr'),
                array(60 * 60 * 24 * 30 , 'month'),
                array(60 * 60 * 24 * 7, 'week'),
                array(60 * 60 * 24 , 'day'),
                array(60 * 60 , 'hr'),
                array(60 , 'min'),
        );

        $today = time();
        $since = $today - $original;

        for ($i = 0, $j = count($chunks); $i < $j; $i++) {
                $seconds = $chunks[$i][0];
                $name = $chunks[$i][1];

                if (($count = floor($since / $seconds)) != 0)
                    break;
        }

        $print = ($count == 1) ? '1 '.$name : "$count {$name}s";

        if ($i + 1 < $j) {
                $seconds2 = $chunks[$i + 1][0];
                $name2 = $chunks[$i + 1][1];

                // add second item if it's greater than 0
                if ( (($count2 = floor(($since - ($seconds * $count)) / $seconds2)) != 0) && $do_more )
                        $print .= ($count2 == 1) ? ', 1 '.$name2 : ", $count2 {$name2}s";
        }
        $print = $print == '42 yrs' ? '' : $print ;
		return $print;
}
endif;

?>