<?php

/* Social Share Buttons */
function dcwsb_shortcode( $atts, $content = null ){

	global $post;
	
	extract( shortcode_atts( array(
	'id' => 'dc-social-share',
	'style' => 'floating',
	'buttons' => 'twitter,facebook,plusone,linkedin,digg,stumbleupon,pinterest,xing,buffer,print,email',
	'size' => 'vertical',
	'txtPrint' => 'Print',
	'txtEmail' => 'Email',
	'twitterId' => '',
	'email' => '',
	'url' => '',
	'title' => '',
	'description' => '',
	'location' => 'top',
	'align' => 'left',
	'offsetLocation' => 20,
	'offsetAlign' => 20,
	'center' => 0,
	'speedFloat' => 1500,
	'speed' => 600,
	'inline' => 'false',
	'floater' => 'false',
	'autoClose' => 'false',
	'loadOpen' => 'true',
	'easing' => 'easeOutQuint',
	'classWrapper' => 'dcssb-float',
	'classOpen' => 'dcwsb-open',
	'classClose' => 'dcwsb-close',
	'classToggle' => 'dcwsb-toggle'
	), $atts ));
	
	$out = '';
	$options = get_option('dcwsb_options');
	$networks = dcwsb_networks('networks');
	$settings = dcwsb_networks('settings');
	
	//print_r($settings);
	//print_r($atts);
	//print_r($options);
	
	if($options['dcwsb_order'] != ''){
		$dcwsb_order = $options['dcwsb_order'];
	} else {
		$i = 0;
		$dcwsb_order = '';
		foreach($networks as $k=>$v){
			$dcwsb_order .= $i > 0 ? ',' : '' ;
			$dcwsb_order .= $k;
			$i++;
		}
	}
	
	$btns = '';
	$i = 0;
	if(isset($atts['buttons']))
	{
		$dcwsb_order = $atts['buttons'];
	}
	$check = explode(',', $dcwsb_order);
	foreach($check as $function){
		if($function != '' && $options[$function] == 'true' && $function != 'delicious'){
			$function = $function == 'google' ? 'plusone' : $function ;
			$btns .= $i > 0 ? ','.$function : $function ;
			$i++;
		}
	}
					
	$i = 0;
	$buttons = 'buttons: "' . $btns;
	
	// get settings
	$opt = $inline == 'true' ? ',inline: true' : '' ;
	
	if($options['settings'])
	{
		foreach($options['settings'] as $k => $v)
		{
			// check if shortcode attribute exists
			if(isset($atts[$k])){
				if($atts[$k]){
					$v = $atts[$k];
				}
			}
			
			switch($k)
			{
				case 'offsetLocation':
				if($inline == 'false'){
					$opt .= $v != $settings[$k] ? ','.$k.': '.$v : '' ;
				}
				break;
				case 'offsetAlign':
				if($inline == 'false'){
					$opt .= $v != $settings[$k] ? ','.$k.': '.$v : '' ;
				}
				break;
				case 'center':
				if($inline == 'false'){
					$opt .= $v != $settings[$k] ? ','.$k.': '.$v : '' ;
				}
				break;
				case 'speedFloat':
				if($inline == 'false'){
					$opt .= $v != $settings[$k] ? ','.$k.': '.$v : '' ;
				}
				break;
				case 'speed':
				if($inline == 'false'){
					$opt .= $v != $settings[$k] ? ','.$k.': '.$v : '' ;
				}
				break;
				case 'floater':
				if($inline == 'false'){
					$opt .= $v != $settings[$k] ? ','.$k.': '.$v : '' ;
				}
				break;
				case 'autoClose':
				$opt .= $v != $settings[$k] ? ','.$k.': '.$v : '' ;
				break;
				case 'loadOpen':
				$opt .= $v != $settings[$k] ? ','.$k.': '.$v : '' ;
				break;
				case 'email':
				$v = strrev(str_replace('.', '//', str_replace('@', '/', $v)));
				$opt .= $v != '' ? ','.$k.': "'.$v.'"' : '' ;
				break;
				case 'style':
				if($inline == 'false'){
					$opt .= $v != $settings[$k] ? ','.$k.': "'.$v.'"' : '' ;
				}
				break;
				case 'location':
				if($inline == 'false'){
					$opt .= $v != $settings[$k] ? ','.$k.': "'.$v.'"' : '' ;
				}
				break;
				case 'align':
				if($inline == 'false'){
					$opt .= $v != $settings[$k] ? ','.$k.': "'.$v.'"' : '' ;
				}
				break;
				default:
				$opt .= $v != $settings[$k] ? ','.$k.': "'.$v.'"' : '' ;
				break;
			}
		}
	}
	
	$classWrapper = $inline == 'true' ? $classWrapper.' dcwsb-inline' : $classWrapper.' dcwsb-'.$options['settings']['style'] ;
	
	$classes = ',classWrapper: "'.$classWrapper.'",';
	$classes .= 'classOpen: "'.$classOpen.'",';
	$classes .= 'classClose: "'.$classClose.'",';
	$classes .= 'classToggle: "'.$classToggle.'"';
	
	if(isset($atts[$k])){
		$meta_url = $atts['url'] ? $atts['url'] : get_post_meta($post->ID, 'dcwsb_url', true) ;
		$meta_title = $atts['title'] ? $atts['title'] : get_post_meta($post->ID, 'dcwsb_title', true);
		$meta_description = $atts['description'] ? $atts['description'] : get_post_meta($post->ID, 'dcwsb_description', true);
	} else {
		$meta_url = get_post_meta($post->ID, 'dcwsb_url', true) ;
		$meta_title = get_post_meta($post->ID, 'dcwsb_title', true);
		$meta_description = get_post_meta($post->ID, 'dcwsb_description', true);
	}
	
	if(isset($atts['url'])){$meta_url = $atts['url'];}
	
	if(isset($atts['title'])){$meta_title = $atts['title'];}
	
	if(isset($atts['description'])){$meta_description = $atts['description'];}
	
	$config = '{'.$buttons.'"'.$opt;
	$config .= $meta_url != '' ? ',url: "'.$meta_url.'"' : '' ;
	$config .= $meta_title != '' ? ',title: "'.$meta_title.'"' : '' ;
	$config .= $meta_description != '' ? ',description: "'.$meta_description.'"' : '' ;
	$config .= $classes;
	$config .= '}';
	
	$out .='<script type="text/javascript">jQuery(document).ready(function($){';
	$out .= 'var config = '.$config.';';
	$out .= 'if(!jQuery().dcSocialShare) { $.getScript("'.dc_jqsocialbuttons::get_plugin_directory().'/js/jquery.social.share.2.3.min.js", function(){$("#'.$id.'").dcSocialShare(config);}); } else {';
	$out .= '$("#'.$id.'").dcSocialShare(config);}});</script>'."\n";
	$out .= '<div id="'.$id.'"></div>';
	
    return $out;
}

/* Social Share Button Links */
function dcwsb_link_shortcode( $atts, $content = null ){

	extract(shortcode_atts( array(
		'action' => 'toggle'
	), $atts));
	
	$out = '<a href="#" class="dcwsb-'.$action.'">' . do_shortcode($content) . '</a>';
	
	return $out;
}
?>