jQuery(document).ready(function($) {

	var initLayout = function() {
			$('.color-selector').each(function(){
				var o = $(this);
				var c = $(this).next('.input-color');
				$(this).ColorPicker({
					color: c.val(),
					onShow: function (colpkr) {
						$(colpkr).fadeIn(500);
						return false;
					},
					onHide: function (colpkr) {
						var hx = $('.colorpicker_hex input',colpkr).val();
						var id = o.attr('id');
						$('#'+id+'_input').val('#'+hx);
						$(colpkr).fadeOut(500);
						return false;
					},
					onChange: function (hsb, hex, rgb) {
						$('div',o).css('backgroundColor', '#' + hex);
					}
				});
			});
		};
	
		EYE.register(initLayout, 'init');
		
	defaulttextFunction();
	
	var txtPrint = $('#dcwsb_setting_txtPrint').val(), txtEmail = $('#dcwsb_setting_txtEmail').val(), size = $('#dcwsb_setting_size').val();
	$('.dcwsb-button.'+size).addClass('dcwsb-show');
	
	$('.dcwsb-button .link-email').html('<span class="icon"></span>'+txtEmail);
	$('.dcwsb-button .link-print').html('<span class="icon"></span>'+txtPrint);
	
	$('#dcwsb_setting_size').change(function(){
		size = $(this).val();
		$('.dcwsb-button').removeClass('dcwsb-show');
		$('.dcwsb-button.'+size).addClass('dcwsb-show');
	});
	
	$('#dcwsb_setting_txtPrint').change(function(){
		txtPrint = $(this).val();
		$('.dcwsb-button .link-print').html('<span class="icon"></span>'+txtPrint);
	});
	
	$('#dcwsb_setting_txtEmail').change(function(){
		txtEmail = $(this).val();
		$('.dcwsb-button .link-email').html('<span class="icon"></span>'+txtEmail);
	});
	
	$('.pinItButton').click(function(e){
		exec_pinmarklet();
		e.preventDefault();
	});
	
	$('.button-primary').click(function(){
		$(".defaultText").each(function() {
			if ($(this).val() == $(this).attr('title')) {
				$(this).val('');
			}
		});
	});
		
	var loadOrder = [];
	$("#dcwsb-sortable li").each(function(){
		var rel = $(this).attr('rel');
		loadOrder.push(rel);
	});
	
	$('#dcwsb-order').val(loadOrder);
	$("#dcwsb-sortable").sortable({
		placeholder: "sort-holder",
		stop: function(event, ui) {
			var sortOrder = [];
			$("#dcwsb-sortable li").each(function(){
				var rel = $(this).attr('rel');;
				sortOrder.push(rel);
			});
			$('#dcwsb-order').val(sortOrder);
		}
	});
	$( "#dcwsb-sortable" ).disableSelection();
	$('#dcwsb-sortable input').bind('click.sortable mousedown.sortable',function(ev){
		ev.target.focus();
	});
			
	$('.dcwsb-help').click(function(e){
		var i = $(this).index('.dcwsb-help');
		var h = $('#dcwsb-slider .metabox-holder:eq('+i+')').outerHeight();
		if($(this).hasClass('active')){
			$(this).removeClass('active');
			$('.dcwsb-help-text').slideUp();
		} else {
			$('.dcwsb-help').removeClass('active');
			$('.dcwsb-help-text').slideUp();
			$(this).addClass('active').fadeOut();
			$('.dcwsb-help-text:eq('+i+')').slideToggle(300,function(){
				var help = $(this).outerHeight(true);
				var hnew = h+help;
				$('#dcwsb-slider').animate({height: hnew+'px'},400);
			});
		}
		e.preventDefault();
	});
	$('.dcwsb-close').click(function(e){
		var i = $(this).index('.dcwsb-close');
		$('.dcwsb-help-text:eq('+i+')').slideToggle();
		$('.dcwsb-help:eq('+i+')').removeClass('active').fadeIn();
		$('#dcwsb-slider').animate({height: h+'px'},400);
		e.preventDefault();
	});
	
	// Image swap
	$(".img-swap").hover(
          function(){this.src = this.src.replace("_off","_on");},
          function(){this.src = this.src.replace("_on","_off");
     });
	$('ul.dcwp-rss li:last').addClass('last');
	$('.dcwsb-update').click(function(e){
		var rel = $(this).attr('rel');
				var nonce = $('#stats-nonce').val();		
				var icon = $('img',this);
				$('#dcwsb-row-'+rel+' td').addClass('hash');
				icon.attr('src',icon.attr('src').replace("refresh_off.png","loading.gif"));
				var data = {
					action: 'dcwsb_ajax_update',
					id: rel,
					security: nonce
				};
				
				$.post(ajaxurl, data, function(response) {
				$('#dcwsb-row-'+rel).animate({opacity: 0.5},400,function(){
					$('#dcwsb-row-'+rel).after(response).slideUp();
				});
				icon.attr('src',icon.attr('src').replace("loading.gif","refresh_off.png"));
				});
				return false;
			});
	$('.dcwsb-switch-link a').live('click',function(){
		var $tag = $(this).parent();
		$('a',$tag).toggleClass('active');
		var rel = $('a.active',$tag).attr('rel');
		$tag.next('.dc-switch-value').val(rel);
		if($tag.hasClass('dcwsb-types-link')){
			var typeList = [];
			$('.dcwsb-types-link').each(function(){
				if($(this).next('.dc-switch-value').val() == 'true'){
					var rel = $(this).next('.dc-switch-value').attr('rel');
					typeList.push(rel);
				}
			});
			$('#dcwsb_types').val(typeList);
		} else if ($tag.hasClass('dcwsb-network-widget')){
			var networkList = [];
			$('.dcwsb-network-widget').each(function(){
				if($(this).next('.dc-switch-value').val() == 'true'){
					var rel = $(this).next('.dc-switch-value').attr('rel');
					networkList.push(rel);
				}
			});
			$('#dcwsb_types').val(typeList);
			$('dcwsb-network-list').val(networkList);
		}
		return false;
	});
	$('#dcwsb-sortable li.dcwsb-sortable-li:odd').addClass('odd');
			$('.dcwsb-select-stats').change(function(){
				//alert('ok');
				var $form = $(this).parent('form');
				$('.dcwsb-loading',$form).show();
				var url = $form.attr('action');
				$.post(url, $form.serialize() ,function(data){
					$('.dcwp-response',$form).html(data);
					$('.dcwsb-loading',$form).fadeOut(100,function(){
						var url=document.URL.split('&')[0];
						if(url != ''){
							window.location = url;
						} else {
							location.reload();
						}
					});
				});
			});

	// Widgets
	var v = $('.dcwsb-widget-select').val();
	$('.dcwsb-hide.'+v).show();
	$('.dcwsb-widget-select').change(function(){
		v = $(this).val();
		$('.dcwsb-hide').slideUp();
			$('.dcwsb-hide.'+v).slideDown();
	});
	
	$('.test-stats').click(function(){
	$('.stats-row').each(function(){
		var fb = $('.connect_widget_button_count_count',this).text();
		var gp = $('#aggregateCount.tW',this).text();
		var tw = $('.t-count #count',this).text();
		var tot = fb+gp+tw;
		$('td.stats-btn.total').html(tot);
	});
	});
	$('.stats-title a').click(function(){
		this.target = "_blank";
    });
	$('.dcwsb-select-stats').change(function(){
		var $form = $(this).parent('form');
		$('.dcwsb-loading',$form).show();
		var url = $form.attr('action');
		$.post(url, $form.serialize() ,function(data){
			$('.dcwp-response',$form).html(data);
			$('.dcwsb-loading',$form).fadeOut(100,function(){
				var url=document.URL.split('&')[0];
				if(url != ''){
					window.location = url;
				} else {
					location.reload();
				}
			});
		});
	});
	$('#dcwsb-stats tbody tr:odd').addClass('odd');

	mapColor('#blue');
	function heatMap(yr,yg,yb){
	
	// Function to get the Max value in Array
    Array.max = function( array ){
        return Math.max.apply( Math, array );
    };

    // get all values
    var counts= $('#dcwsb-stats .stats-row.heatmap .stats-btn.single span').map(function() {
        return parseInt($(this).text());
    }).get();
	
	// return max value
	var max = Array.max(counts);
	
	xr = 255;
    xg = 255;
    xb = 255;
    n = 100;
	
	// add classes to cells based on nearest 10 value
	$('#dcwsb-stats .stats-row.heatmap .stats-btn.single span').each(function(){
		var val = parseInt($(this).text());
		var pos = parseInt((Math.round((val/max)*100)).toFixed(0));
		red = parseInt((xr + (( pos * (yr - xr)) / (n-1))).toFixed(0));
		green = parseInt((xg + (( pos * (yg - xg)) / (n-1))).toFixed(0));
		blue = parseInt((xb + (( pos * (yb - xb)) / (n-1))).toFixed(0));
		clr = 'rgb('+red+','+green+','+blue+')';
		$(this).parent().css({backgroundColor:clr});
	});

}
function mapColor(color){

	switch(color)
		{
			case '#blue':
			yr = 84;
			yg = 117;
			yb = 171;
			break;
			case '#yellow':
			yr = 250;
			yg = 237;
			yb = 37;
			break;
			case '#green':
			yr = 118;
			yg = 246;
			yb = 68;
			break;
			case '#grey':
			yr = 100;
			yg = 100;
			yb = 100;
			break;
			default:
			yr = 243;
			yg = 32;
			yb = 117;
			break;
		}
	heatMap(yr,yg,yb);
}
});
jQuery(window).load(function() {
	jQuery('.dcwsb-plugin .dcwsb-sortable-li:first a').trigger('click');
});
function defaulttextFunction(){
	jQuery(".defaultText").focus(function(srcc) {
		if (jQuery(this).val() == jQuery(this)[0].title) {
			jQuery(this).removeClass("defaultTextActive").val("");
		}
	});
	jQuery(".defaultText").blur(function(){
		if (jQuery(this).val() == "") {
			jQuery(this).addClass("defaultTextActive").val(jQuery(this)[0].title);
		}
	});
	jQuery(".defaultText").each(function() {
		if (jQuery(this).val() != jQuery(this)[0].title) {
			jQuery(this).removeClass("defaultTextActive");
		}
		if (jQuery(this).val() == "") {
			jQuery(this).val(jQuery(this)[0].title).addClass("defaultTextActive");
		}
	});
}